WhereIsIt? 2013, shareware edition
Copyright (c) 1997-2013 Robert Galle
All Rights Reserved


PROGRAM HISTORY
===============

Version 2013.1014
-----------------
* Worked around some problems caused by the new UnRAR.dll when handling 
  certain types of RAR archives.

Build 2009.1204
+ Minor maintenance release.
+ Updated RAR compression format capabilities, added support for handling
  RAR files in WinRAR 5 format.
+ Added Windows 8.1 product family detection, fine-tuned support for the
  new operating system.
+ Updated IMDB plugin for the latest set of changes on web site.
+ Other miscellaneous minor adjustments and improvements.

OLDER VERSIONS
==============

Version 2013.320
-----------------
+ Minor maintenance release.
+ Adjusted visual appearance of several parts of the user interface (like
  fonts and spacing in message boxes) to match modern operating systems.
+ If plugins log file is enabled, users now have a choice to change the 
  default location of log file, and select an alternate folder. It can help
  resolve write privilege issues on limited user accounts.
* Fixed exporting descriptions to external files on media.
+ Other miscellaneous minor adjustments and improvements.

Version 2012.1204
-----------------
+ Minor maintenance release.
+ IMDB plugin: adjusted for new searching system and results presentation on 
  the IMDB web site.  
+ Minor adjustments for new Windows 8 operating system.  
* Adjusted reading of Unicode filenames from some UDF formatted disks. 
* Further improved handling of large (>2GB) damaged/corrupted catalog files, 
  improved built-in recovery capabilities.
+ Other miscellaneous minor adjustments and improvements.


Version 2012.901
----------------
+ Minor maintenance release.
+ Added a new pair of plugins: a description and a thumbnail plugin for EPUB 
  E-Books format, extracting basic details, contents index, and included cover 
  image as a thumbnail.
* If program settings are imported from external source to currently active
  storage (registry or config file), imported settings are now dynamically 
  applied and are immediatelly visible in the Options dialog.
* Tray icon is now restored after Explorer crashes and restarts.
* Exporting descriptions: for FTP index format, 00INDEX.TXT is used instead 
  of INDEX_00.TXT. 00INDEX.TXT appears to be more commonly used presently, 
  although both versions can be found.
* Advanced searching by size: fixed editing previously entered criteria.
* VideoThumbnailsPlugin: minor internal changes in the config dialog.
+ Other miscellaneous minor adjustments and improvements.


Version 2012.522
----------------
+ Minor maintenance release.
* File Management: improved support for moving/copying folders containing 
  specific Unicode characters.
* Fine tuned file caching and buffering strategies for saving catalog files, 
  that had to be rewritten in version 2012.104. Saving performance is now 
  comparable to older versions on all systems while adding support for 
  catalog files larger than 2GB.
* The Check for Update Wizard is now more robust and will better handle
  server-side problems, like receiving corrupt update information and 
  web site outages.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Other miscellaneous minor adjustments and improvements.

Version 2012.326
----------------
+ Minor maintenance release.
+ Extracting ZIP files is now re-entrant, allowing plugins to use ZIP 
  decompression on files already compressed within other ZIP archive. This
  can be useful for importing descriptions for files which are natively 
  ZIP compressed, such as Office OpenXML documents (DOCX, XLSX...)
+ Added Windows 8 product family detection.
+ Updated IMDB plugin for changes on web site, user comments are imported 
  once again.
+ Other miscellaneous minor adjustments and improvements.

Version 2012.104
----------------
+ Added (preliminary) support for operating with catalog files (.ctf) larger 
  than 2GB. Your file system must be able to handle files of that size, and 
  any single disk image in catalog must still be under 2GB in data size once 
  saved.
  Note that getting catalog files anywhere near 2GB in size requires some 
  reflection on your actions and intentions, as you are likely heavly 
  abusing thumbnails, or otherwise getting way too much data in a single 
  catalog file. Organizing cataloged data and breaking it down into more 
  catalogs would be strongly recommended.
+ Improved performance when moving around large chunks of data, like copying
  huge disk images between catalogs.
+ Improved catalog saving performance due to optimized write caching.
+ Other miscellaneous minor adjustments and improvements.

Version 2011.1216
-----------------
+ Minor maintenance release.
+ Updated IMDB and TheTVDB plugins, added support for additional encodings 
  and handling a few item or language specific issues.
+ Maintenance on several description plugins, improving on stability and
  Unicode support.
+ Adjustments of compare functions, fine tuning of detection if file has
  changed since cataloging or not. Details like different time zones are 
  now taken into account.
+ Other miscellaneous minor adjustments and improvements.

Version 2011.902
----------------
+ Optimized speed in thumbnails importing and processing for several types
  of graphics files. Direct assembly code is used in some critical areas.
+ Fine-tuned the order of importing files and folders when scanning the 
  media. On some newer non-removable media and related hardware, this can 
  result in performance increase due to more efficient data caching.
+ Improved searching performance on multi-core CPUs.
+ Updated IMDB plugin for the latest changes on their web site, most notably
  importing rating information. By now, the same information from IMDB can 
  come to the plugin in several different forms, depending on whether or not 
  you are logged-in on IMDB site, if so what your selected preferences are, 
  and which web browser are you using for retrieval, for example. The plugin 
  at this time handles all cases.
+ Other miscellaneous minor adjustments and improvements.

Version 2011.622
----------------
+ Minor maintenance release.
+ Considerably improved scanning performance in some special cases, like 
  having thousands of archive files in the same folder.
+ Updated IMDB plugin to support new techniques recently used on the IMDB
  web site, for example AJAX loading of details like user comments.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Other miscellaneous minor adjustments and improvements.

Version 2011.403
----------------
+ Minor maintenance release.
+ Improved performance of the internal viewer, loading and processing of 
  certain types of files is now faster and more robust.
+ Improvements to IMDB and TheTVDB plugins, handling additional details.
* Fixed scanning certain ISO files with Juliet file system, some rare long
  filenames were not imported correctly.
* A few Unicode related fixes, mostly cosmetical.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Other miscellaneous minor adjustments and improvements.

Version 2011.201
----------------
+ Minor maintenance release.
+ Optimized the pattern of media access operations, resulting in up to 15% 
  faster media scanning on some specific, slower media types.
+ Added support for two additional different variants of TIFF files to 
  the appropriate thumbnails plugin.
+ Improvements and several adjustments to both IMDB and TheTVDB plugins,
  improving title detection and accuracy of search results.
* Improved internal diagnostic of host system related problems, such as 
  missing or non-functioning system components, resulting in friendlier
  and clearer error messages from the program rather than failures or 
  generic errors being reported by the system.
+ The setup program will now specifically check if WhereIsIt is running 
  before attempting installation, and warn the user.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Several other miscellaneous minor adjustments and improvements.

Version 2010.1208
-----------------
+ Minor maintenance release.
+ Search engine has been improved with added negation in quick searches. You 
  can specify words and phrases you want to exclude from results by prefixing 
  them with a minus sign, i.e. "photo -digital". This also works when 
  searching by file names or descriptions in advanced search expressions.
+ Quick searching now has two operation modes when searching by both file 
  names and descriptions. Previously, each file name and description have 
  been evaluated independently, and at least one had to match. Now you can 
  optionally have file name and description combined to a single text string
  before evaluating. This returns a bit different kind of results, i.e.
  if you are looking for two words, one can be present in file name, and the
  other in description. Adjust the setting to your preference.
* Fixed selecting a large number of items on a list (tens of thousands), for 
  example when pressing Ctrl+A. The selection took unnecessarily long time to
  complete in most cases.
+ The setup program has been improved, it can now also install your license 
  file at the time of installing the program. There is a checkbox available 
  for registered users that will make the setup program prompt for your 
  license and place it for you.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Several other miscellaneous minor adjustments and improvements.

Version 2010.1026
-----------------
+ Minor maintenance release.
+ Updated IMDB plugin for large scale changes on the IMDB web site, featuring 
  a completely new web site design. Plugin currently supports both old and new
  IMDB design. Languages other than English are not tested at this time since 
  the new design is not yet available for other languages.
+ The Descript.ion plugin now supports assigning descriptions to files with
  Unicode file names.
+ Added new options in program's Display Settings for switching between ribbon
  and toolbar mode, and minimizing the ribbon. Those same options were already
  available directly by right-clicking ribbon or toolbar, however some users 
  have problems finding them.
* Fixed a problem in Catalog Setup dialog when using "Copy From" function to 
  copy categories from some other catalog.
* Eliminated desktop flickering on autoloading password protected catalogs.
+ Several other miscellaneous minor adjustments and improvements.

Build 2010.909
+ Minor maintenance release.
+ Updated TheTVDB plugin; added a workaround for an apparent bug in the XML
  data structure returned by TheTVDB.com, preventing retrieval of details 
  about individual episodes.
+ Updated CDDB/freedb support for submitting entries containing UTF-8 data.
+ Added a check for GDI+ availability on the system. If GDI+ is not available,
  it will show an appropriate error message instead of crashing on startup.
  Microsoft GDI+ Library is required for WhereIsIt to run, and is included by 
  default on all but oldest Windows versions.
+ Minor search performance improvements when using specific search criteria.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Several other miscellaneous minor adjustments and improvements.

Version 2010.714
----------------
+ Improved scanning error tolerance in safe mode, the program can now handle
  and recover from several additional error conditions (typically crashed
  plugins) that would previously cause scanning to fail.
+ Updated IMDB plugin for correctly handling some special cases of encoding.
+ Updated CorelDRAW Thumbnails and AutoCAD Thumbnails plugins for supporting
  Unicode file names.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Fixed Compare results window occasionally throwing an error when changing
  view mode under certain conditions.

Build 2010.621
+ TheTVDB plugin: Fine-tuned series information caching and recognition.
* On some systems, setting toolbar UI mode was not correctly remembered for
  the next time the program was run. Fixed.

Build 2010.614
+ Minor maintenance release.
+ Updated TV Series Database (TheTVDB) plugin to support handling 
  special episodes.
+ Added recently used catalogs list to the toolbar's Open button.
+ Ribbon is enforced as the default user interface in new installations.
  Help file has been updated to emphasize the availability of both ribbon
  and toolbar user interface modes, and how to switch between them.
+ Improved multithreading in the internal viewer, graphics processing is 
  now more reliable and slightly faster.
* Recently used catalogs list has had some problems if the program was set 
  to store settings in a config file. Fixed.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Several other miscellaneous minor adjustments and improvements.

Version 2010.502
----------------
+ Minor maintenance release.
+ Added support to switch between ribbon and toolbar mode in the main 
  window, for die-hard toolbar fans. Note that toolbar offers only a basic 
  set of commands, corresponding to the ribbon's Main tab. This sufficies 
  for daily use, the rest of the commands are available via shortcuts, 
  item's right-click popup menus, or by switching back to the default 
  ribbon view.
+ Addressed several visual and cosmetical issues, such as painting drop-down 
  menus from toolbar buttons, behavior of the view mode drop-down window, etc.
+ Windows like Search Results and User List now correctly size to available
  monitor work area when maximized, avoiding taskbar.
+ Enhanced several thumbnail and description plugins for robustness in 
  handling invalid files, improved performance and therefore disk scanning 
  time for several thumbnail plugins.
+ Some code optimizations, resulting in smaller executable file and improved 
  performance in certain parts of the program.
+ Several other miscellaneous minor adjustments and improvements.

Version 2010.319
----------------
+ Significantly improved built-in scanning troubleshooting capabilities.
+ Introduced optional scanning safe mode. In safe mode, all plugins are 
  run in their own separate threads, separating them from the scanning
  process and allowing it to retain a level of control over executing
  plugins. In safe mode, stuck plugins can be terminated by user action, 
  or automatically if they execute longer than predefined allowed time. 
  Plugins causing problems can be turned off for the remainder of scanning.
  Long archive file operations can be canceled as well, allowing scanning 
  to continue immediately.
+ Added detailed scanning status information, available on request at any
  given moment. This status information reports current task in progress, 
  as well as all available related information, including running plugin,
  file being processed by the plugin, current folder being cataloged etc.
  Plugins activity logging is still available, however it should now rarely
  be necessary to use.
+ Improved help file documentation for media scanning troubleshooting.
+ The Windows Shell Thumbnails plugin has been heavily optimized. Asking 
  Windows shell about available thumbnails for every file being cataloged 
  is quite expensive in terms of performance. The plugins now "learns" as 
  it goes on each scan which types of files have available thumbnails in 
  Windows shell, and which have failed to produce consistently, skipping 
  them for the rest of scan. Performance improvement is very notable.
+ The internal viewer now features a simple slideshow support.
* ISO files handling is now more robust, especially the UDF format 
  detection. Some non-UDF ISO files have turned out to be problematic in 
  previous versions.
* The popup menu in Report Generator / Printer Setup / Settings button was 
  not displayed correctly. Fixed.
* The sort button in Catalog Setup has had no effect on listed items. Fixed.
* Help file now switches to the default English language help file, if help
  file specified in active language file is not available. The program now
  also warns if unable to show help due to missing HTML Help support on the 
  system (old Windows systems).
* Tweaked a bit Compare functions, filename compares are case insensitive
  once again, and files that have only changed in using capital case in 
  their filenames are tolerated as unchanged.
* IMDB plugin: adjusted for small changes on IMDB web site, preventing some
  titles from detecting and downloading full size thumbnails.

Version 2010.218
----------------
* Minor, mostly maintenance release.
+ Introduced new thumbnails plugin: Windows Shell Thumbnails. This plugin
  takes advantage of available Windows shell interfaces, which can be 
  extended with third-party thumbnail providers for additional file types. 
  The plugin offers WhereIsIt the same kind of access to generating 
  thumbnails as Explorer has, and is able to use already cached thumbnails
  (Thumbs.db files) for better performance.
+ Plugins debugging mode has been updated a bit, it now falls back to a
  secondary location for creating a log file if program's folder is not
  writeable to current user, and now always reports the exact location of
  the log file at startup.
* Improved robustness of the JPEG description plugin when dealing with
  certain type of invalid/corrupted JPG files.
* Configuration dialogs for several different plugins have been updated to
  work around a problem with edit control when running on 64-bit versions
  of Windows.
+ Several other miscellaneous minor adjustments and improvements.

Version 2010.120
----------------
+ IMDB plugin: added support for importing information from international 
  IMDB sites in different languages (German, Spanish, French, Italian, 
  Portuguese).
+ Added new command-line option, autoindex. Browsing catalogs in categories
  view mode is not native mode, and requires data to be indexed when using
  it for the first time. Autoindex option allows for this indexing to be
  done automatically in the background when the program is idle, starting
  immediately when catalog loads. This will shorten or eliminate the need
  to wait when switching to categories view. This capability is currently 
  in test mode and may no longer require the switch to activate in the
  future.
+ Most progress windows are now equipped with icons, indicating operation
  in progress.
+ Plugins importing thumbnails for parent items (i.e. Folder Thumbnails 
  plugin) can now take in account order of listed file masks. If more than
  one file is available for importing thumbnail, the one matching first
  listed file mask is given priority.  
+ Further tweaked search thread synchronization, slightly improved search
  performance.

Version 2010.104
----------------
* Minor cumulative service release, focusing on fixing odd errors and
  addressing annoyances.
+ Added Locate in Catalog ribbon item and menu option when browsing catalog 
  by categories.
* Search by Tags option was missing from the advanced search editor menu, 
  and is now once again available.
* Addressed a problem on some systems where editing descriptions in the 
  Description Window and switching items in a very specific way would result 
  in one of items ending up with other's description.
* Fixed Del key interfering as a shortcut for a ribbon item when editing 
  text in the main window, such as editing descriptions or renaming items.
* Fixed an error being reported if creating a new catalog while no other 
  catalog is loaded at the time, or has been loaded before.
* Fixed an error occurring when closing a catalog in a specific way.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ A few other minor improvements, for example snappable listview columns
  when resizing on Windows Vista and Seven.

Version 2009.1209
-----------------
+ Windows 7: All major operations like disk scanning, searching and catalog
	saving now show progress in application's button in the taskbar.
* All multiline descriptions were missing the last character when shown in
  shortened form in all Description columns. Fixed.
* Fixed a thread synchronization issue with searching, causing rarely 
  occuring random catalog structure errors when actively browsing catalog 
  data or search results while search was still running in the background.

Build 2009.1204
+ Help file has been updated for version 2009, covering new user interface.
+ WhereIsIt has a new program icon.
* Hints on menus and ribbon/toolbar buttons are no longer shown if they do
  not have available any additional information than already shown.
* The Export Audio CD Details button on the ribbon now has a submenu, 
  offering the same kind of options as in previous versions.
+ Updated IMDB plugin for changed movie web pages, updated DcrawPlugin to 
  the latest version of dcraw.c.
+ Web site has been updated for version 2009. Product information page has
  new screenshots showing new user interface on Windows 7, download section 
  has been tidied a bit and downloads for older versions, including 3.xx, 
  moved to a separate Legacy Downloads page.
* Several miscellaneous fixes, adjustments and minor improvements reported or
  suggested during the last beta stage.

Version 2009.1110 Beta 1
------------------------
+ The immediate and most notable impact of the new version 2009 is the new
  ribbon based user interface. The program did away with the main menu and 
  main toolbar with small icons, both were replaced with a ribbon bar
  featuring large, high quality icons, and a round application menu button 
  in the top left corner as the program command center.
+ WhereIsIt now supports large, 32x32 high-quality semi-transparent icons 
  in all parts of user interface, particularly on ribbons and toolbars.
  Over 250 new icons were designed or updated for this version.
+ With the new interface, commands were reorganized for easier access in 
  both main ribbon and right-click context popup menus. All catalog-related 
  commands like creating, opening, saving and closing catalogs, as well as
  basic application command were moved in the application menu, some are
  also available in the small quick access toolbar in the window title.
  The rest of the commands are available in the ribbon, distributed in 
  several logical groups accessible as ribbon tabs.
+ The "Home" tab on the new ribbon bar is by default context sensitive, 
  available options change and adapt to currently selected item. This way,
  ribbon shows only options relevant for current selection, making it fast 
  and easy to find the command for your task. On the other hand, changing 
  available commands also means some level of buttons jumping around on the 
  ribbon - as this can be distracting, context sensitivity is optional and 
  can be turned off in program's settings.
+ The main ribbon bar can be put in a minimized mode, showing only a list 
  of available tabs and acting as a pull down window. This leaves as much
  window space as possible for both main windows to work with, even more 
  than in previous versions with a small toolbar. Just right-click main
  ribbon to select minimized mode.
+ The new ribbon interface together with new status bars comes in three 
  basic predefined color schemes (default silver, blue and black), selectable
  in program's settings.
+ All remaining toolbars have a completely new implementation, they support
  different appearances based on environment the program is running in, and
  can be switched between small and large icon modes. Just right-click the
  toolbar to make the switch.
+ All popup menus support semi-transparent icons and feature a new, modern 
  glassy appearance that goes along with ribbon style user interface. Like 
  ribbon and toolbar options, all popup menu options provide popup hint 
  window with larger icon and quick access to each option's help page.
+ Changed user interface required lots of changes to language files. Still,
  existing language files are automatically converted to new format, and 
  as many existing translations as possible are preserved and reused on 
  new controls. Only minimal editing is required for language files to be
  adapted for version 2009, mostly due to some new additions.
+ Language files have been optimized and are considerably smaller than 
  before, removing lots of redundancy.   
+ Available options in the internal viewer can be presented either on a
  ribbon bar, or on a toolbar. Just right-click ribbon/toolbar to make the 
  switch. Toolbar takes somewhat less space on the screen than ribbon, and
  may be preferred especially for graphics viewing.
+ Added new advanced search criteria: searching by item type (disks, files, 
  folders, disk groups, archive files, compressed files etc.) You can now
  combine this criteria in your search expressions at will.
+ Maximizing the search results list over the entire window area is possible
  once again, using a dedicated button for the purpose on the search window 
  toolbar.
+ Added new command line parameter, "-lang". The following parameter 
  specifies language file, allowing starting the program in any predefined
  language. This new parameter replaces old "-English" and "-Deutsch".
+ Added new command line parameter, "-newinstance". Allows running multiple
  instances of the program. Note that running multiple instances is NOT 
  recommended for stability reasons, in certain cases can cause conflicts
  between running instances, and comes with certain limitations. If you 
  know and understand what you are doing, it can be a time saver.
+ Most popup, drop-down, and status windows are now dropping shadow, making
  them easier to distinguish from the background and work with in general.
+ Added new privacy options in program settings. On program exit, you can 
  have the program clean up all search history and several other edit boxes
  with capability to remember last entered text, as well as the list of last
  used catalog files.
+ The description window typically docked at the right-bottom of the 
  program's main window now snaps down to get it temporarily out of the way 
  without actually closing it. Just drag the sizing bar down until it snaps 
  close, and use the bar again to open it back up. Of course, you can still 
  show and hide this window with a dedicated button on the ribbon bar.
+ Removed the advanced search expression Validate button. Validation is now
  automatic in real time, and the result is always available in the status 
  bar. You can click there for more details if search expression is found 
  not valid.
+ Report Generator dialog layout has been redesigned a bit.
+ The term "Flag" used in previous versions has been changed to "Tag". Tags
  better represent the use and purpose of this feature.
+ IMDB and TheTVDB plugins have been updated, both featuring better file name
  filtering and title/episode detection, and offer additional features such 
  as assigning alias names to imported titles.
+ New versioning system. As the program forked into two separate versions and
  version 4.00 has been released back in 2003 for custom development clients 
  (now up to version 11), public shareware version needed a new designation. 
  Starting with this version, all released versions will be marked with 
  current year and build number, representing the date of release.
- Dropped support for ancient Windows 95. The new user interface uses GDI+, 
  only available on Windows 98 and newer.
* Addressed several miscellaneous issues occurring in previous versions.  
* Known issues, to-do list: Some additional visual fine tuning like flicker 
  removal, adjusting help file documentation to the ribbon user interface.


VERSIONS 3.xx
=============

Version 3.97 - 26. July 2009
----------------------------
Build 3.97.726
+ Minor maintenance release
+ TV Series Database (TheTVDB) plugin updated to version 1.10, improvements
  to series title/episode detection, additional options for improved batch
  processing with less user input.
+ Improved internal support for files with very long file paths, longer
  than 259 characters (operating system limitation). The program and
  plugins can now open and view such files. Note that some operations like
  launching files and opening them in Explorer require target programs to
  support very long paths as well.
* Addressed several functional and cosmetical problems with compare
  functions, improved performance and stability.
* A few other minor adjustments.

Build 3.97.710
+ Added support for importing EXIF and IPTC data from XMP format, either
  embedded within several types of files (JPG, TIFF, PSD, PNG), or from
  separate sidecar .xmp files. At this time, about 80 imported XMP tags are
  internally mapped into appropriate EXIF and IPTC fields to be used in
  existing descriptions.
+ Improved support for Unicode encoded EXIF data.
+ Improved PNG description importing from PNG files, more details are now
  imported.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ The Import Descriptions dialog for manually running plugins is now
  resizeable and remembers its size and position.
* Fixed IMDB and TheTVDB importing descriptions from other description
  plugins. In cases where multiple plugins were available for handling the
  file, set plugins priority did not always work correctly.
* A few minor and cosmetical fixes and improvements within the program and
  several plugins.

Build 3.97.622
+ Minor maintenance release.
+ Adjusted IMDB plugin for changes on the IMDB web site, and for correctly
  handling specific titles.
+ Several improvements to the new TheTVDB plugin.
* Fixed a few releated problems with adding/updating disks with multiple
  catalogs being in use at the same time.
* Invoking Catalog Manager would fail with an error if disks were first
  rearanged using drag&drop. Fixed.
* Several other minor fixes.

Build 3.97.604
+ Introducing new major runtime plugin, targeted at TV series collections.
  TheTVDB TV series plugin is similar to the IMDB plugin, extracting details
  about TV series and individual episodes from the TheTVDB.com web site,
  using their API interface with XML data retrieval. The plugin features
  automatic file name cleanup, season/episode detection, utilizes smart data
  caching to minimize data download, and is optimized for extracting
  information for multiple files at once with as little interference and
  user input as possible.
+ Added native UDF file system support to ISO images. UDF file system is
  used on newer media like DVDs, replacing already support CDFS. WhereIsIt
  can now read contents and extract files from UDF formatted ISO images.
+ Added UDF ISO image plugin, providing description for UDF ISO image files.
+ Enhanced Application Icons thumbnail plugin, instead of default 32x32 icons
  it now extracts the largest available icon size to be used as a thumbnail.
+ User interface in advanced search expression editor has been optimized for
  faster and easier editing of search expressions. Context-sensitive popup
  menu has been added for quick, on-the-spot editing. You can also quickly
  enlarge search expression font size, choosing between three different sizes
  for easier readability.
+ As in Explorer, when renaming files only the file name part is preselected
  for editing without the file extension, making it easier to rename files
  and safeguarding against accidental extension changes.
+ Several minor user interface adjustments, like the size of icons in message
  boxes complying with high DPI settings.
* Fixed moving disk groups between different catalogs using drag&drop. In
  certain cases of groups structure, disk groups hierarchy wouldn't be
  preserved in the target catalog. Moving disk groups with Catalog Manager
  instead of using drag&drop was not affected.
+ Several other miscellaneous minor adjustments and improvements.

Version 3.96 - 9. May 2009
--------------------------
Build 3.96.509
+ Windows 7 is now officially supported operating system.
+ Enhanced network browsing in Add/Update Disk Image dialog for slow, very
  large, or unresponsive / misconfigured networks. Added new browsing mode
  that disables scanning for available network resources and allows only
  manually entering desired UNC address. Implemented network "safe mode"
  that will automatically switch to disabled network scanning the next time
  program is run, if the last network scan resulted in program to stop
  responding due to long network timeouts and had to be terminated.
+ Updated dcraw.c plugin to the latest version, included workaround in the
  wrapper that allows dcraw.c accessing files with Unicode names.
+ Updated several plugins for increased robustness dealing with invalid files.
+ Minor visual user interface improvements, like themed main menu in Windows
  XP and newer with visual themes enabled.

Build 3.96.423
+ Minor maintenance release.
* Fixed errors when using Update All Disks function for mass updating in
  combination with certain settings, like ejecting disks after scanning.
+ Minor user interface changes, for example redesigned language options.
+ Other minor adjustments and improvements of both program and plugins, most
  of them targeted at improved stability in specific uncommon situations.

Build 3.96.326
+ Minor service release, focusing on stability.
* A few otherwise problematic systems still had problems initializing the
  USBCDDLL.DLL, a third-party library providing support for carousel devices.
  Such issues should now go handled internally, without causing problems.
* On some rare systems, processing specific .JAR archives may have caused
  scanning to abort. In general, scanning error handling and recovery is
  improved.
* Tweaked RAR multivolume archives handling, some files split between parts
  have had problems extracting or importing descriptions.
* Minor user interface changes to the menus.
+ Adjusted a bit shareware trial version limitations, shareware version now
  additionally allows up to three removable media per catalog.
+ Several other minor fixes and changes for easier debugging in the future.

Build 3.96.311
+ Minor service release with several improvements.
+ Added a new option in program's settings to mark password protected archives
  and compressed files with asterix. The same option also marks archives that
  contain files with invalid file names, which were skipped during cataloging.
+ When updating existing IMDB descriptions, IMDB plugin is now able to detect
  IMDB URL in previous description and use it as a default selection with
  multiple search hits.
+ AutoRun/AutoPlay is now suppressed when adding/updating disk image, or when
  the program is waiting for a media to be inserted.
+ Added the option for importing descriptions for files compressed within
  archives to the Add/Update Disk Image dialog as well, for easier setting
  before each disk scan. This option was previously only available in program's
  settings.
+ Tweaked carousel device support based on user's feedback.
+ Improved running in the "-debugplugins" mode. User is now notified at
  startup when this mode is active, as well as in case there are problems with
  creating log file.
+ Updated DcrawPlugin to the latest version of dcraw.c, fixed occasional files
  being left open after scanning.
* Fixed memory management handling when running compare operation in certain
  scenarios, resulting in problems when closing the Compare window.
* Improved help file documentation with additional information on plugins.
* Updated sample catalog file distributed with the program.
+ Other minor user interface tweaks, miscellaneous minor adjustments throughout
  the program.

Build 3.96.203
+ Reduced catalog file size, employing compression on certain parts of stored
  data. All catalogs will benefit, however special cases, such as catalogs
  with lots of disks and little data on disks (i.e. audio CD collections)
  savings will be considerable, up to 50%. There is no performance hit, and
  backward catalog compatibility is retained. Rebuild your catalogs to take
  effect.
+ All plugin types have been consolidated to a single list and equipped with
  headers, instead of using three or four separate plugins lists. This should
  make it easier mostly for novice users to establish which plugins are
  active in scanning.
+ Searching by item size now accepts criteria larger than 2GB, and goes up to
  64-bit limit (Exabyte range). User interface has been changed a little as
  well, it will now convert between selected units automatically.
+ Added support for handling Unicode (UTF-8) encoded ZIP files, which use
  Info-zip extended headers to add Unicode ZIP compatibility.
+ Improved Matroska (MKV) description plugin; added codec profile and level
  information for H.264/AVC encoded files, better aspect ratio information,
  better handling of embedded subtitles without specified language.
+ Updated AutoCAD thumbnails plugin, it is now able to handle and correctly
  import thumbnails from some older versions of .dwg files.
+ Updated DcrawPlugin to the latest version of dcraw.c, updated plugin's
  configuration dialog to match dcraw.c functionality.
* Several other miscellaneous improvements, minor bug fixes and fine tuning
  throughout the program.

Version 3.95 - 12. January 2009
-------------------------------
Build 3.95.1312
+ IMDB plugin is now able to (optionally) run other description and thumbnail
  plugins, and include their result in its own description. This effectively
  allows to have both IMDB description and video file's technical information
  available at the same time.
+ Unified plugins list handling throughout the program, reusing existing code.
  Updated popup resizing logic, disabled plugins are now shown grayed out for
  visual clarity.
+ The program now allows running when configuration file does not have write
  access (changes to settings are not saved in this case). Also changed the
  logic of determining the default location of configuration file when
  running the program from a remote network location, config file now
  defaults to a local folder to allow for personalized settings and full
  write access.
+ Updated UnRAR.dll library to the latest version, added support for handling
  compressed files within RAR archives larger than 2GB.
* Fine tuned whole words searching.

Build 3.95.1223
+ Added support for Carousel CD/DVD storage devices compatible with
  Dacal/Ziotek.
  The CD/DVD carousel device connects to your PC via USB connector, and
  enables you to store all your disks in a jukebox system, saving space and
  keeping them organized and readily accessible. WhereIsIt is able to
  communicate with carousel device and will locate and eject the appropriate
  disk for you when needed. More details on usage and supported carousel
  device list are available in the help file.
+ Updated IMDB plugin for search related changes on the IMDB web site.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Several other miscellaneous improvements and fine tuning throughout the
  program.

Build 3.95.1211
+ Minor service release.
+ Changed the way active network connection is being detected, it no longer
  involves scanning the network for resources. This also eliminates a (short)
  pause when bringing up Add/Update Disk Image dialog.
+ Minor improvements and changes to several plugins, language files updates.

Build 3.95.1204
+ Runtime plugins now have the ability to process multiple selected items
  at once. DescAPI provides some new functions to allow runtime plugins to
  properly adjust and respond to such cases.
+ All included runtime plugins, most notably IMDB plugin, have been extended
  to support processing multiple selected items.
+ Several other enhancements to the IMDB plugin. Plugin now always imports
  the largest available movie cover on IMDB site, progress window flickering
  while downloading from IMDB site has been eliminated, and there are some
  other minor UI improvements.
+ Redesigned both user interface and underlying functionality for scanning
  and browsing network drives, accessed via UNC addresses. Network detection
  has been improved. Browsing available network resources can be done in
  three different, user selectable ways, as well as directly entering UNC
  address. UNC history remembers last few used UNC addresses for faster
  access.
+ Support for network drives has been extended to support Unicode UNC
  addresses, such as remote shares with localized, non-ASCII names.
+ Added handling of Unicode encoded data in Vorbis tags (most commonly used
  by "Ogg Multimedia Files" and "Flac Audio Files" description plugins).
* When scanning a media, archive files with Unicode file names may have
  appeared listed twice if also cataloging their contents. Fixed.
* Some plugins have had problems importing descriptions for files compressed
  inside archives. Fixed.
* Several other minor adjustments and fixes.

Version 3.94 - 17. October 2008
-------------------------------
Build 3.94.1017
+ Minor service release.
+ Internal viewer now supports custom zooming into viewed images. Use Ctrl+[+]
  and Ctrl+[-], or hold down Ctrl and use mouse scroll wheel. When using scroll
  wheel for zooming, zoomed area targets on current mouse cursor position.
+ Help file for the internal viewer now includes a list of available keyboard
  commands.
* File Management functions other than "copy" were unnecessarily disabled for
  items in search results list. Fixed.
* Saving a catalog from a trial, unregistered version has produced a corrupted,
  unloadable catalog on some systems. Fixed.

Build 3.94.1006
+ Added new "ISO image" button in the Add/Update Disk Image dialog, allowing
  to catalog and later use ISO image files as standalone CD/DVD drives without
  mounting them in an external program. See the help file for details on
  cataloging ISO images.
+ Improved DescAPI with a new ability available to plugins for improving
  scanning performance. All plugins are now optionally asked for every media
  if they want to be included in scanning. Plugins that handle specific types
  of media only (audio CD plugins, NTFS File Summary plugin...) will restrain
  from running on disks they have no interest in, even when left needlessly
  enabled by user. On slow and large media, like remote network drives, this
  may result in significant scanning performance improvement.
+ Relaxed conditions for matching folders against their existing cataloged
  image when updating folders or disk images in catalog. Often, changing
  contents of a folder, like adding or deleting a file, changed date/time
  stamp on the folder itself. This prevented it from being detected as the
  same as previously cataloged, and loosing catalog properties on update. In
  most cases, changed folder dates due to content changes are now tolerated.
* Fixed updating folders with non-ASCII (Unicode) names, sometimes they were
  not able to keep their existing properties.
* Fixed used memory statistic in the About dialog.
* Several minor cosmetical fixes.

Build 3.94.919
+ Added support for handling ISO image files as archives, for both listing
  their contents and extracting. Currently, image files in ISO 9660 data
  mode are supported, as well as Joliet extension, in either ISO, BIN, IMG,
  NRG, and MDF file format. Image files using UDF file system are not yet
  supported at this time.
+ Added a new ISO Image Files description plugin, providing descriptions for
  the above listed ISO image file formats themselves.
+ When in thumbnails view mode, thumbnails for known video files are drawn
  with film strips, clearly distinguishing video files from other images,
  like photos. Film strips for video files can be turned off in program's
  settings.
+ Internal viewer now allows simple panning of images larger than available
  window. Just click on the image and drag it with mouse to move it around.
+ Cataloging compressed files within archives has been optimized, and will
  in some cases significantly reduce the amount of data being extracted from
  archives for plugins to process.
+ Replaced internal memory manager with a modern, assembler optimized version.
  Memory intensive operations like searching are faster up to 20%, and
  memory fragmentation is reduced.
* Fixed importing descriptions for archive files cataloged as folders,
  showing their contents. Plugins can now be run on them as if they were
  normal files.
* On rare occasions, trying to abort disk scanning in progress would result
  in a program lockup. Fixed.
* Fixed some minor, Unicode related issues.
+ On Windows Vista, program now looks for and tolerates incorrectly placed
  license files that ended up in Virtual Store due to folder virtualization.
+ Several other miscellaneous improvements and fine tuning throughout the
  program.

Version 3.93 - 14. August 2008
------------------------------
Build 3.93.814
+ Minor maintenance release.
+ Enhanced tooltips for toolbar items, with added direct access to help
  where available.
+ Minor improvements of Description Assistant's user interface.
+ Fine tuning of several plugins, including IMDB and WAV/MP3 description
  plugins.
+ Updated DcrawPlugin to the latest version of dcraw.c.

Build 3.93.725
+ Minor maintenance release.
* Fixed handling items with assigned alias names when bringing up their
  Properties dialog.
* Fixed script files failing with an error message on some systems under
  certain conditions.
+ Several other minor and mostly cosmetical adjustments.

Build 3.93.718
+ WhereIsIt can now store its settings either in Windows registry, as before,
  or in a separate configuration file on disk. Active mode is selected
  automatically; if the program has been properly installed on the system it
  will use Windows registry. On the other hand, if the program is being run on
  the system for the first time without being installed first, config file is
  used by default. Among others this allows using the program as portable
  application that can be put on an USB stick, for example, and run on any
  system without installation, retaining all settings, and not leaving traces
  in system registry.
+ New command line switches are available to force using either registry
  or selected configuration file for settings storage.
+ When running in the configuration file mode, the program no longer registers
  associated file types in Windows registry, and attempts to use default
  folders for storing catalogs, templates etc. as subfolders at the location
  of executable file.
+ Added a new page in program's settings, showing where are settings
  currently being kept, and allowing importing/exporting settings between
  Windows registry and configuration files.
+ All standard plugins in the program were updated to store their settings
  in the same way as the program does; either in the registry as before, or
  in the same configuration file as used by the program itself.
+ The program is now available for download in two forms. Preferred remains
  digitally signed executable installation program, for permanently installing
  the program on target system. The new alternative is a zip-packed archive,
  containing all necessary files to be unpacked to a target folder and
  executed from there without installation, suitable for portable versions.
  The program should still be properly installed with installation program on
  all systems where it will be used regularly. Installation does a lot more
  more than just copy files and create icons.
+ When copying or moving files using File Management functions, the program
  now pre-allocates target file on target location. This reduces disk
  fragmentation, as well as helps detect problems and illegal operations
  in advance, like running out of disk quota, attempts to copy >4GB file to
  a FAT32 formatted destination, and similar.
+ During file copy/move operations additional information is available,
  including elapsed and estimated time, average transfer speed etc.
+ Improved drag&drop capabilities in the main window for reordering items and
  moving/copying disk images between catalogs.
+ Added new description and thumbnail plugins, handling XML Paper
  Specification Documents (*.XPS), Microsoft's answer to PDF documents.
+ Added new description and thumbnail plugins, handling several different
  types of gadgets and widgets, including Vista Sidebar gadgets, Yahoo
  widgets, Adobe AIR widgets, etc.
+ Several other minor changes, adjustments and enhancements, including more
  robust handling of invalid/corrupted files and data.

Version 3.92 - 5. May 2008
--------------------------
Build 3.92.505
* Fixed error message when setting up advanced searching by categories.
* Since the last build, Catalogs Info dialog did not show up. Fixed.

Build 3.92.426
+ Changed ordering process, available payment options, and online payment
	processor. All related documentation and web site were updated accordingly.
- Removed "How to Order Wizard" from the program, it became outdated and
  obsolete. The entire process is handled better with the online order form.
+ Updated several plugins, including dcraw.c, IMDB plugin, and video-related
	description plugins.
* Fixed disk selection visual corruption in the Insert Media dialog.
* Several minor cosmetical fixes in various places.

Build 3.92.405
+ Added new description and thumbnail plugins for MS Office OpenXML documents,
  and OpenOffice.org documents. Plugins can extract embedded meta information
  as well as thumbnails if available, and are user-adjustable.
+ Improved the Windows Metafile Thumbnails plugin, it now supports additional
  types of metafiles, and renders metafiles to larger bitmap images for the
  internal viewer.
* Fixed a drawing problem in custom icons selection, and improved quality of
  displayed icons where custom icon size may not match system icon size
  (commonly encountered on Windows Vista).
* Adjusted IMDB plugin for changes on IMDB.com and OFDB.de web sites.
* Fixed importing archive file comments from some archive file formats.
+ Some other minor adjustments.

Build 3.92.314
+ The status of Search window within the application has been revised, and
  is now user selectable with two new window mode buttons in its status
  bar. Apart from being a child window of the main application, as before,
  Search window can now be detached and act as a standalone window. This
  means it has its own task bar button, can be independently switched to
  and from, etc. The second button set the window to always stick on top,
  even on top of other applications when in standalone mode.
+ As Search window is now more exposed in the system, it got a new,
  high-quality window icon.
+ Status bar in search window is now always visible in order to provide
  access to the two new window state options.
+ Some Far Eastern system locales, most notably Korean, are extremely
  unfriendly to all data that is not pure UTF-16 Unicode. In many controls,
  system registry etc. 8-bit string data is modified/translated by the
  operating system, heavily interfering with using UTF-8 encoding. Several
  workarounds were implemented in different parts of the program.
  Additionally, all string data saved to registry is now UTF-7 encoded,
  instead of UTF-8 (existing UTF-8 entries are still detected and read
  for compatibility).
+ Added icons to menu options handling disk scanning templates and report
  settings templates. As both Load and Delete submenus are very similar
  in nearby, icons should make it easier to prevent mistakenly selecting
  the wrong operation.
+ A few minor tweaks on the CDDA plugin for better Unicode support and
  general handling.
+ Updated DcrawPlugin to the latest version of dcraw.c.

Version 3.91 - 20. February 2008
--------------------------------
Build 3.91.220
+ The program is no longer being distributed compressed in a ZIP package,
  executable installer is now directly downloadable, digitally signed for
  authencity, and can be executed and installed right from the link on the
  web site. ZIP package is still available for compatibility and existing
  external links on other web sites.
+ The thumbnail plugin importing file .ICO icons will now always import the
  largest and highest quality available icon, up to 256x256 on Windows Vista,
  instead of always importing standard 32x32 icon.
+ Added new description plugin for .ICO files, listing available icon sizes
  and color depths in the file.
+ Fine tuned the behavior of updating multiple disks while running in the
  background. Program no longer pops up after each scanned disc unless there
  is some user intervention necessary. If the main window was maximized when
  sending the program to do its job in the background, it will be restored
  the same way.
+ Prevented the system beep sound going off on several different keyboard
  shortcuts, like Alt+Enter for Properties dialog.
* Addressed a couple of rarely encountered bugs, resulting in error messages
  under very specific conditions.

Build 3.91.201
+ Added support for very long file names in Unicode format (file names
  that would end up longer than 255 bytes when UTF-8 encoded). Catalog
  file format compatibility is preserved in both directions.
+ Improved handling of some damaged JPEG files in the JPEG description
  plugin.
+ Minor adjustments to the Generic Text description plugin.
* Fixed a bug most notable in report generator involving descriptions and
  file names containing double quotes.
* Fixed a minor bug occasionally occurring when searching by item paths.
* Search expression files have been upgraded to a new file version, as
  they now support Unicode. When loading saved search expressions, both
  new and old, pre-Unicode format are supported. Note, however, that
  supporting both types of saved files no longer allows to load search
  expressions files created with Unicode versions prior to this build
  (versions 3.90 and newer).

Build 3.91.118
+ Minor service release.
+ Internal viewer now runs all plugins in a separate thread, with ability
  to forcibly stop them if they get stuck on processing some file.
+ Fine tuned several details regarding language files, Language Editor,
  and Unicode support.
+ Updated Video Thumbnails plugin with new configuration dialog and Unicode
  filenames support. Handled file types are now user definable.
+ Adjusted the "OEM to ANSI formatting plugin" to detect and only handle
  non-Unicode descriptions, otherwise results may not be always desirable.
* Fixed the Matroska Media Files description plugin, it got broken while
  upgrading it to handle Unicode file names.
* Fixed running plugins on files compressed inside archives.
* Fixed importing File_id.diz from some archive files.
* Fixed some language specific, Unicode related cosmetic bugs.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Lots of other fine tuning and miscellaneous minor improvements.

Version 3.90 - 8. December 2007
-------------------------------
+ Searching is now diactric insensitive by default, and will ignore
  diactric marks in file names and descriptions. In order to search for
  literal characters as specified in search expression, include your
  search expression in double quotes. Examples are in the help file.
+ Search engine has been heavily optimized for speed, with most critical
  parts rewritten in assembly language for best performance. Recent
  additions such as Unicode support and diactric insensitive searching
  take their toll in increased processing required when searching. With
  the lastest batch of optimizations, searching speed in version 3.90 is on
  par with previous versions, and considerably faster when not using whole
  words searching, case insensitivity, or diactric insensitivity.
+ Sorting by filenames in item lists now supports Smart Sorting instead of
  strictly using standard lexicographic sorting. With Smart Sorting, numbers
  in file names are detected and sorted as numbers instead of comparing them
  character by character. This way, Smart Sorting always lists files with
  smaller numbers first ("A2" comes before "A12").
+ Searching by regular expressions now supports Unicode.
* Fixed searching being prematurely interrupted and aborted in some very
  specific cases.
* Fixed extracting files from some .zip archives with Unicode file name.
* Fixed an issue with password protected catalogs using non-ASCII characters
  in their passwords.
+ Updated help file with some details about Unicode support is various parts
  of the program.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Several other minor cosmetical fixes in various places, mostly related to
  handling Unicode.

Version 3.90 Beta 2 - 21. October 2007
--------------------------------------
* This version mostly patches up what broke while adding Unicode support.
* All editable combo boxes used in the program had problems entering non-ANSI
  characters via keyboard. Fixed.
* Saving catalogs on Windows 9x/ME did not work correctly. Creating .bak
  files did not work either, for the same reason. Both problems are fixed.
* Autoloading catalogs with no catalogs specified to load resulted in
  unnecessary error message. Fixed.
+ Updated both Generic Text description plugins with Unicode file names
  support, and detecting and correctly importing as Unicode several
  different encodings of Unicode text files.
+ Extended Monkey's Audio plugin to support .ape files version 3.98 and
  newer.
* Fixed several other minor, mostly cosmetical issues related to displaying
  Unicode text in different parts of the program.

Version 3.90 Beta 1 - 9. October 2007
-------------------------------------
+ Added Unicode support. This required massive changes in most of the code
  throughout the program, and is the main reason for this version to be
  released first as a beta. Chances are things broke in the process, or
  some details may have been missed regarding Unicode support, therefore a
  period of testing is required.
+ While WhereIsIt now supports Unicode, it does not require Unicode capable
  operating system to run, it still works on Windows 9x/ME with the same
  executable. Of course, Unicode functionality is not available on non-
  Unicode operating systems.
+ All user editable data in WhereIsIt is now Unicode capable. This includes
  cataloging, opening and saving files with Unicode names, using Unicode
  descriptions, item names, categories, flags, search expressions, etc. All
  visual controls in the program are capable of showing Unicode text.
+ Catalog files now support Unicode text as well, encoded as UTF-8. Catalog
  files from older versions can be used normally and are fully compatible.
  Vice versa works, too, however older versions of WhereIsIt are not able
  to detect, decode and display UTF-8 encoded text in catalogs created with
  the latest version (it would be shown as UTF-8 encoded).
+ DescAPI interface now allows for UTF-8 encoded file names, alias names, and
  descriptions. All standard main plugins have been adjusted to support
  handling files with Unicode file names, and description plugins are able to
  return Unicode descriptions. Several plugins do in fact support and generate
  Unicode descriptions when encountered, for example MP3 description plugin.
+ FreeDB/CDDB support was updated to protocol level 6, supporting Unicode.
+ Archive files support handling Unicode file names as well. Some archive file
  formats that are Unicode capable (RAR, 7-Zip) also support listing and
  extracting Unicode-named compressed files.
+ Drag&drop support in the program was completely rewritten and is now OLE
  based. Moving and reordering items in catalog is now much easier with
  insertion point showing in catalog tree, and allowing insertion before or
  after targeted item. Compare window showing actual files on disk now supports
  dragging listed files to other applications.
+ Search window now shows in the status bar the total search time needed
  for the last search operation.
+ Enhanced "Insert Media" dialog, now with detailed disk description.
+ Added new simple description plugin, extracting URL shortcut information
  from *.URL files.
+ Added new thumbnails plugin, Folder Thumbnails, extracting files like
  Folder.jpg as a thumbnail for the folder, in a similar manner to what
  Explorer does. There may be multiple files set as folder thumbnails,
  and are user-definable.
* Fixed a third-party problem in the PNG library that prevented the program
  from starting correctly on some Windows 9x/ME systems.
* Addressed some anomalies when comparing cataloged data.
* Thumbnails sharpening algorithm now works once again.
+ Lots and lots of other minor changes, improvements, and optimizations.

Version 3.84 - 14. July 2007
----------------------------
Build 3.84.714
* Minor maintenance release, addresses several small issues.
+ All three audio CD related plugins now have an option to include track
  numbers in custom formatted descriptions.

Build 3.84.703
+ Completely rewritten and redesigned Properties dialog, with some added
  functionality. The new design does away with crowded controls, subdialogs
  etc., and uses about five times less system resources.
+ A disk icon is now shown in top right corner for currently selected item
  when in categories view mode, offering quick access to disk's details.
+ When scanning NTFS formatted drive, reparse points and symbolic links
  are no longer followed and re-cataloged, avoiding data duplication and
  inconsistencies on disk size/usage.
+ Files that are compressed using file system compression (i.e. NTFS) are
  now marked as such in catalog, and show both compressed and real size
  in the Properties dialog.
+ Update Wizard now checks if application folder is writable, and requests
  administrator privileges when necessary.
+ Added documentation related to using the program in Windows Vista, with
  emphasis on User Account Control (UAC) restrictions likely to encounter.
* Changed the default locations for catalog files, templates etc. Default
  folders are no longer set as subfolders on the location where WhereIsIt
  is installed, as this would typically place them inside "Program Files"
  folder, causing problems on Windows Vista with UAC.
  Note that this only applies to new installations, existing settings will
  remain unchanged.
* Eliminated slowdowns when updating disk images with extremely high count
  of subfolders within the same parent folder.
* Adjusted detecting Recycle Bin folder in Windows Vista.
+ Updated IMDB plugin for changed search results formatting on the IMDB
  web site.

Version 3.83 - 5. April 2007
----------------------------
Build 3.83.405
+ In description plugins added support for AVI files larger than 2 GB
  (OpenDML AVI format), added support for Matroska MKV files larger than
  2 GB, and updated known codecs names with some 50 additional new ones.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Fixed importing EXIF details, if one certain EXIF field was encountered
  processing the rest would be terminated prematurely.
* Implemented a workaround for thread race condition, which in combination
  with some display drivers resulted in resource leak during thumbnails
  importing, and eventually caused thumbnails failing to import.

Build 3.83.303
* Fixed slow catalog loading if "Disable smooth expanding of catalog tree"
  option was enabled in program's UI settings.
* Fixed missing thumbnails after scanning media on some systems.

Build 3.83.301
+ Extended capabilities of temporary file storage, it now allows temporary
  file to grow beyond 2 GB in size, take in more data if needed, and
  offers better recovery options in case of errors such as running out of
  disk space. Additionally, when located on a NTFS 5.0 formatted volume,
  temporary file is managed as a sparse file, resulting in considerable
  performance improvement as moving data around inside temporary file is no
  longer necessary.
+ Improved quality of icons scaling in Windows Vista.
* Implemented a workaround for a rare 'Invalid image size' error occurring
  during startup on some pre-Vista systems with unusual display DPI settings,
  icons size, or display driver.

Build 3.83.221
+ Catalog tree view and categories tree view now support automatic
  horizontal scrolling when running in Windows Vista.
+ Progress bars throughout the program now support substates in Windows
  Vista, and will visually indicate when process is paused or canceled.
+ Changed the appearance of dragbars, for easier visual location. All
  resizable windows now include visible dragging grips, and dragbars react
  to mouse entering and leaving dragbar area.
+ The Back/Forward control now comes in several different sizes, which one
  is used depends on current screen DPI setting.
+ Reports exported to XML format now always use UTF-8 Unicode encoding.
* Addressed several small memory leaks throughout the program and plugins.
* Fixed a bug causing occasional random thumbnail corruption after multiple
  disk image updates.
* Tweaked the PDF description plugin to prevent processing rare malformed
  PDF documents with recursive entities in an endless loop.
* Removed option to disable multilanguage support, this is now always
  enabled as it takes care of a lot more than just translating visible text.
* Fixed low quality of thumbnails imported from 8-bit colored PNG files.
* Removed progress bars flickering in Windows Vista.
* Tweaked error handling when trying to save catalog in a protected folder
  with insufficient write privileges, commonly encountered with Vista.
* Several other minor tweaks and fixes.

Version 3.82 - 17. January 2007
-------------------------------
+ WhereIsIt now natively supports High DPI and declares itself as such
  in Windows Vista. The program was tested up to 200 DPI, and no longer
  uses Vista's WDM bitmap stretching above 96 DPI.
+ The ListView's View Mode button has an entirely new, Vista-style dropdown
  selection popup. Apart from selecting view mode, using slider for
  selection also allows selecting thumbnails display size on the fly.
+ Setup program now registers WhereIsIt in Default Programs in Windows
  Vista, making it easier to handle associated file extensions.
+ Graphics in all wizards available in the program was replaced with more
  up to date versions.
+ Back/Forward control offers additional support for associated mouse
  buttons without relying on vendor's mouse driver to provide this
  functionality. Back and forward mouse buttons now work in WhereIsIt with
  generic mouse drivers.
+ Windows Vista version and edition is now reported in the About box.
+ Considerably reduced memory load when scanning large quantities of
  digital camera raw files.
+ Updated 7-Zip decompression engine.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Tons of other minor adjustments, mostly UI related.

Version 3.81 - 26. December 2006
--------------------------------
+ Replaced old listview header with crumbread navigation control. The
  breadcrumb navigation bar provides visual indication of the path taken to
  arrive to selected item, as well gives direct access to all parent items,
  their summarized descriptions in tips, and commands in pop-up menus.
+ Removed browse history buttons (Back, Forward) from the main toolbar,
  and replaced them with a new, dedicated control for that purpose, located
  in the header above listview.
+ Added recognition support for several new CD/DVD types, including double-
  layered DVDs, Blu-ray disks, and HD-DVDs.
+ Non-modal resizable dialogs (Search window, User List window etc.) that no
  longer have maximize button available in the title can still be maximized
  or restored by double-clicking window title.
+ Changed default application font handling. On Windows 2000 and newer,
  "MS Shell Dlg 2" is now used by default, which resolves to Tahoma, the
  recommended UI font on newer Windows systems. If some other font is
  preferred, it can be overridden by setting it in the active language file.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Fixed missing text on all controls in one of the dialogs when multi-
  language support was disabled.

Version 3.80 - 26. November 2006
--------------------------------
+ Windows Vista is included in supported operating systems.
+ A lot of adjustments for Windows Vista compatibility, mostly to support
  Vista look&feel. Many controls were adjusted for Vista visual styles,
  and many details addressed according to Vista design recommendations.
+ Window and dialogs hierarchy are completely redesigned and worked around
  compared to what Delphi does by default. This was necessary in order to
  properly support Flip3D and window thumbnails.
+ All dialogs throughout the program, about 100 of them, were revisited
  and controls rearranged in a standard, consistent way. There is typically
  more space between controls, resulting in dialogs appearing less crowded
  and  easier to use, especially in small DPI environments. Dialogs also
  better  handle larger fonts, like new Segoe UI 9pt recommended for
  Windows Vista.
+ A lot of icons used through the program were updated, redesigned, or
  enhanced with additional sizes and color depths. They look better on
  Windows XP, and scale better on high-DPI Vista systems. Icons intended
  for representing WhereIsIt's registered file types also include new
  Vista 256x256 PNG compressed icons.
+ Thumbnails view on all systems has a new look, closer to what Vista uses
  in its Explorer.
+ Additional caption buttons that used to appear on some windows are no
  more. That concept is outdated, it interferes with Vista's glass
  interface, and those buttons haven't had much to offer to end users.
+ The same as above goes for the '..' folder, it's a part of DOS inherited
  history and is gone for good. It's just not used anymore nowadays.
+ Optimized the Locate in Catalog toolbar layout; text label is now
  integrated within edit control on systems that support the new edit
  control.
+ Changed a bit how non-removable media is handled in the program, such as
  cataloged hard disks. When attempting to access actual files on a fixed
  drive which is not found, the program now gives a chance to connect the
  drive and retry, instead of simply notifying user of failure. This
  offers more options when working with drives that are non-removable by
  definition, but are really not - for example, hard disks connected
  externally via USB, firewire, or external SATA connectors, and support
  hot-plugging.
+ Message boxes on Windows Vista now more closely match the new Vista style.
+ Open/Save dialogs on Windows Vista support new Vista-style dialogs.
+ Updated Tips window.
+ Catalogs with active read-only limited access now show a lock icon in the
  status bar.
* Fixed a problem introduced in the previous version, after using searching
  on some catalogs random errors would be reported while browsing.
* Fixed handling of Ext column in reports.
+ A LOT of minor user interface tweaks and improvements throughout the
  program.

Version 3.75 - 13. October 2006
-------------------------------
Build 3.75.1013
* Removed leftover debugging code from File Management routines.
* Tweaked support for printer options in the Report Generator.

Build 3.75.1011
* Minor maintenance release.
+ Completely removed flickering of all list view windows when resizing
  (Windows XP or newer with active visual theme is required to benefit).
+ Added optional fast image resampling (halftoning) in the Internal Viewer.
  Correcting stretched images is almost instant in the fast mode, but
  quality is somewhat lower than with full resampling.
+ Rewritten the Video Player plugin, it's now based on Windows Media Player
  common control and offers better compatibility and frame grabbing support
  for different video types.
* Tweaked docking logic and resizing of the description window.
* Optimized searching through the "Locate in Catalog" toolbar.
* Fixed showing file list in the File Viewer when viewing files from the
  Compare results list.
* Fixed a possible Access Violation error occurring in certain cases when
  starting to update an existing disk image.
* Other minor cosmetical adjustments.

Version 3.74 - 4. September 2006
--------------------------------
+ The new "Locate in Catalog" toolbar allows you to quickly search for a
  specific item through loaded catalogs right from the main window,
  without having to open the search dialog. It locates the first found
  item following current position - repeating search can be used to find
  subsequent matching items. Searching can be done for specific types of
  items, and by different criteria, such as names, descriptions, disk
  numbers, categories etc. - settings are available.
+ Quick searching and advanced searching by names or descriptions now all
  support regular expressions. Regular expressions are a widely used
  method of text matching, extremely powerful and versatile, but requiring
  knowledge typically beyond novice users. The implementation as available
  is a subset of Perl RegEx language.
+ The program now supports opening catalogs from the command-line using
  file masks. Multiple file masks or locations may be specified.
+ The Search button in the main toolbar is now equipped with a drop-down
  menu, gathering available search-related options.
+ Several plugins were updated or enhanced.
+ Many other minor adjustments.

Version 3.73 - 1. May 2006
--------------------------
+ Changes in this release are concentrating on updating program's visual
  appearance and usability of user interface. Most features are a small
  glimpse into custom developed client versions where then have been in
  use for years.
+ Settings dialog has been reorganized, options are easier to access and
  browse. Did away with tabs altogether, sections are now available
  through a more modern, WinXP-style taskbar control. Settings dialog is
  now also fully resizable and will remember its size and position.
+ Standard command buttons in dialogs like "OK" and "Cancel" are visually
  separated from the rest of dialog's contents throughout the program.
  This helps reduce dialog clutter a little bit.
+ Toolbars and non-themed buttons have (optionally) a more modern, shaded
  three-dimensional appearance on hi-color enabled displays.
+ Most status bars now support themes, a few exceptions were left out on
  purpose as they fit dialogs better when displayed the old way.
+ Several dialogs that were previously fixed in size are now resizable.
+ A few other adjustments mostly dealing with user interface.

Version 3.72 - 27. March 2006
-----------------------------
+ Minor adjustments for better Windows Vista compatibility.
+ All standard plugins and most of the main program are now using default
  system font in their dialogs. This also allows the program to fully
  comply with settings like ClearType font smoothing.
+ Tooltip popup windows are now themed, and some visual controls have
  been adjusted for proper display under all DPI settings.
+ Rewritten scanning thread synchronization to compensate for plugins
  using thread-unsafe code, and affecting scanning stability. Scanning
  process now uses less CPU cycles, is a bit faster, and no longer
  runs with higher priority than other system processes. Additionally,
  scanning thread has assigned lower priority when scanning in the
  background, and will give away additional CPU cycles to foreground
  processes when reaching full load.
+ Windows Bitmaps Thumbnails plugin now tolerates and allows for importing
  bitmap (.BMP) files with some incorrect details in their bitmap headers.
* Updating disk images from script files now correctly defaults to
  settings and plugins last used for scanning that image.

Version 3.71 - 9. March 2006
----------------------------
Build 3.71.309
+ Added new "Maya IFF Thumbnails" plugin.
+	Added new script command, ShowTrayIcon(). It shows WhereIsIt's icon in
  the system tray while script file is executing, and it's tooltip shows
  current line and command being executed.
* Fixed several issues related with running script files.
* Fixed processing of certain JPEG files for EXIF extraction, some JPEG
  files saved in a bit different file format failed to extract EXIF
  record.
* Fixed exporting disk numbers in report generator to some file formats.
* Adjusted processing and error handling for 16bps RLE compressed SGI
  files.

Build 3.71.123
* Fixed the error message occuring after scanning a removable media using
	options to eject media after scanning, and redisplay Add/Update Disk
	Image dialog.

Build 3.71.121
* Fixed sending plugin settings to runtime plugins, adjusted visual layout
	of some runtime plugins to support larger thumbnail sizes.

Build 3.71.115
+ Lifted restrictions on imported thumbnails size a bit, with certain
  reservations. Thumbnails in catalogs can now be larger, up to 192x192
  (previously 128x128), with two additional new intermediate values. In
  order to soften the impact of larger thumbnails on catalog size, memory
  requirements, performance etc., thumbnails larger than 128x128 are
  stored in progressively lower quality. On average, replacing 128x128
  thumbnails with 192x192 ones will result in about 20% larger catalogs,
  at the cost of lower thumbnails quality.
+ General settings related to plugins such as max. imported description
  size and thumbnails size are now more readily available when scanning
  disk images or manually running plugins.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Adjusted some details on how alias names are assigned to files and
  folders when edited inline, and what and when is considered a file
  extension in edited alias name.
* Fixed variables handling in the IMDB plugin when using custom formatted
  descriptions.

Version 3.70 - 12. December 2005
--------------------------------
Build 3.70.1212
+ Added rudimentary 7-zip (.7z) archive file support, provided through a
  third-party library.
+ Minor update wizard adjustment, it will now check and report new version
  build numbers as well.
* Minor bug fixes.

Build 3.70.1121
+ For compatibility reasons, disk numbers that translate to be entirely
  numerical are now sorted as numbers, instead of alphanumerically.
+ Rewritten EXIF and IPTC support in all relevant plugins. Plugins now
  allow for extracting any available EXIF or IPTC tag through their tag
  numbers instead of fixed variables. Data formatting for many EXIF tags
  was improved as well. Added support for EXIF makernote tags for several
  digital camera manufacturers (Canon, Nikon, Casio, Fojufilm, Olympus).

Build 3.70.1106
+ Disk numbers are now allowed to be alphanumerical and no longer limited
  to 1-65536 range. Markings like "A-B123-45C" are now allowed. Disk
  renumbering function as well as suggesting first available disk number
  when adding new disk image had to be adjusted accordingly - for both,
  the last found numerical sequence in disk number marking ("45" in the
  above example) will be considered the number part.
+ Thumbnails now maintain aspect ratio when downscaled to 16x16 size
  icons in file lists, and use better downscaling algorithm for improved
  quality.
+ Added recognition of various H.264 and related codecs in used AVI and
  MP4 files.
+ Added support for ID3v2 Unicode LE and BE encoded tags.
+ Added support for .CR2 files to the Canon Raw Files description plugin.
+ Updated DcrawPlugin to the latest version of dcraw.c.

Version 3.69 - 9. September 2005
--------------------------------
+ Added optional automatic view mode switching. If selected, the program
  will automatically choose the most suitable view mode for the current
  context. For example, if more than a certain percentage of listed items
  have thumbnails available, the program will switch to thumbnails view
  mode for the current folder.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Added new NTFS File Summary Information plugin, extracting file
  properties (editable under Properties/Summary tab in Windows Explorer)
  that may available on drives formatted with NTFS 5 or newer file system.
+ Updated the Nikon Digital Camera Raw Files description plugin, added
  support for extracting IPTC data from NEF files.
* A few dozens of other minor improvements and adjustments in various
  parts of the program.

Version 3.68 - 10. July 2005
----------------------------
* Maintenance release.

Version 3.67 - 6. May 2005
--------------------------
* Minor maintenance release only.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Improvements to the Video Player runtime plugin; added multi-monitor
  support, added new popup menu with basic options to help novice users
  get around in full screen mode, some other minor improvements.
* Fixed sorting by certain columns in certain windows, in some cases
  resulting order wasn't as expected.
* Fixed a problem with searching in catalogs where custom icons are
  assigned to folders.
* A few minor bugfixes and adjustments.

Version 3.66 - 1. April 2005
----------------------------
Build 3.66.401
+ Added detection of 64-bit Windows.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Fixed remembering between sessions the last column files were sorted by
  in the main window.
* Fixed setting date in the Lending Disks dialog.
* A few other minor fixes.

Build 3.66.304
* Minor maintenance release only.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Minor updates to some of the description plugins.
* Added a workaround for a removable drive where its driver incorrectly
  reported presence of audio tracks.
* Provided better handling of certain marginal case scenarios, cleared up
  some of the error messages.

Version 3.65 - 7. February 2005
-------------------------------
Build 3.65.207
+ Included the Video Files Thumbnails plugin in the distributable package,
  it was previously separately downloadable with full source code. The
  plugin can import video frames from given playtime offset as thumbnails.
  Note that this plugin is not supported.
+ Improvements to the internal viewer. Added popup menu in the image view
  mode, the plugin used for importing viewed image is now directly
  accessible and configurable, keyboard shortcuts are now shown within
  toolbar button's hints. A few details are fixed or optimized as well.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* A few minor bugfixes and adjustments.

Build 3.65.114
* Fixed rebuilding catalogs with changed encryption setting, minor updates
  to the internal viewer and some of the bundled plugins.
+ Tweaked multi-monitor support; adjusted logic for selecting which
  monitor will new windows open on, and allowed for storing and restoring
  window positions on non-primary monitors. Windows with stored positions
  outside of any currently available monitor space will be shown on default
  position on the primary monitor.

Build 3.65.106
+ Improvements to the internal viewer; added optional icons/thumbnails
  navigation through available files on the source list for easier
  browsing, added full-screen display option when in image view mode.
+ Tweaked mouse wheel scrolling support in the internal viewer and report
  preview windows, positioning mouse cursor over the window is now enough
  to be able to scroll it.
+ Included additional hi-color icons and animations.
+ Updated IMDB plugin for changes on the IMDB.com web site, updated
  DcrawPlugin to the latest version of dcraw.c.
* Added a workaround for improved stability on some P4 hyper-threading
  enabled systems.
* Optimized and adjusted some details in the Matroska Media Files plugin.
* A few dozens of other minor improvements and adjustments.

Version 3.64 - 21. December 2004
--------------------------------
+ All toolbars, menus, buttons and some other graphics are upgraded with
  hi-color icons. New graphics will be used automatically on all systems
  where display settings support at least 16-bit color depth. Old
  16-colors graphics is still included and will be used on low-color
  displays, active high-contrast color schemes, or when specifically
  requested with -Force16colors command line parameter, in case someone
  prefers using old icons. If changing system display settings in runtime,
  switching between 16-colors and hi-color graphics is automatic.
+ User interface handling has been internally reorganized and optimized,
  WhereIsIt now uses about 25% less system GDI resources on startup.
+ Printed/previewed and HTML reports can now use items coloring, as set
  up in the main program. Items in reports can now be colored by
  categories, flags, locations etc. as they are on screen. Items coloring
  in reports can be disabled in Report settings, Report Details tab.
+ Adobe Illustrator description plugin: added support for importing some
  additional PDF-based details.
+ Fine tuned EXIF orientation tag support in TIFF and JPEG files, added
  photo orientation information to EXIF description text.
+ Enabled IPTC support for TIFF files.
+ Added APE tags support to MP3, Ogg Vorbis, and FLAC description plugins.
  Rewritten tags detection to recognize and support any combination of
  ID3v1, ID3v2, and APE tags that may be present in a file.
* Fixed handling 16-bit grayscale TIFF images.

Version 3.63 - 2. December 2004
-------------------------------
+ Updated report generator engine.
+ Added a new option to display and navigate through page thumbnails in
  the report print preview.
+ Allowed sorting items by categories when generating report from the
  main window and not browsing by categories.
+ Updated JPEG code, tweaked support for CYYK, CMYK JPEG files, and
  certain types of TIFF files (plane-separated).
+ Added a new option to JPEG and TIFF thumbnail plugins, allowing
  pictures to be rotated according to the EXIF tag, if available.
+ Updated the "Assign Picture as Thumbnail" runtime plugin.
+ Updated IMDB plugin for changes on IMDB.com and OFDB.de web sites.
+ Updated DcrawPlugin to the latest version of dcraw.c.
+ Disabled the Minimize button on Search, User List and Compare windows.
  It serves no practical purpose and was sometimes causing difficulties
  to some users with having problems to locate minimized windows.
+ Mouse cursor in the internal viewer now indicates busy state when
  picture is being resampled in the background.
* Fixed startup problem on some AMD64 systems running with WinXP SP2.
* Addressed a problem with rebuilding catalogs after making changes to
  catalog password protection, encryption, or compression.
* Fixed placement of newly added or updated disk images in catalog
  according to the set sorting order.
* Tweaked handling RAR and ZIP archives with localized characters in
  filenames.
* Fixed exporting category headers in HTML reports.
* Other minor fixes and adjustments.

Version 3.62 - 20. August 2004
------------------------------
+ Added a few enhancements to the Description window, including custom
  zoom option for the thumbnail. Thumbnails in description window can
  now be displayed enlarged up to three times, using high quality
  resampling and sharpening algorithms.
+ Added support for .cbr and .cbz archive files (comic book format,
  compressed in RAR or ZIP format).
+ Updated JPEG image library, added support for JPEG CYYK images to the
  JPEG thumbnails plugin.
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Fixed an error occurring in some cases when moving or deleting files
  listed in one of the categories or flags in Categories view.

Version 3.61 - 27. July 2004
----------------------------
Build 3.61.727
+ Added new Zeiss LSM description plugin, complementing existing
  Zeiss LSM thumbnails plugin.
* Fixed inability for plugins to change disk's name while cataloging.
* Some other minor changes and adjustments.

Build 3.61.712
* Fixed searching for item names by file masks.
* Disk scanning now always skips folders named .AppleSingle and
  .AppleDouble, if they exist on the media. Those are special folders
  created by certain software when accessing PC files from a Mac, and
  they contain modified, invalid copies of files which can cause problems
  for plugins trying to process them.
* Deselected folders under Folder Limitations button in the Add/Update
  Disk Image dialog are now always reset for each affected drive when
  doing batch disk image updates through the Update All Disk Images
  function.
* Some other minor adjustments.

Build 3.61.705
+ New and updated plugins - added new plugin for Zeiss LSM file format,
  updated TIFF plugin for 12-bit grayscale images in TIFF images with
  separate color planes, updated DcrawPlugin to the latest version of
  dcraw.c and added additional supported RAW files.
+ Added capability to search by whole words when using Quick Search, or
  searching by file names or descriptions in Advanced Search. Combining
  whole words searching with wildcards is also allowed.
+ Redesigned Catalog Setup dialog with added new functionality, including
  sorting, reverting data, auto expanding/collapsing categories etc.
+ If automatic expanding/collapsing tree nodes is selected, all catalog
  nodes will no longer be expanded automatically, but left unchanged
  instead, leaving it to the user if available disks should always be
  visible or not.
* More robust handling of CRC calculations when scanning disks, certain
  specific cases of locked files could cause scanning to abort.
+ Disk or folder currently being scanned is now more clearly marked as
  such in the catalog tree.
+ Added optional ASPI drivers check in the setup program, provided by
  Adaptec's AspiChk.exe. Checking the state of ASPI drivers is highly
  recommended as broken ASPI support on the system is by far the most
  common cause of problems when cataloging CDs or DVDs.
+ Documented command line installation switches for the setup program in
  the Install.txt file, including switches for silent installs.
* Optimized web site for W3C compliance and Mozilla/Firefox compatibility.


Version 3.60 - 4. June 2004
---------------------------
Build 3.60.604
+ Updated DcrawPlugin to the latest version of dcraw.c.
* Addressed a performance problem in Report Generator when handling large
  numbers of items in generated reports.
* Fixed error messages occurring on some systems when changing view mode
  on compare results list.

Build 3.60.521
+ Added new thumbnails plugin for decoding digital camera raw photos.
  DcrawPlugin is a wrapper around Dave Coffin's dcraw.c project, adjusting
  it to be used as a plugin in WhereIsIt. dcraw.c currently supports 109
  different digital cameras.
  dcraw.c home page: http://www.cybercom.net/~dcoffin/dcraw/
* Adjusted a few details with handling network drives, exposed last known
  UNC address for cataloged network drives in a few different places, like
  drive popup descriptions, insert media notification, Properties dialog...
* Adjustments to the Adobe Acrobat (PDF) plugin.
* Lots of other minor changes and adjustments.

Version 3.59 - 27. April 2004
-----------------------------
+ Editing categories, flags, and disk location assignments is now possible
  directly from item lists, for both individual items and multiple items at
  once. Just select wanted item(s) and right-click, double-click, or edit-
  click in the area of the appropriate column. In-place editing like that
  is now available in the main window, search results, and user list.
+ Alias names are now also directly editable in search results list and
  user list. Just edit-click an item, or press F2. The same was already
  available before in the main window.
+ Existing Ogg Vorbis plugin is extended to handle generic Ogg multimedia
  files, including Ogg Media format (*.OGM), supporting video tracks, audio
  tracks, and subtitles.
+ It is now possible to start another instance of WhereIsIt in scripted
  mode even if WhereIsIt is already running in normal mode at the time.
  This should allow scheduled scripts to execute normally, rather than
  being aborted if WhereIsIt is being used interactively at the time.
+ A few changes were made in the About dialog, reported WhereIsIt version
  now also includes build number, and operating system version detection
  is more descriptive and includes service pack information.
+ Changed a few keyboard shortcuts in the English language version, adding
  disk image is now accessible through Ctrl+D instead of Ctrl+A, while
  Ctrl+A is now left reserved for its usual default action, selecting all
  items on a list (also accessible as before through numerical "*").
* Addressed possible negative disk free space being reported after copying
  files using internal file management functions, and selecting to have
  target disk image in catalog updated with data being copied. Negative
  free space could result if target disk image was not previously up to
  date with the actual state on disk.

Version 3.58 - 6. April 2004
----------------------------
Build 3.58.406
* Fixed slow disks scanning experienced on some systems.

Build 3.58.404
* Catalogs opened at the time of exiting WhereIsIt are added once again to
  the MRU list, as they were in versions before 3.58.
* Windows Task Manager no longer shows 100% CPU usage when scanning disks.
  Note that this is a cosmetical change for the benefit of Task Manager,
  actual CPU usage is exactly the same as always.

Build 3.58.326
+ Added new Matroska Media Files (*.MKV) plugin.
* IMDB plugin: Changed URL encoding to be compatible with RFC 1738. This
  allows using some more unusual characters in movie title queries.
+ IMDB plugin: Added support for importing movie thumbnails in GIF and PNG
  formats. 99% of IMDB site has thumbnails in JPG format, however there are
  some movie entries with GIF thumbnails as well.
+ Sorted column is now shaded when running in a system with XP visual
  styles enabled.
+ WhereIsIt now terminates faster when exiting the program, especially
  after dealing with large amounts of data, like scanning large hard disks.
* Some minor changes in generated SQL exported reports.
* Implemented a workaround for Logitech mouse drivers, with mouse pointer
  loosing acceleration setting if showing WhereIsIt's startup logo was
  turned off. In such cases, Logitech mouse drivers were incorrectly
  detecting WhereIsIt "as a game" (one of the plugins happens to use
  DirectX) and may have turned off mouse acceleration if so set up in the
  mouse driver. Related FAQ entry is now also removed as it no longer
  applies.
* Addressed a few minor issues related to running WhereIsIt in special
  localized environments, like using Microsoft's AppLocale utility to
  change system locale per application bases. Scanning media in such cases
  was sometimes terminated when encountering a filename containing
  localized characters. Note that using AppLocale with WhereIsIt is not
  recommended, as it can not provide a proper environment for the program
  to run in, Windows should be booted with appropriate language setting
  instead.
* A few minor changes for Windows XP SP2 compatibility when running on
  AMD64 and Itanium processors.

Version 3.57 - 5. March 2004
----------------------------
Build 3.57.305
+ Quick searching now allows combinations of quoted expressions and masks
  in the same search parameter, i.e. *"bla"?"a b"*c.
* Changed internal ASPI processing to allow for better handling for
  corrupt/non-functional ASPI drivers.

Build 3.57.219
+ Fixed error occuring on columns resize under certain conditions.

Build 3.57.218
+ WhereIsIt now uses RichEdit control v2.0 or newer if available, depending
  on the operating system type and version. RichEdit control is mostly used
  for displaying and editing descriptions, and new version brings some
  additional functionality, such as multilevel undo/redo, auto-detectable
  and clickable URLs in text, improved multilanguage support etc. A command
  line switch is available for troubleshooting purposes, forcing the program
  to use old, compatibility-mode RichEdit 1.0 control.
+ Media type in WhereIsIt's catalogs is now user changeable in disk's
  Properties dialog, with certain limitations. Only media types that are
  "compatible" and do not affect basic media properties and functionality
  can be selected. For example, it is allowed to change CD-ROM media to
  CD-R or DVD, but you can not change CD-ROM to a hard disk or network drive,
  or vice versa. Generally, WhereIsIt will autodetect the correct media type,
  changing it manually may only come handy in cases where precise detection
  is not possible due to hardware limitations (i.e. CD-R media in a regular
  CD-ROM drive).
+ Added a new description plugin extracting digital camera information in
  CIFF format from Canon raw files (CRW).
+ Added support for additional video file formats in IMDB and Video Player
  plugins, fine tuned search results parsing for the IMDB plugin.
+ Added option to compare by file extensions to Compare Files to Catalog
  and Compare Cataloged Data functions.
+ Redesigned user interface and editing behavior in Lending Disks editor.
  All disks are now presented in a catalog tree structure instead of a
  simple list, still sortable, and edited changes are instantly visible on
  the disks list.
* Removed a lot of listview flicker, especially when updating/editing item's
  descriptions.
* Adjusted a few details with inline alias names renaming.
* Many other minor fixes and adjustments.

Version 3.56 - 23. January 2004
-------------------------------
Build 3.56.123
+ Fixed a bug occuring when manually closing catalog or removing cataloged
  data after using searching.

Build 3.56.121
+ Added image resampling support to the internal viewer. Images that are
  stretched to fit the window can now be (optionally) resampled to viewed
  resolution, instead of just bitmap being stretched. While resampling
  image takes some time to complete, it produces notably better quality
  stretched images without jagged edges. Resampling in WhereIsIt's internal
  viewer runs in a separate thread at low priority, and does not interfere
  with browsing and viewer's responsiveness. After changing viewed image,
  you will just note a small delay before resampled image kicks in.
+ Added Locate in Catalog button and menu option in the internal viewer,
  and activated keyboard and mouse navigation keys for scrolling and
  previous/next navigation when viewing images.
+ Added a "Clear Results" button to the Compare results window. It is
  recommended to clear Compare results when no longer needed, to free up
  system resources and speed up catalog processing. Dragging along compare
  results means they need to be updated to be kept valid as catalog changes,
  and this can slow down some operations.
* Lots of changes to handling compare results, mostly fixing a few bugs
  related to deleting cataloged data while that same data was listed among
  compare results. Compare results should now be updated correctly.
* Recordable CD and DVD media are now correctly marked and handled as
  removable, and allow audio-specific processing like CDDB queries when
  recorded as audio.
* Updated IMDB plugin for latest changes on IMDB.com web site.
* Minor adjustment to the JPEG decoder, addressing a compatibility issue
  with some very rare JPEG files.
* Fixed Monkey's Audio plugin (fixed support for .APE files created with
  Monkey's Audio v3.95 and later, APE tag details were not always extracted)

Version 3.55 - 31. December 2003
--------------------------------
Build 3.55.1231
+ The MP3/WAV Audio Files plugin was added support for Advanced Audio
  Coding (AAC) MPEG-4 files (including ID3v1 and ID3v2 tags), a new
  configuration dialog and extended support for ID3v2. MPEG-4 plugin
  now supports *.M4A and *.M4V files as well.
+ Added a new description plugin, handling Monkey's Audio file format
  (*.APE), also supporting ID3v1, ID3v2 and APE tags. Support for ID3v1
  and ID3v2 was added to Ogg Vorbis plugin as well, and many existing
  plugins have renewed and optimized configuration dialogs.
+ Added Nikon NEF Raw Files description and thumbnail plugins.
+ Streamlined the IMDB plugin for faster processing, minimizing user's
  interaction. The most likely choice in search results is now
  preselected, and the longest available plot summary can be imported
  automatically instead of asking user to choose one. In most cases,
  IMDB query can be processed with two Enter keypresses.
+ Bundled all the latest standard plugins.
* Fixed sorting of disk groups by disk locations.

Build 3.55.1215
+ Added CD media type recognition, as far as your hardware supports it.
  WhereIsIt can now tell apart the following types of CD media when it
  is inserted in drive: CD-ROM, CD-R, CD-RW, DVD-ROM, DVD-RAM, DVD-R,
  DVD-RW, DVD+RW, DVD+R, DD CD-ROM, DD CD-R, DD CD-RW. Note that not all
  drives can recognize all media types. Typically, a regular CD-ROM drive
  is not capable of distinguishing between CD-ROM, CD-R, or CD-RW media,
  for example, only write-capable devices can do that. Functional ASPI
  drivers are required on Win9x/ME for this to work, internal SPTI will
  be sufficient on Win2K/XP.
+ Added DeleteDisk and RenameDisk script commands, and provided better
  handling for some types of incorrectly written scripts.
+ Included in the package is the latest new description plugin, AVI
  Video Files, extracting technical details with codecs recognition, as
  well as providing support for three different types of data tagging
  formats, with additional information about video files such as title,
  director, casting, rating etc.
* Fixed a problem where some disk groups would occasionally loose their
  attached pictures when catalog was saved more than once in a session.
* Fixed "Invalid floating point operation" message appearing in report
  generator when dealing with catalogs with damaged thumbnails, or
  encountering low system resources situations.
* Updated FAQ for the slow Logitech mouse issue in WhereIsIt's window,
  the problem is caused by Logitech's MouseWare drivers.
* Other minor changes and improvements.

Version 3.54 - 27. October 2003
-------------------------------
Build 3.54.1027
+ When saving a new user list, a list of existing user lists is available
  as a drop down for easier replacement.
* A few other minor fixes and adjustments.

Build 3.54.1014
+ Changed a bit the strategy on comparing cataloged data, regarding
  multiple matching items on both source and target locations. A single
  source item is now allowed to report multiple matching items on target
  location if compare criteria can not tell them apart. This should
  provide clearer compare results.
+ Added Properties button and menu option in the internal Viewer,
  allowing access to changing description, assigning categories, flags
  etc. while viewing files.
+ Added support for changing media serial number on FAT32/NTFS formatted
  removable media.
+ Minor changes in handling corrupted catalog files, additional load
  progress tracking will allow to report more details about the part of
  catalog found to be corrupted.
* Fixed a problem with Compare Catalog Data function, selecting target
  group items often did not allow for selecting folders beyond root level.
* Fixed searching limited by folder levels, in certain cases folders
  laying below specified limited were also returned.
* Fixed duplicates searching with more than 4 active compare criteria.

Version 3.53 - 21. September 2003
---------------------------------
+ Renewed compressed archive file support for most of internally handled
  compression file formats. Added support for some additional variations
  of compression formats, including ZIP64 (very large .zip files, >2 GB).
+ Report Generator now supports settings templates for both printer and
  paper settings and report setup settings.
* Fixed hiding extensions in file name column in Search Results and User
  List.
* Other minor fixes, changes, and improvements.

Version 3.52 - 2. September 2003
--------------------------------
+ Enhanced searching by categories. You can now optionally select that
  categories are hierarchically dependant when searching, meaning that
  searching for a child category will also match all items assigned to
  one of parent categories. For example, if there is a category "Plants"
  and it has a subcategory "Trees", searching for items assigned to
  "Plants" will also return all items only assigned to "Trees".
+ Added a new option to show assigned categories and flags in item's
  popup window, alongside with item's description and thumbnail.
+ Added new description plugin, handling MPEG-4 (*.MP4) audio and video
  files. This plugin will extract technical details about available tracks,
  and it supports ID3-like embedded information used on audio MP4 files.
+ Improved and adjusted EXIF digital camera info handling in JPEG and TIFF
  images.
+ Word-wrap setting in the top Description Assistant's window is now saved.
* Fixed the Compare Cataloged Data function, in some cases all file details
  had to match regardless of settings used.
* Adjusted SQL exporting for better MySQL compatibility.
* Fixed a resource leak in the Cursor Images thumbnail plugin.

Version 3.51 - 23. June 2003
----------------------------
+ Added recognition and support for Windows 2003 Server operating system.
+ Bundled all new and improved plugins released separately since version
  3.50.
+ Report generator now includes an option to choose between ISO and Windows
  code pages being generated in exported HTML reports.
* Fixed compare cataloged data function for dealing with archive files and
  files compressed and cataloged inside archives.
* Implemented some changes to allow plugins being executed on files with
  very long full paths (more than 256 characters).
* Fixed a problem with WhereIsIt sometimes crashing on exit if Video Player
  runtime plugin was used during the session. Updated Video Player plugin
  to better handle problematic environments (older versions of DirectX
  installed than required, etc.)
* Lots of other minor changes and fixes.

Version 3.50 - 25. May 2003
---------------------------
Build 3.50.525:
* Fixed a problem with loading disk images, where non-root folders had
  assigned custom icons. In some cases not entire disk image was loaded
  when opening the catalog the next time.

Build 3.50.514:
+ Added new runtime plugin, a simple video player with ability to capture
  and assign selected frame from video file as a thumbnail. DirectX 8.1 or
  newer is required. There is a lot of room for improvements with this
  plugin, and some new features will be added in future versions. For now,
  consider it a beta release.
+ Runtime plugins can now be executed on disk groups as well.
* Fixed a problem with updating disk images with virtual run through script
  language.
* Using Save as Default option when scanning disk images no longer turns
  off all runtime plugins in program's settings.
* Adjusted handling of older .DWG files in the AutoCAD description plugin.
* A few other minor adjustments.

Build 3.50.422
+ Included updated DescAPI 2.20 documentation in HTMLHelp
  format, added one additional runtime plugin allowing to assign any picture
  as a thumbnail for any cataloged file or folder, a few other minor changes
  and enhancements.

Build 3.50.408
+ The freeware version of WhereIsIt, WhereIsIt Lite, was updated to 3.50
  code base and is now released together with 3.50 shareware version.
  WhereIsIt Lite is catalog browser only, it can be freely used to browse
  and search, but it can not make any changes to catalogs.
+ HTML exported reports now use relative file name links to other pages
  and included images, instead of full-path file names.
+ Removed remaining debugging code from different parts of the program,
  some resulting in notable speed-ups.
+ A few minor adjustments for better fitting translations in certain
  languages.
+ Adjusted some details for handling RAR archives and updated to the
  latest version of UNRAR.DLL.
+ Added UTF-8 decoding support to the Ogg Vorbis plugin, improving support
  for non-English languages.
* Fixed a bug with updating folder data in existing disk image, resulting
  in GPF under certain conditions.
* Lots of other minor changes and adjustments.

Version 3.50 RC - 18. March 2003
--------------------------------
+ Categories selection tree in Properties and Advanced Search now displays
  categories in their assigned colors, where available.
+ The text for font preview when selecting fonts is now customizable, just
  double-click displayed preview text to change.
+ A few sample HTML templates to be used in report generator for HTML
  exporting are included in this release. Templates allow for customizable
  look and layout of generated HTML exports.
* Implemented a workaround for a problem occurring on Windows XP with visual
  themes active. When resizing window, list view was not repainted properly
  when in mode other than "details". This appears to a problem associated
  with the new Comctl32.dll v6 library shipping with Windows XP. The current
  solution causes some flicker while resizing, but at least it paints
  properly.
+ F5 shortcut was added in all main windows, refreshing / redrawing window
  on demand, just like in Explorer.
+ A few minor changes on the new installer software, allowing for better
  compatibility with older, previously installed version.
* Report generator bug fixed, some types of exported reports contained no
  data.
+ Lots of minor bug fixes and cosmetical enhancements, i.e. added shadow on
  all tooltip windows when running in Windows XP.

Version 3.50 beta 3 - 21. February 2003
--------------------------------------
+ Added a new option in program's settings, for optionally showing small
  icon overlays in the top right corner for folders and disks when in
  thumbnail view. This could be useful for telling apart files and folders
  when all you can see is a thumbnail.
+ A new Word Wrap option is available in the report generator for description
  column. When enabled, description column on printed reports will adjust its
  width to available paper, while text inside is word-wrapped. Useful for
  non-formatted descriptions without line breaks.
+ IMDB plugin v1.1 - additional filtering of HTML tags in plot outlines and
  user comments, added support for OFDb (DE) site (German language database),
  added ability to directly enter movie's URL instead of searching on target
  web site.
+ Updated MP3 plugin, added support for VBR tags where available, resulting
  in a few times faster processing of VBR MP3 files.
+ New keyboard shortcuts are available in treeviews for expanding/collapsing
  nodes in addition to standard ones. Use Ctrl with *, -, and + keys on
  numerical keyboard.
+ Improved support for browsing through system namespace folders.
* Fixed importing data through runtime plugins twice in the same session for
  the same item, only results of the first run would be saved in catalog.
* Fixed missing column headers on the top of printed reports pages, and
  addressed some spacing and page break issues with large thumbnails being
  included in reports.
* Open/Save dialogs are again available in extended format, as in previous
  versions.
+ Some other minor changes and adjustments.

Version 3.50 beta 2 - 6. February 2003
--------------------------------------
+ Beta 2 now ships with Internet Movie Database (IMDB) plugin, the first
  runtime plugin available, also serving as technology demo. Runtime
  plugins are not automated and don't provide descriptions and thumbnails
  while scanning the media, they are manually run later through menu
  options, and typically require user feedback or work with user through
  UI. The IMDB plugin retrieves movie details such as title, year, runtime,
  plot summary, cast, user comments etc., as well as movie's cover image
  as thumbnail, if available. If you are wondering how such descriptions
  look like, open the sample catalog, there is a new DVD movie disk image
  added, equipped with the results of IMDB plugin.
+ "Copy to clipboard" command was added in the internal viewer and
  description viewer window, placing viewed images or thumbnails to
  clipboard.
* Fixed searching by lending disk date.
* Fixed duplicates searching where CRCs were set as a secondary criteria. In
  certain combinations of settings involving CRCs and data being processed,
  not all duplicates were reported.
* Made adjustments for the toolbar buttons order issue. If previous version
  of WhereIsIt was installed, the default buttons order in version 3.50 was
  taken from older version when used for the first time, together with other
  settings, which looked a bit strange as buttons in version 3.50 are a
  different. Beta 2 will fall back to the default order for version 3.50.
* A dozen of other minor fixes, cosmetical adjustments, etc.

Version 3.50 beta 1 - 19. January 2003
--------------------------------------
+ Changed installer software, and stopped shipping 50COMCTL.EXE update
  in the distribution package to save on download size (it's very rarely
  needed, and is available as a separate download where necessary).
+ New internal assembler-optimized memory management is in place, handling
  the most basic memory allocation all around the program. Some memory
  intensive operations resulted in a notable speed boost.
+ Plugins for importing descriptions and thumbnails can now be run manually
  as well, on request and for selected set of cataloged items only. This
  allows much better manual control on which files to process than with
  scanning the media.
+ A new plugin type is introduced, intended for interactive, non-automatic
  plugins that can't do their job without some feedback from the user. These
  plugins are available for manual running only, and they are directly
  available as separate menu options for items they apply to. For example,
  such plugins could be some sort of specialized description editors that
  can work with the user to prepare data to be imported. Their primary task,
  though, is to allow for importing of data that can not be imported
  automatically, without some sort of assistance or input from the user.
  New plugins support importing both descriptions and thumbnails.
+ The internal viewer has been considerably improved. It now allows for
  switching viewed files (previous/next file) directly from the viewer, and
  has support for optionally skipping unavailable files. Viewed images can
  be resized to fit in window, and can be viewed with optionally predefined
  brightness/contrast/gamma adjustment. Text files have a switch available
  for showing them as DOS or Windows text (switching code page used). Viewed
  files can now be launched in the associated application from the internal
  viewer.
+ Added a new diagnostic tool, analyzing the structure of catalog file and
  indicating how much space each disk image or folder take in the catalog
  file. You can use this tool to help you optimize catalog size, find which
  parts of the catalog are hogging most of the space and locate them in the
  main window, there you can remove unnecessary thumbnails, long
  descriptions, contents of archive files etc.
+ New feature added for tracking disk lending and borrowing. Each disk image
  in catalog can now be equipped with indicator whether it is available,
  lent out, borrowed from someone, or not available altogether (i.e.
  damaged). All three states include optional one-line comment, while
  lending and borrowing information can also indicate the name and date of
  the person disk was lent to or borrowed from. Disk status is indicated
  when browsing catalog in a form of additional overlay status icon
  displayed over the disk's icon, while details appear in the disk's popup
  hint along with its description.
+ New data comparing capabilities, allowing to compare files in selected
  groups of cataloged disks and folders. Compare results include list of
  files unique to each group, file that are the same in both groups, and
  files that have the same name but are otherwise different, possibly
  changed. Comparing cataloged data is particularly useful for comparing
  disk images of the same media to track changes.
+ Advanced searching now includes a new criteria for searching by disk's
  lending and borrowing information, including disk's state, name and date
  of person lent to or borrowed from, and associated comments.
+ Added support for catalog group files (.ctg), simple text files combining
  one or more catalog files or other catalog groups into a selected group.
  This allows for easier one-step loading of predefined groups of catalog
  files for users with lots of catalogs. A new catalog group editor with
  preview and catalog details is built-in the program.
+ Added new Report Generator Wizard. Intended mostly for novice users, this
  wizard provides a way to prepare the data for some of the most commonly
  used report types. While it offers nothing that couldn't be done before,
  it simplifies preparing some predefined report types and teaches users how
  to get the same result on their own.
+ Report Generator now supports custom-sized icons and thumbnails (definable
  separately) in printed reports, or in print preview. You can simply define
  how much space (mm/inches/pixels) icons and thumbnails should take on
  paper.
+ Entirely rewritten HTML exporting in Report Generator. Exported HTML files
  are now based on templates, through which the layout and styling of the
  generated HTML pages can be customized. Thumbnails and icons can
  optionally be a part of generated HTML page, exported as JPEG and GIF
  files, and page indexes can be included in templates for multi-page HTML
  files. Additional files such as graphics or CSS definitions can be linked
  from templates and copied along exported HTML data, too. A few predefined
  custom templates are included.
+ Added an option in report generator settings to limit the allowed number
  of description text lines when printing or exporting reports.
+ Changed report generator settings dialog, printer and paper-related
  settings were moved to a separate dialog.
+ Added a new option in the Add/Update disk image dialog, to automatically
  save the catalog after scanning media completes.
+ Added Flags and Disk Location columns to most item lists, adjusted names
  of a few columns for better clarity and consistence between different
  lists, and tweaked a few other related details, like the default order and
  state of columns on individual lists. All new columns are now available
  for the report generator as well. Due to these changes, columns order and
  state will be reset to default if upgrading from previous versions.
+ File management operations like moving and copying files now allow for
  inserting of needed disks in any order. For example, if copying 5 files
  from 5 different CDs, the program will no longer demand one of the needed
  CDs to be inserted, but will list all five and proceed with whichever
  becomes available first.
+ Added Back and Forward browsing buttons in the main window, keeping track
  of browsing history.
+ Catalog files (.ctf) on local disks known to be unavailable or deleted are
  now displayed as grayed on "most recently used" catalogs lists, like in
  the File menu or Open button's menu.
+ Included support for submitting DGENRE and DYEAR information to the freedb
  database.
+ Improved themed user interface support, especially for the WinXP users
  using new XP style. Checkboxes in all lists and treeview are now displayed
  with theme-compatible check marks instead of default, painting buttons has
  been adjusted for better support for other third-party themes etc.
+ Easier plugins management. All lists of plugins now support multi-
  selection, and allow for related operations like checking/unchecking and
  changing priority to be done for multiple plugins at once.
+ The Launch File command was extended to support manually selecting the
  application used to run the selected file with. If holding down Shift,
  "Launch File" command becomes "Launch File with...", which lets you select
  the application to be used instead of the default associated program. Note
  that the standard Windows dialogs and methods are used for selecting
  application to be used for launching file, and implementations may differ
  between different versions of Windows.
+ All language files now default to the system default font. The typeface
  and size of this system default font is determined in run-time for each
  specific system instead of using predefined settings. This makes sure
  WhereIsIt's dialogs have the same default appearance as all other Windows
  applications, regardless of screen DPI settings and video drivers.
+ A new file name matching option was added to searching for duplicates,
  allowing for files to optionally differ in file extensions yet still pass
  the same filename criteria (i.e. Readme.txt" and "Readme.bak").
+ Advanced searching was extended with a new criteria for searching by
  thumbnails. It is now possible to search for items with or without
  thumbnails, or for items with thumbnails of certain size.
+ The Compare Files to Catalog function now supports searching for matching
  items inside cataloged archive files (of course, only if their contents is
  available in catalog).
+ You can now assign a disk picture from clipboard as well as from file.
+ Optimized processing of certain combinations of compressed archive files
  and options used while scanning disk. For example, processing large solid
  archives while importing descriptions only and not cataloging archive
  contents is now a lot faster.
+ The separator character for CSV exports in report generator is now user-
  definable (the default remains to be semi column, as used by Excel and
  other related applications. Some prefer comma though).
+ Updating disk images now allows for files in catalog to keep their existing
  descriptions, categories and thumbnails if their name and CRC did not
  change. If CRC is not available in catalog, or is not set to be calculated
  during media scan, files must still have the same name, size and date/time
  stamp to keep their cataloged properties, as before.
+ Added a new option in program's settings regarding the scope of browsing
  through available network resources. The program now defaults to listing
  connected resources only, i.e. mapped network drives instead of trying to
  find everything available on the network. The latter mode of operation is
  still available, but can cause long delays when Windows tries to find and
  enumerate available computers, shared drives and printers etc.
+ Scanning report for the Update All Disk Images command now includes some
  additional details.
+ Added recognition support and separate drive icon for DVD media.
+ System default drive icons are now used instead of custom ones for drives
  like Zip, Jaz, and DVD drives, when running in Windows XP.
+ Charset handling for custom fonts is now more flexible, allowing users to
  have more control when working with international fonts.
+ JPEG thumbnails plugin was updated to support some of the newer JPG files.
+ Removed support for importing Floppy Master databases. This has been
  obsolete for a long time now.
+ A LOT of other minor changes, improvements, adjustments,...

Version 3.26 - 10. June 2002
----------------------------
+ Added two new thumbnail plugins handling Adobe Illustrator files (*.AI)
  and Canon EOS digital camera raw files (*.CRW), and a new description
  plugin for Adobe Illustrator files.
+ Optimized processing of certain combinations of compressed archive files
  and options used while scanning disk. For example, processing large solid
  archives while importing descriptions only and not cataloging archive
  contents is now a lot faster.
+ Added support for extracting from multivolume RAR archive files using the
  new .partxxx.rar naming scheme.
+ Improved themed user interface support, especially for the WinXP users
  using new XP style. Checkboxes in all lists and treeview are now displayed
  with theme-compatible check marks instead of default, painting buttons has
  been adjusted for better support for other third-party themes etc.
+ Catalog files (.ctf) on local disks known to be unavailable or deleted are
  now displayed as grayed on "most recently used" catalogs lists, like in
  the File menu or Open button's menu.
+ Improved support for handling menus with accessibility software, such
  as screen readers aiding visually impaired users.
+ Lots of other minor improvements and adjustments.

Version 3.25 - 10. February 2002
--------------------------------
+ Added support for RAR 3.0 archive files.
+ Importing the description entry from ID3V2 tags in MP3 files has been
  re-enabled and uses a bit different approach to avoid problems with
  some invalid tags.
+ The HTMLHelp window is now no longer forced to stay on top of the main
  window, you can switch between the two freely.
+ Optimized processing of archive files during scanning.
* Implemented a workaround for some Windows NT 4.0 systems which had
  problems dealing with custom icons. Saving a catalog containing certain
  kind of custom icons would fail in Windows NT 4.0.
+ Many other minor adjustments, fixes and changes all around the program,
  mostly transferred over from version 3.50 development.

Version 3.24 - 12. January 2002
-------------------------------
+ Added an option to choose version of the file format when exporting to
  Excel. You can choose between Excel 97/2000/XP file format, and Excel
  5.0/95 files. If you have file compatibility concerns or problems with
  exporting localized characters, the older file format may be a better
  option.
+ Added a new thumbnail plugin, extracting attached pictures from ID3v2
  tags in MP3 files, where available.
+ The CD-Text plugin was added SPTI support to be used instead of ASPI on
  the NT-line of Windows. This was the last part of WhereIsIt still using
  ASPI on those systems, so ASPI is now no longer used or required when
  running in Windows NT/2000/XP.
+ Added a minor extension to the DescAPI interface, all plugins now receive
  a handle to the appropriate parent window, in case they need to display
  modal dialogs or windows on their own.
+ The Quick Search page was added a help button next to the edit field,
  providing a quick link to the appropriate help file, explaining how to
  use quick search expressions and stating a few samples.
* Adjusted support for handling audio CDs, allowing for some more unusual
  (typically home-burned) audio tracks to be recognized and handled as
  audio.
* Fixed a problem with removing files from catalog, where both compressed
  files within archives, and parent archive file were selected for removal.
* A few other minor adjustments.

Version 3.23 - 24. December 2001
--------------------------------
* Fixed a problem with some password protected catalogs ending up corrupted
  after being used in version 3.22. This build also contains recovery
  capabilities, allowing to read and properly save such catalogs.
* Fixed a bug with missing tag name for the file name column in XML exports.
* When exporting custom reports, some data types like dates and integers were
  exported as empty in certain cases, although data was available. Fixed.
* Made a few changes and implemented a few additional checks to better handle
  failed save attempts, due to catalog files being opened in other
  applications, or by other users.

Version 3.22 - 14. December 2001
--------------------------------
+ Improved damaged catalog recovery capabilities. All catalog files saved
  with version 3.22 and newer now contain a small recovery record, which
  can help the program to salvage data from badly damaged catalogs. Catalogs
  with damaged basic structure were not readable in previous versions, while
  this addition allows the program to skip damaged parts, and salvage the
  rest of data.
* Some systems were confirmed to have a problem with retrieving disk size
  and free space for remote network drives, if they were addressed by their
  UNC address. This problem was limited to Win2K/XP systems, and could also
  interfere with saving catalog files on network drives using UNC addressing.
  Fixed.
* Addressed a certain scenario where a previous failed save attempt could
  leave the catalog corrupted the next time it was saved.
* Fixed GPF errors when working with compare results window, and having
  description window undocked from the main window. Cosmetical error only,
  no effect on stability or data integrity.
+ A dozen minor changes and improvements.

Version 3.21 - 18. November 2001
--------------------------------
+ The new HTML Help file is now finally completed and included in this
  release, replacing the old and tired WinHelp edition. While most of
  the text inside has remained unchanged, the new help file system offers
  better design and functionality, and will be easier to maintain and
  translate. The new help file features heavily cross-linked topics
  through the "See Also" tags, directing you to related topics. Over 500
  additional links have been added this way. While existing WinHelp files
  are still supported and will continue to work in WhereIsIt, all new
  help file development will now be in HTML help format.
+ Added support for switching active help file on the fly, while program
  is running. For example, if old WinHelp .hlp help file was used, and
  the new HTMLHelp file was just downloaded and made available, WhereIsIt
  will start using the new help file without restarting.
+ Added SPTI support. SPTI is Microsoft's alternative to Adaptec's ASPI,
  and is more reliable to use, avoiding the mess with different third-
  party ASPI drivers. WhereIsIt now always tries to use SPTI first, if
  possible. Note that SPTI is available on the NT line of Windows only
  (Windows NT, 2000, and XP), and you must be logged in with administrator
  privileges in order to use SPTI. If SPTI interface fails or is not
  available, WhereIsIt will still fall back to using ASPI.
+ Changed a few details about handling files compressed inside archives.
  Except in the main window, file path inside archive was moved from the
  file name and is shown appended to the Location column instead.
+ Language manager now automatically maps the default "MS Sans Serif" font
  to the newer "Microsoft Sans Serif" font, if it is available on the
  system. While both fonts look the same, the new Microsoft Sans Serif is
  an OpenType font and supports additional visual enhancements, like
  ClearType font smoothing in Windows XP.
* Fixed a bug where items were shown in wrong categories in the view by
  categories mode under certain conditions. This was a cosmetical issue
  only, it did not affect catalog's integrity and all items are still
  assigned to their correct categories.
* Transferring items with assigned custom icons between catalogs will now
  retain the custom icon setting.
* Custom icons in 256 colors were sometimes stored in catalog as 16 color
  icons. Fixed.
* A set of other minor changes and improvements.
* Finally fixed the real source of problems with repainting listview
  column headers in Windows XP. All previous 3.2x releases contained a
  workaround for this issue, however the error has still surfaced on some
  rare occasions.

Version 3.20 - 1. November 2001
-------------------------------
+ Only a few minor and cosmetical changes were implemented since beta 3,
  and all known problems pending confirmation were reported as fixed.
  Debugging code was removed and version 3.20 is now released as final.
* Added a new optional command-line parameter '-noASPI', disabling ASPI
  layer support in WhereIsIt. This switch is for troubleshooting purposes
  only, intended for users who are having problems accessing devices like
  CD-ROM drives with WhereIsIt. On some systems which have an ASPI layer
  installed, ASPI interface is not functioning properly, mostly because CDR
  software is installed and it uses non-standard third-party ASPI drivers.
  While reinstalling Adaptec's ASPI layer is recommended in such cases, you
  can also use this switch to set WhereIsIt to avoid using ASPI. Do not
  use this parameter if adding audio CDs to catalog, as ASPI is required
  for proper CDDB handling in special cases.

Version 3.20 beta 3 - 27. October 2001
--------------------------------------
+ Added hi-color icons for the Settings dialog's side bar, for all systems
  using 16-bit or more colors. More of those will follow in future versions.
+ Extended "Audio CD Track Files" plugin with option to include track number
  in assigned alias names.
+ Network drives mapped to a drive letter now show their original UNC
  address in the Add/Update dialog, in a form of tooltip displayed on the
  drive's button.
+ The scanning progress window now shows the name of the disk being scanned,
  and a few more details are available as a tooltip.
+ Optimized display thumbnails caching, browsing lists with lots of
  thumbnails is now faster as smoother.
* Changed a few details about scanning thread settings in attempt to improve
  on scanning stability. While beta 2 worked fine for a vast majority of
  users, there a few reports about randomly occurring problems during
  scanning.
* Fixed a GDI resource leak on Windows XP when displaying thumbnails.
* Fixed extracting from RAR multivolume archives, where extracted file was
  split between volumes, and one of the volumes was missing.
* Made a few changes to RAR and ARJ archive handling for better support of
  files using international characters in file names.
* Improved support for international characters when exporting to XML.
* The Time column in the compare results was showing file date instead of
  file time. Fixed.
* Changed a few details about drag&drop support for setting up categories in
  the Catalog Setup dialog.
* Columns and data in report generator were switched if report was generated
  from the categories view. Fixed.
* Fixed sorting by the CRC column.
* The timer measuring elapsed time during disk scanning now stops when
  scanning is interrupted using the Cancel button, and waiting confirmation
  whether to proceed or not.

Version 3.20 beta 2 - 7. October 2001
-------------------------------------
+ Added a new feature to copying/moving files with build-in file management
  functions. If target file already exists, you can now choose to copy new
  file under a different name, instead of just overwriting or skipping it.
  Generated file names use sequential numbering, i.e. "Readme[1].txt".
+ Two different options for exporting to XML are now implemented, one is
  classic XML, and one adjusted for XML DataPacket formatting.
+ Improved responsiveness to canceling media scanning in certain stages of
  the process.
+ Tweaked a bit message handling and thread settings for the media scanning
  process when running in Win9x/Me systems, resulting in faster scanning.
* Fixed issues with GPFs occurring in the Report Generator and other windows
  containing listview controls. The problem was limited to Windows XP
  running with classic user interface.
* Changed a few details in the XML exporting, and fixed a bug where field
  names in XML file were not matching exported data in some cases.
* Field names used in XML and SQL exports are now fixed and no longer
  depend on currently selected language.
* Fixed exporting to HTML, some tags like <BR> were incorrectly converted.
* Fixed a minor bug in CDDB processing, in some random cases data CDs were
  allowed to be queried for CDDB details, which is redundant.
* A few minor cosmetical and user interface enhancements.

Version 3.20 beta 1 - 30. September 2001
----------------------------------------
+ Support for Windows XP is now officially added in this release.
  WhereIsIt now supports true color icons and new themed user interface.
+ Exporting capabilities in the Report Generator have been considerably
  enhanced. New export destinations now include CSV files, SYLK text files,
  SQL script files, XML documents, as well as exporting to the clipboard
  in ASCII text format.
+ Most of the textual exported formats have been added preview possibility,
  where you check how exported file will look like. Preview support includes
  reports exported as ASCII, CSV, or SYLK files, SQL script files, and XML
  documents.
+ Exporting to Excel has been completely rewritten and now no longer utilizes
  DDE communication with Excel, but rather writes XLS files directly. This
  way, Excel is no longer required or used, exporting to XLS is faster, and
  there won't be any issues with changed DDE support in Excel like in the
  latest Office XP version.
+ There are some major changes in approach to archive file processing during
  media scanning. The new system is a bit faster, allows for better use of
  disk caching, and most of all, it allows one-pass archive file processing.
  The latter shows as a big performance improvement when processing files
  inside long solid archives and CAB files. Overall, about 25% average
  performance improvement in scanning time has been measured when processing
  archive files, and a lot more when dealing with solid archives.
+ The timer showing elapsed time during scanning is now more precise and
  running smoothly during the process.
+ Updated ACE archive support for ACE v2 files. Handled a few issues with
  extracting from solid multi-volume RAR archives.
+ The DescAPI plugins interface has been enhanced and updated to version 2.1.
  Two new plugin types have been introduced, allowing for additional
  operations, as described below. The DescAPI documentation has been updated
  accordingly.
+ The first new plugin type allows modifying a visual appearance of file and
  folder names being cataloged, namely allowing to adjust their character
  case. The ptFileNameFormatting plugins are given a chance to adjust file
  names before they are cataloged, and can do that according to user's
  settings, through plugin's configuration dialog. Accordingly, a new plugin
  has been added to the default plugins module, featuring a configuration
  dialog where you can select how should file and folder names be imported.
+ The second new plugin type handles automated importing and storing of
  custom icons to be used for disks or folders in catalog instead of the
  default system icons. These plugins could be used to provide customized
  icons for drive or media of specific type, assign special icons to folders
  found to be holding certain kind of data, etc. A new plugin of this
  category has been included in the DescPlugin module, importing custom
  disk icons based on disk's autorun information.
+ Added functionality targeted in preserving changed sorting order inside
  disk groups without having to re-save the catalog.
+ Cosmetical enhancements, such as shadowed glyphs on buttons and menus.
+ Alias names returned from plugins are no longer accepted and stored if
  they are the same as item's real names and therefore redundant.
+ Updated program's main icon with 16x16 and 48x48 256 colors icons.
* Switched title and author information when exporting audio CD details to
  CDPlayer.ini; using default plugins settings on import, they were reversed.
* Printer handling in report generator was adjusted for cases where printer
  drivers are installed, but the printer is remote and not available at the
  time, also resulting in limited printer driver functionality.
* A few minor changes in the CDDB plugin's user interface, such as showing
  the horizontal scrollbar in the multiple hits dialog when necessary.
* Updated the MP3 and WAV Audio Files plugin, certain small WAV files with
  no data information were confirmed to cause problems when handled by this
  plugin and could cause scanning to abort.
+ Bundled with the latest version of plugin modules, including updated MP3,
  Vorbis Ogg, and PDF plugins.
+ Countless other minor changes, improvements and adjustments, including
  performance improvements.

Version 3.11 - 12. July 2001
----------------------------
+ Changed a bit the appearance of menus used in WhereIsIt, keeping up with
  the latest trends. Additionally, active buttons in dialogs are now painted
  a little bit brighter from the rest of the dialog. Note that both UI
  enhancements are only available on systems with 16-bit or more colors,
  users working on 256 or even 16 color displays will notice no change.
+ Added plug&play support for help system in newer HTML Help format (*.chm),
  while still retaining compatibility with current WinHelp (*.hlp) files.
  WhereIsIt is now capable of using help files in either of the two formats,
  whichever is found to be available. English help file is currently being
  translated to HTML Help, and will replace .hlp version in a near future.
+ A new description plugin has been added to the Main Description Plugins
  module, handling Windows Media Format files, including ASF, WMA, and WMV.
+ Updated the CDDB/freedb plugin to handle new level 5 protocol, introducing
  genre and year information to CDDB entries.
+ Two buttons were added to the Check for Update Wizard, allowing to quickly
  check or uncheck all items listed as available updates.
+ The state and order of columns in report generator will remain unchanged
  if selected report destination is changed.
+ Improved native mouse wheel support in item lists. Generally, mouse drivers
  handle the wheel better than Windows' native support, but if you are using
  a generic mouse driver, this one may come as an improvement.
* Made a few cosmetical fixes for systems running in 256 colors mode.

Version 3.10 - 2. July 2001
---------------------------
+ The help file and the rest of documentation is now up to date for v3.10.
* Fixed a problem on program's startup, appearing on some system using
  custom shell icons. Addressed in beta 2 build 626.
* The virtual root folder setting in Add/Update Disk Image dialog was not
  working. Addressed in beta 2 build 626.
* Fixed an error in compare functions, when trying to compare disk image
  against a very large drive (containing more than 32.767 folders).
* Many other minor cosmetical changes.

Version 3.10 beta 2 - 23. June 2001
-----------------------------------
+ The CDDB plugin and CDDB posting in the main program have both been
  revised considerably to ensure proper CDDB/freedb support on both local
  and remove queries, as well as for posting new entries to freedb database.
  The CDDB plugin was also added support for multiple matches on local CDDB
  queries. WhereIsIt is now officially certified to be freedb compatible,
  thanks go to Joerg Hevers from freedb.org for extensive testing.
+ Drive and media type detection is now dynamic and in real-time, based
  on media change notifications. This should allow for better compatibility
  with drives that can change their media type in runtime, such as LS-120.
+ The method used to detect drive type in WinNT/2K was changed and should
  now be more reliable on systems with plenty of IDE and SCSI devices.
+ Detecting existing disk images in the Add/Update Disk dialog is now set
  to search in the entire catalog, not just in currently selected disk group.
+ A few minor changes for better WinXP compatibility. Note that WinXP is
  not yet officially supported at this time, although most of possible issues
  are expected to be cosmetical only.
+ Improved support for translations in some user interface areas.
* Fixed a problem with folders appearing duplicated in very specific cases,
  such as combining search and compare functions over the same data in a
  certain way.
* WhereIsIt is now more resistant to handling corrupted catalogs, and was
  added some new auto-repair capabilities on loading data. If you were dealing
  with damaged catalogs, chances are this version will be able to at least
  load and recover undamaged parts. In such cases it is still recommended to
  delete damaged or incomplete disk images from the catalog, and replace them
  with newly scanned data.

Version 3.10 beta 1 - 11. June 2001
-----------------------------------
+ This version features a largely redesigned compare functions, from both
  functional and user interface points of view. The new compare results
  layout concentrates primarily on files on the media, as they are most
  commonly handled after compare operations. At the same time, each same
  or changed file will show related cataloged files on the second file list,
  allowing for manual comparisons, inspecting changes, etc.
+ Added a new, fifth display mode "Thumbnails View", comparable to a
  similar feature available in Explorer. The size of displayed thumbnails
  is adjustable in program's settings.
+ Thumbnails display caching feature has been implemented, considerably
  speeding up scrolling and reducing screen flickering when working with
  item lists showing many thumbnails.
+ Extended quick search expressions capabilities. Quick searching now works
  in a manner similar to most web search engines, allowing to use both
  AND-type (space-separated) and OR-type (comma-separated) expressions.
  More details about forming quick search expressions with samples are
  available in the help file.
+ Columns used in Report Generator can now also have fixed, specified width
  besides the automatic width selection based on column data. When printing,
  previewing or exporting reports to RTF format you can optionally fix
  selected columns to specified number of units in mm, inches, or pixels,
  or set them to automatic mode as before.
+ All generated reports can now have their data custom sorted by one or more
  columns, as set up in the Report Generator dialog itself. You can select
  desired sorting when setting up report columns, or you can have report
  generator keep the existing order of items, as stated on source list. This
  is really nothing new in terms of functionality, you can have reports sorted
  in way you want as it is by properly preparing source data, but this way it
  is more obvious and easier to use.
+ Added a new ordering option to the Report Generator, items in report can now
  be sorted by categories and optionally equipped with category headers.
+ The Report Generator dialog was made a bit bigger, allowing for larger
  windows showing report columns and custom report settings.
+ Enhanced the Add/Update Disk dialog with a set of new options about
  updating disk images. Now you can select how existing descriptions,
  aliases and thumbnails will be handled when updating disk image - will
  they be kept, discarded, or replaced with newly imported versions.
+ The Properties dialog for multiple selected items was added a new page,
  containing functions for batch processing of descriptions and alias names
  of selected items. You can now find and replace parts of text, or insert
  additional text before or after existing alias names and descriptions.
+ The Advanced Disk Properties dialog was added a new tab, showing disk
  scanning statistics, including time needed for scanning, the number
  of imported descriptions and thumbnails, plugins used in scanning, etc.
+ It is now possible to manually assign a picture to disk image entries.
  Thumbnail plugins take care of providing support for graphics file
  formats, so you can add any kind of graphics that can also be imported
  as thumbnails. Pictures for disk images can be imported a bit bigger
  than regular thumbnails, up to 512 x 512 pixels.
+ The Program Settings dialog has been reorganized a bit to make space
  for some new options.
+ Added a new file list option for customizing columns width behavior.
  You can choose whether you want columns to auto-adjust their widths
  based on data displayed (as before), or you can have columns stick to
  the same width and manually adjust them as needed.
+ Double-clicking action can now be combined with the Alt key and can be
  selected from the list of available actions, the same as regular double-
  click. This way, you have two customizable double-click actions, one
  for just double-clicking file, and one for double-clicking with Alt
  button pressed.
+ WhereIsIt now supports posting audio CD entries to the freedb.org database.
  Both posting through HTTP and email is supported; as the latter is used
  through MAPI, it can be used to post offline as outgoing messages will be
  waiting in your email client's Outbox. Sending details for multiple CDs
  at once is supported, and you can and should manually edit or verify all
  data before it is posted to freedb server.
+ Moved all three CDDA related plugins (CD-Text, CDDB, and Generic Audio
  Track plugins) to a separate module. The CDDB plugin has gone through a
  major rewrite, it now supports local CDDB databases as provided by freedb
  (both Unix and Windows formats), and is in general much more configurable.
+ Both CDDB and CD-Text plugins have been added a new option to include
  track number to alias names, assigned to audio CD track files. This can
  also help with sorting track entries by their track numbers.
+ The CD-Text plugin features another new option for including performer
  info as a part of assigned alias names.
+ The SoundEx algorithm, used for sounds-alike searching, was slightly
  modified to ignore diacritic characters and use their base characters
  instead. This can help locating names and descriptions where diacritic
  marks were not used consistently in all items.
+ Improved or added UNC addressing support in a few different parts of the
  program.
+ Added two options in program's Settings dialog for enabling/disabling UNC
  network support and network browsing. Both options were available before as
  well, but as command-line switches only.
+ Updating existing disk image will now preserve its position in the catalog
  or disk group. Previously, updated disk image was added to the end of list
  if custom disk ordering was active in the parent catalog / disk group.
+ Added support for drives that can change their media type (such as LS-120)
  or for cases when a drive is dismounted from a drive letter, and a different
  type of drive is mounted on that same drive letter.
+ Improved support for custom icons with more than 16 colors.
* The "Compare To Media" function had returned incorrect results when run on
  disk images which were cataloged through their UNC drive addresses instead
  of assigned drive letters. This issue was limited to comparing to remote
  network drives only, addressed through UNC address. Fixed.
* Fixed searching by size criteria larger than 2 GB.
* Fixed a problem with occasional missing folder icons after moving/copying
  folders through file management functions and updating target disk image.
* The Audio Files Plugin in DescPlugins module can now better handle invalid
  or non-standard MP3 and WAV files.
* Addressed a set of minor cosmetical user interface issues.
* Lots of other minor changes, fixes, improvements...

Version 3.03b - 19. March 2001
------------------------------
+ Added support for browsing and extracting from new and promising .bz2
  and its derived archives, including .tar.bz2 and .tbz2. The later two
  combinations are handled as nested archives, the same as .tgz.
+ All disk images scanned with this version now include disk scanning
  statistics, such as time needed for scanning, the number of imported
  descriptions and thumbnails etc. This information will be available on
  request in the next version as a part of disk's Properties dialog.
* When saving to a new, non-existent catalog file, a warning message would
  unnecessarily pop up. Fixed.
* Occasionally the contents of newly scanned nested .tar.gz or .tgz archive
  was not saved correctly, resulting in empty archive file contents the
  next time catalog was loaded. Fixed.
* Removing file extensions on file lists has incorrectly removed a part of
  filename for some files without extension and compressed inside archive
  files with nested folders. Cosmetical issue only, fixed.

Version 3.03a - 12. March 2001
------------------------------
+ A very minor update only.
+ The main description module packed with the program has been updated to
  include the latest version of CDDB plugin, set to use by default the
  freedb.org database instead of cddb.com.
* Addressed an issue related to Report Generator where the only available
  and default printer was a network one, and was not currently accessible.
* Assigning flags in Properties and Description Assistant dialogs was
  disabled in certain types of catalogs, as if they were read-only. Fixed.
+ The dialog for editing disk descriptions was added a new button, which
  inserts at the place of cursor some scanning statistics details as a part
  of disk's description.
* Changed a few details about updating target disk images after file
  management operations like copy an move.

Version 3.03 - 4. March 2001
----------------------------
+ Added a new column to most file lists, showing file CRC values where
  available in catalog. The new columns are hidden by default, you need to
  specifically turn them on if interested in file CRCs.
+ CRC codes for individual files in catalog are now also shown in their
  Properties dialog, if available.
+ Changed a bit how disk space charts in Advanced Properties dialog are
  drawn, to better cover for special cases such as virtual disks, disks
  without content in catalog, etc.
+ Added a new command line switch for easier debugging of scanning problems,
  caused by one of the plugins. WhereIsIt now recognizes the "-debugplugins"
  parameter when started from a command line, resulting in all plugins
  activity during media scan being logged to the "Plugins.log" file.
  Inspecting the log file after failed scanning should tell you exactly
  which plugin was active at that time, and which file on the media was
  being processed by that plugin. More details are available in the help file.
+ Some restrictions about optional updating disk images after file operations
  like "Copy to..." and "Move to..." have now been resolved and are no longer
  necessary. If updating target disk image is selected for file operations,
  all disk images matching the target drive in all loaded catalogs will be
  updated accordingly, including disk images inside disk groups.
+ Optimized processing of nested .tar.gz archives, if importing descriptions
  for files compressed inside archive file is enabled. Note once again that
  enabling this option includes heavy performance impact by the definition
  of it, and should only be used where really necessary.
+ Thumbnail plugins are now set to be disabled by default in new program
  installations. Apparently importing thumbnails is commonly used by new
  users without any reason or need for it, and thumbnails only end up
  bloating catalog files considerably.
* Adjusted handling for some .tgz files that do not include the name of .tar
  file compressed inside, processing the .tar file inside was skipped with
  such files.
* Improved handling of archive files containing illegal file names, such
  as filenames reserved by OS for system devices (aux.*, prn.*, etc).
* Under certain circumstances an "Index out of bounds" error message would
  appear when right-clicking on of the columns. Fixed.
* In previous versions it was possible to add to user list the three root
  items from Browse by Categories mode ("Categories", "Flags", "Disk
  Locations"), which doesn't make much sense and could eventually lead to
  problems. Fixed.
* When removing the contents of archive file from catalog and converting
  the archive file into a regular file entry, file size reported in catalog
  could end up a lot larger than it really is. Fixed.
* A few other, mostly minor cosmetical changes.

Version 3.02 - 2. February 2001
-------------------------------
+ Nested .tar.gz files are now processed down to the .tar level, for both
  cataloging and extracting. While nested archives are not processed in
  WhereIsIt, this exception has been made as .tar.gz files are very
  commonly encountered in this combination. If a GZIP file is encountered
  with a single .tar file inside, the .tar file is temporarily extracted
  and processed. Support for .tgz files has now been added as well.
+ Rearranged and extended EXIF digital camera information retrieved by
  graphics description plugins.
+ The MP3 plugin will now calculate and display the average bitrate for
  VBR MP3 files, if calculating VBR play time is enabled in the plugin.
+ Extended support for large disks, mostly emulated or accessed through
  network, that may not provide sufficient details about the media
  organization. This version should be able to process most of such drives.
  Please note that in some rare cases large drives like hard disks may
  need to be updated in catalog if the above described change causes them
  no longer to be recognized against their cataloged image.
+ The folder tree under the Folder Limitations options now includes system
  or hidden folder as well, and makes them available to be excluded from
  scanning.
+ Adjusted and added keyboard shortcuts to controls in Search and
  related dialogs, allowing easier keyboard-only access.
+ Added default double-click item actions and keyboard shortcuts to
  several item lists in the program.
+ Moved the description text optimizing code from the program to a
  separate, user-adjustable formatting plugin. Previously, the program
  used to always remove empty lines, leading and trailing spaces etc.
  from descriptions, now this can be optional.
* Extended the TIFF thumbnails plugin with support for TIF files based on
  JPEG compression, and included some additional safeguards for handling
  invalid TIF files. There are still suggestions that some rare TIFF files
  can cause problems to this plugin and interfere with scanning - if you
  have such file, please contact me for providing a sample.
* Adjusted support for WMF files, some rare WMFs can take a lot of GDI
  resources while processing them, possibly causing the system to run out
  of resources and initiating all kinds of errors. The WMF thumbnails
  plugin now tries to detect such files in advance and skips them.
* When trying to view or launch a file compressed inside archive file,
  the program needlessly reported an error in some cases, mostly when
  handling ZIP files. Fixed.
* Addressed some issues with extracting whole RAR archives with embedded
  folder information.
* When updating multiple disk images at once, certain combination of
  settings and events could lead to an GPF error. Fixed.
* Fixed a problem with advanced search expressions, some expressions were
  incorrectly reporting missing closing parenthesis.
* Fixed a possible problem that could in some cases cause catalogs to get
  corrupted when they are saved, if they are using disk groups and
  previous save operation has failed for some reason.
* When moving disks or disk groups, some of internal catalog details were
  not updated properly in certain cases, causing the disk groups layout
  not being saved properly - disk groups were organized differently when
  catalog was opened the next time. Fixed.
* Fixed a problem in the Update Disk dialog with one of the combo boxes
  displaying corrupted text. The problem was cosmetical only and only
  appearing if multilanguage support was disabled.
* Adjusted handling of default scan settings used when updating a disk
  image last created with older version of WhereIsIt. All disk images
  created with version 3.00 or newer include information about settings
  used, and those are set to the same state when disk image is about to
  be updated the next time. Disk images created with older version have
  no such information though - the default scanning settings will now be
  used for these, as they are when adding a new disk image.
* A set of other minor fixes and performance improvements.

Version 3.01 - 30. December 2000
--------------------------------
+ Opening large catalogs stored in the new 3.0 format with lots of
  disks inside is now much faster and comparable in speed to opening
  version 2 catalogs.
+ Support for extracting from solid archives and CAB archives during
  disk scan has been significantly improved in this release. This mostly
  only affects the option to import descriptions for files compressed
  inside archive files (this option is otherwise recommended to be off
  by default, which is probably the reason why you like to use it so
  much). The option requires that individual files are extracted from
  archives during disk scan as requested by plugins, and this is by
  definition a very slow process in large, solid archives. If there are
  a lot of files to be extracted, or solid archive file is a very big
  one, scanning can take extremely long. This release implements a
  prediction scheme for solid archives, so multiple files are extracted
  in one pass, expecting they will be later requested by plugins. While
  this approach requires some more temporary disk space available,
  processing solid archives is a lot faster, even up to 100 times.
+ Using plugins when updating existing disk images has been optimized
  and performance is now comparable to version 2.xx in most cases.
  Plugins in version 3.0 have tasks other than providing descriptions
  only, and they get to be used more often than in previous versions.
+ Sorting by names or extensions in file lists now takes into account
  alias names, when available and active.
+ WhereIsIt can now correctly catalog files larger than 2 GB.
+ The window showing media scanning progress is now movable.
+ Added a new option to enable CRC checking in the Compare to Media
  function. If this option is checked, all files in catalog that have
  a CRC available will be checked for matching CRC against the file on
  the media, before both files are pronounced to be the same.
+ Both "Compare to Media" and "Compare files to Catalog" functions are
  now equipped with Cancel button and progress dialogs, as processing
  with new CRC checks enabled can take notably longer as before.
+ Made a few changes to Zip archive support in an attempt to handle
  .zip files, created on operating systems other than Windows. Such
  files may be using file names that can appear different or even
  invalid when used on Windows.
+ Improved exporting audio CD details to CdPlayer.ini.
+ Improved report generator with better support for new disk groups.
+ The JPEG thumbnails plugin was enhanced to be more tolerant to
  partially damaged or incorrect files, and will also better handle
  badly damaged ones.
* Version 3.00 had some compatibility problems with software that
  changes shell icons and replaces them with custom ones, resulting in
  a couple of error messages before the program was allowed to start
  normally. This release includes a workaround that prevents similar
  problems.
* The "Compare files to Catalog" function did not in all cases carry
  out CRC checks against files on the media, even if the appropriate
  option was selected. Fixed.
* Fixed a problem with some thumbnails missing in encrypted catalogs.
* Some mostly WinNT/Win2000 systems with certain video drivers were
  experiencing very low quality of imported thumbnails, if using the
  default "resize" method ("resample" was much better). A workaround
  has been implemented.
* The Query CDDB Server didn't always work on some systems. Fixed.
* Fixed a minor problem in the JPEG thumbnails plugin, some JPG files
  with a bit unusual color encoding were not decoded properly and
  have appeared rather greenish.
* Fixed a few minor cosmetical issues in the Check for Update Wizard
  and improved responsiveness to canceling download in progress.
* Addressed a few issues with extracting files from multivolume CAB
  archives, when the file to be extracted was divided between two CABs.
* Fixed a minor bug in MP3 that caused some MP3 files to be incorrectly
  recognized as far as their technical details are concerned (bitrate,
  sampling frequency). Very few MP3s were affected though, this issue
  went unnoticed although it was present in all 2.xx releases as well.
* Implemented a few user interface optimizations, to better accommodate
  translations and reduce flickering/repainting.
+ Countless other small changes, fixes and improvements.

Version 3.00 - 10. November 2000
--------------------------------
+ Made a few user interface adjustments to accommodate translations.
+ The option to show thumbnails as icons is now only available on systems
  with more than 256 display colors, due to palette issues occurring when
  many different hi-color images are shown at once.
+ Fixed some archive file related issues, extracting from some archive
  files did not always work properly.
* There were some cases where searching inside selected disk group did not
  work correctly. Fixed.
* The 32-bit executables plugin has been rewritten for handling .exe files.
  There are some .exe files created by InstallShield's PackageForTheWeb
  product that are corrupted by design and cause problems during scanning.
  Those same files also crash Explorer if trying to inspect their version
  info through Explorer's Properties dialog. This workaround avoids using
  Windows functions for retrieving version information.
* Many little internal optimizations and adjustments.

Version 3.00 Release Candidate - 2. November 2000
-------------------------------------------------
+ This version is now shipping with completed help file and the rest of
  documentation, and has multi-language support back online. Translations
  to other languages can now begin, the Slovene language file for version
  3.00 is already available.
+ Added a new option in program's settings, for adjusting brightness of
  imported thumbnails.
+ Added a few minor details, such as popup hint on the Active Plugins
  button in Add/Update Disk dialog, quickly showing the number of
  currently active plugins of each type.
+ Changed a few pages in the Quick Setup Wizard.
* The JPEG thumbnails plugin was found to have problems with some rare
  JPG files, created with some Adobe software, that were not complying
  with the JPEG standard themselves. In extreme cases, this could even
  lead to system freezing during media scan. The entire plugin has been
  replaced and now uses a different JPEG implementation that tolerates
  those faulty JPGs as well.
* A couple of other minor changes, adjustments, and fixes.

Version 3.00 beta 5 - 20. October 2000
--------------------------------------
+ Added a new small button in the status bar of Add New Disk dialog,
  allowing you to locate in catalog existing disk image of selected media,
  if one available.
+ Improved 32-bit executables plugin with a config dialog and handled some
  other minor issues.
+ Help file is slowly getting there, too. Context-sensitive help is
  completed - all dialogs are now properly equipped with help popups,
  while the main, browsable part still remains to be handled.
* Completely rewrote the plugin handling *.WMF files, in order to work
  around a GDI resource leak occurring inside Windows. The new plugin was
  designed to use a different approach and avoids buggy GDI function.
  This resource leak was also the cause for many scanning related problems
  in previous betas.
* Addressed a thread synchronization problem where some users have
  experienced occasional random errors being reported during scanning in
  all 3.00 betas, mostly when working with large media as chances of error
  occurring increase with number of files handled.
* Fixed a problem where items were sometimes missing on lists in the
  categories window, even though they have assigned categories, flags, or
  disk locations.
* Fixed an issue with copying custom icons from one catalog to another in
  the Catalog Setup dialog.
* Addressed a few other minor issues.

Version 3.00 beta 4 - 9. October 2000
-------------------------------------
+ Added support for recognizing supported removable drive types by name on
  Windows NT/2000 as well. This allows having drives like Iomega Zip and
  Jaz presented in catalog by name and special icon instead of generic
  "Removable drive". Windows 95/98/ME users have had this capability for a
  long time, since first WhereIsIt versions.
+ Added a new option to the Folder Limitations button, allowing to catalog
  disk entry only, without its contents (files and folders).
+ Replaced the questionable "Disk Info" button in the Add/Update dialog
  with more useful "Troubleshooting" button, giving some hints on how to
  handle media which fail on scanning, and how to locate the source of
  problem.
+ Added a "Copy From..."  button to Catalog Setup / Custom Icons page,
  allowing to copy custom icons from other loaded catalogs.
+ Almost completely rewritten support for Open/Save dialogs, allowing for
  some extended options in Windows 2000/ME, and improved handling for
  sizing and centering dialogs.
+ Added the ability to extract icons from other application files, (such as
  *.exe, *.dll, *.ocx, etc.) when adding new custom icons to a catalog.
+ Added a new thumbnail plugin, extracting application default icons (*.exe)
  and storing them in catalog as bitmap thumbnails.
+ Enhanced the Adobe Acrobat (*.PDF) plugin, it now has its own config
  dialog and can optionally import the bookmarks index tree (index).
+ Fonts in Report Generator now include and honor the charset specification.
  This is a workaround for WinNT 4.0 issue where some users may not be able
  to see localized characters in some fonts. By default, font charset is set
  as system default and depends on system's input locale setting, however
  WinNT 4.0 has some problems with that. You can now instruct the program to
  use specified character set when selecting Report Generator fonts.
+ Added Word Wrap option to all edit windows in the program.
+ Added a new option to file management dialog when moving or copying single
  files, allowing files to be moved or copied under a different name.
+ Extended DescAPI 2.0 with a new optional function that allows plugins to
  set their default (enabled/disabled) state.
* Addressed some issues in file management commands; attributes are now
  preserved when copying files and folders, moving or writing over files
  with system or read-only attributes is now better handled.
* Fixed an issue on Win9x/ME only, where some disks (mostly hard disks) have
  remained locked and unaccessible from other programs after scanning them
  with WhereIsIt. Disks would become accessible again once WhereIsIt has
  terminated. This issue was only occurring if the option to eject media
  after scanning was selected on a media that does not support ejecting.
* Fixed a problem when preparing catalogs to be sent by email was canceled.
* Fixed sorting large (>2 GB) folders by size.
* Many other minor changes, fixes, and improvements.

Version 3.00 beta 3 - 11. September 2000
----------------------------------------
+ The last major addition, managing and storing user lists, is now finally
  activated and functional in this beta release.
+ Changed a bit how the description window works. When not docked to the
  main window, it can now accept and show descriptions from items in other
  windows as well, such as search results, user list, or compare results.
+ Added a new button in Catalog Manager for creating disk groups on the spot.
+ Added support for custom paper sizes in Report Generator.
+ Added new description plugin for handling Adobe Font Metric files (*.AFM).
+ Added a new option with file operations like moving or copying, to skip
  files on the disk currently waiting to be inserted.
+ Tested WhereIsIt in detail on Windows ME and added support to recognize
  Windows ME by name. No other adjustments necessary.
- The PSP (Paint Shop Pro) thumbnail plugin has shown up to have insufficient
  support for different versions of PSP files, and only some of them are
  handled correctly. Until this issue is resolved in the third-party library
  that WhereIsIt uses for plugins, the PSP thumbnail plugin is excluded from
  the package.
* Searching did not find any items if searching for disks was disabled.
  Fixed.
* Fixed a problem when exporting details to CdPlayer.ini for multiple audio
  CDs at once.
* Fixed a compatibility problem with loading catalogs, created with older
  WhereIsIt version 1.xx
* Fixed a few details in description plugins handling graphics files.
* Fixed a problem in thumbnails resampler where some extremely narrow or
  extremely tall images were not handled correctly.
* A set of error messages may occasionally appear immediately after deleting
  a large number of items from a catalog. Fixed.
* In some cases catalog files saved with version 3 beta 2 were notably longer
  than they were in previous versions, sometimes almost twice as long. Fixed.
* Printing or using print preview did not work on some systems. Fixed.
* Fixed some issues with moving disks between disk groups using Catalog
  Manager.
* Fixed a problem with performing file operations on the Compare results / New
  files list.
* Fixed a problem with assigning password access to catalog files.
* Many other minor changes, fixes, and improvements.

Version 3.00 beta 2 - 23. August 2000
-------------------------------------

+ Added a new option in program's settings to display thumbnails as icons.
+ Improved the Generic Audio CD plugin. It can now handle CdPlayer.ini files
  larger than 64 KB, and is capable of setting disk name and alias names for
  *.CDA files, just like the CDDB plugin.
+ Added a new command to export audio CD details to the CDPlayer.ini file.
+ The behavior of reordering disks and disk groups with drag&drop was changed
  a bit to cover for some special cases, where it could be difficult to achieve
  the desired result. If you hold down the Shift key while an item is being
  dropped on a disk group, the item will be inserted in the place of target
  disk group, instead of inside it. Dropping disks in disk groups on catalog
  entry is now also allowed to move items to the top level inside catalogs.
+ The "Query CDDB Server" command is now also available in item's popup menus
  in search results and user list.
+ Exporting descriptions to media in HTML format can now optionally include
  links to referenced files on the media.
+ Sorting items by categories when switching to browse-by-categories mode is
  now much faster than in beta 1, and can run automatically in the background
  while the program is idle - the yellow status light in lower right corner
  serves as an indicator when program is busy in the background.
* Fixed a Windows NT 4.0 compatibility problem where Open and Save commands
  were not responding.
* Fixed a problem with loading catalogs that had categories or flags assigned
  to folders.
* Fixed a resource leak, occurring while importing thumbnails during disk scan.
* Fixed an error occasionally occurring with Edit / Catalog Manager command.
* If the UNC disk address was manually entered with trailing backslashes, this
  could have caused some problems in accessing that disk. Fixed.
* The "Show Grid Lines" setting was not always honored on all list views.
  Fixed.
* The description for disk group in Properties dialog was not properly set up
  when the dialog was shown. Fixed.
* Renaming a disk or editing alias name in list view could have resulted in
  disk name or alias being removed if editing was canceled. Fixed.
* Pressing F2 (rename) when no item was selected resulted in an error message.
  Fixed.
* Many small fixes and adjustments.

Version 3.00 beta 1 - 15. August 2000
-------------------------------------

+ Completed transfer of WhereIsIt project to the new Delphi 5.
+ Almost completely rewritten kernel and memory management functions - the
  heart of WhereIsIt - and redesigned catalog file format for version 3. Both
  together now allow handling larger data blocks in catalogs, providing base
  for allowing larger descriptions (the new limit is user-definable between
  4 KB and 32 KB instead of current 4KB) and other associated binary data,
  such as thumbnails.
+ New in catalog file format are changed internal layout for optimized
  handling of larger objects, and optional compression for relevant parts of
  data. Since catalogs still need to function in real time, a lot of
  compression algorithms were tested for performance and efficiency, and two
  best choices were implemented and optimized in assembly code. Using
  compression on catalogs currently reduces the size of files for about 40%
  compared to v2, however this also introduces a notable performance
  penalty, especially on saving and searches. Using compression on catalogs
  or not is your call. Of course, WhereIsIt 3 can read all older catalog
  formats from previous versions as well.
+ WhereIsIt 3.00 introduces an entirely new mode of browsing catalogs.
  Normally, you would browse the contents of catalogs as they were cataloged,
  by disk images stored in catalog and folder structures contained on those
  disks - very similar as you would in Explorer. Alternatively, you can now
  browse items in catalog by their assigned categories, flags, or disk
  locations. This means that assuming you have your files, folders, and disk
  properly categorized, you can browse those items by their purpose, not just
  by their location.
+ A new item type was introduced to catalogs - disk groups. Now you can
  hierarchically group your disks in catalog, creating a tree structure
  similar to categories system. You can use disk groups to group disks that
  belong together (for example, multiple CD-ROMs of the same software
  package), or you use them to organize your disks in a concept similar to
  categories (for example, you can have a disk group "Shareware CDs",
  possibly further divided with additional disk groups).
+ Disk and disk groups order in catalog is now local to each catalog or
  disk group. Order is stored in a catalog file, and can be set to custom
  order as well. You can use drag&drop, or keyboard key combinations to
  reorder disks and disk groups in any way you want, or you can have them
  sorted by one of the columns, as before. Files and folders are still
  sorted the same way as in previous versions - by one of the columns, with
  setting being global for all loaded catalogs.
+ Thumbnails are here! Thanks to the new memory management and catalog
  file format in version 3, storing and handling thumbnail images in
  catalogs has become a reality. WhereIsIt 3.0 introduces additional new set
  of plugins that are in charge of importing bitmap images and allow
  WhereIsIt to store their down-sampled versions in the catalog as a
  reference. The size of thumbnails is user-defined from 32x32 to 128x128,
  using 24-bit colors and a fast, high-quality image resampling routine. A
  special attention was given to the way thumbnails are stored inside
  catalogs, trying to keep them as small as possible. An average thumbnail
  of 64x64 in size will take about 1.5 KB in catalog file, which is a nice
  enough result for storing a true-color image, but still about 10 times
  more than just having a detailed textual description included instead of
  the thumbnail. If you will be using thumbnails, expect your catalogs to
  grow considerably.
+ By using new alias names you can "internally" rename files and folders
  in catalog, only for browsing, searching, and reporting purposes. Program
  still remembers the original name of a file or folder as it is stored on
  the media, but allows you to use the alternate (alias) name in catalog
  instead. You can quickly switch between viewing aliases or real file names
  with available button on a toolbar, or you can have alias names color-
  coded on file lists to warn you those are not actual file names.
+ New templates for categories, flags, disk locations... User defined
  templates can be created, and a few the most common pre-defined are
  included as well. New catalogs can be created based on one of the
  templates.
+ The Check for Update Wizard was considerably improved in version 3.0.
  Besides checking for new available version of the program itself it can
  also check for new plugins, language files and help files. Checking is not
  all there is, either - if new or updated plugins, language files or help
  files are available, wizard can also automatically download and install
  selected updates. By the time you leave the wizard, you can have updated
  WhereIsIt up and running, without even restarting the program.
+ The How to Order Wizard has been changed considerably, according to
  changes related to registering the program since version 2.xx. There is a
  new e-commerce vendor available that expands on available options, or just
  makes existing ones easier to use, especially for the European customers.
  Pricing and currencies policy was changed as well.
+ There were some changes in handling audio CDs. The details necessary for
  a CDDB query are retrieved and stored in catalog, which allows retrieving
  CDDB information at later time without having the CD inserted - this also
  allows making a CDDB query for multiple audio CDs in catalog at once.
  Audio CDs are now stored as a separate media type and have their own media
  icon. Additionally, WhereIsIt 3.0 will now show available audio tracks on
  the media even if they are not visible in Explorer because data track is
  also present - processing mixed mode CDs is one such sample.
+ Added a new, dockable window to the main window providing quick access
  to item's description, either for preview or editing.
+ Each catalog can now hold a list of user-defined icons to be used for
  selected disks and folders in catalogs. You can mark any disk or folder in
  the catalog with your own custom icon.
+ On popular requests WhereIsIt can now calculate and store in catalog CRC
  codes for files being scanned on the media, to be later used with compare
  and duplicates finding functions. Since collecting CRCs prolongs scanning
  the media A LOT, even 10 times or more, and having CRCs available is only
  useful for certain tasks that not everybody need, use it on your own
  discretion.
+ A new option in program's Add/Update Disk Image dialog allows entering
  disk's description as soon as scanning the media completes. The dialog is
  also equipped with disk preview pane, allowing you to browse scanned disk
  image in catalog, check out imported descriptions and thumbnails, etc.
+ Scanning the media is now performed in a separate thread, separated from
  the rest of the program. This leaves the program execution control even
  while media is being handled outside WhereIsIt. In case of a major problem
  during media scan, for example due to a damaged media, program still
  remains fully responsive and allows you to cancel scanning in situations
  that would otherwise keep the program locked up in previous versions.
+ Added support for scanning cataloged disks and folders for viruses using
  an external anti-virus program.
+ Catalog Manager has been partly rewritten, to include support for new
  disk groups and manual disk and disk groups reordering. Some operations
  like moving or copying disks are also notably faster in certain cases.
+ The Rename function was added to the file operation functions as well.
+ The dialog showing progress of scanning media is now more entertaining,
  showing elapsed time, statistics, number of imported descriptions etc.
+ Added a new option to update all selected disk images in the catalog in
  one step. You can set it to handle available disks only or ask to insert
  the media as needed, you can have it optionally display the Add/Update
  Disk dialog for each disk that is about to be scanned, allowing you to
  adjust scanning settings, etc.
+ A new command is available for renumbering selected range of disk images
  or disk groups. Disks and disk groups can be renumbered with ascending or
  descending numbers, with options to skip selected disks that already have
  numbers assigned, or to skip disk number if it is already used on some
  other disk.
+ Disk images scanned with version 3.0 now also include information about
  settings used for scanning, such as archive files browsing, file CRC
  calculation, active description plugins at the time of scanning, etc. When
  updating disk image, those settings are set again as default for that
  specific disk only, allowing you to scan the media under the same
  conditions as it was originally scanned. This is especially useful for
  automated disk updates, such as through script files.
+ A new version of Description API has been defined, providing support for
  the next generation of plugins in WhereIsIt 3.0. DescAPI 2.0 retains
  compatibility with existing plugins, however new plugins complying to
  DescAPI 2.0 also have the ability to set disk names, set alias names for
  files and folders, etc. The CDDB plugin is the first such sample that can
  set disk name and audio track file names based on author/title details.
+ Description API 2.0 also includes a new plugin types. Apart from plugins
  for extracting descriptions there are now also new plugins for formatting
  it. The new plugins come into action after regular plugins have finished
  extracting description - formatting plugins are used to further adjust
  extracted descriptions, such as converting them to more appropriate
  character set, improve readability and layout, limit description text
  length, etc. Another new type of plugins in version 3.0 are thumbnail
  plugins, extracting images from picture files during media scan to be
  stored as thumbnails in catalog.
+ The internal file viewer in WhereIsIt can now also display images in
  their full size, apart from showing file contents in ASCII and HEX
  formats. Since the program uses thumbnail plugins to load images,
  available for viewing are all picture file formats that are supported for
  importing thumbnails during disk scan.
+ All description edit windows in Properties dialog can now be "maximized"
  inside dialog for easier editing and larger working area.
+ Columns in item lists can now be quickly hidden or shown by right-
  clicking on column header and choosing one of the new options in there.
+ New option in user interface settings allows that folders can be auto
  expanded/collapsed around currently selected node as you are browsing the
  catalog tree, allowing easier browsing and clearer display.
+ Catalog, disk, and folder headers in report generator now have options
  to force a page break before them, allowing you to select for each
  catalog, disk, and/or folder to start on a new page.
+ Descriptions in report generator can now be limited to specified number
  of lines only, cutting off long descriptions that span over multiple
  pages.
+ Added support to limit the size of exported HTML reports. If exported
  HTML file would be larger than specified, report is splitted into more
  HTML files.
+ Added new "Disk Location" column to Disks List in the main window.
+ Added two new options in the Open button's recently-used popup menu, to
  remove obsolete catalog files that no longer exist, and to remove all
  catalogs from recently used list.
+ Moved all user list related commands into separate submenu/button, and
  added a new command to manage user list items: Keep on User List (it does
  exactly the opposite as the Remove command, keeps selected items on user
  list, and removes all others).
+ A text box was added to the browse UNC network dialog, allowing user to
  type in an UNC address directly instead of having to browse to it in the
  network tree. Last eight used types UNC addresses are remembered and
  stored for quick access the next time.
+ The Search dialog now includes an additional page with a summary of
  active search settings. Those are available in a form of textual
  description, offering you a quick overview and easier troubleshooting if
  search results are not what you have expected.
+ Besides searching through open catalogs and existing search results
  list, search engine now also supports searching through items on the user
  list.
+ A new command is available in item's popup menus for performing a
  search, limited to the contents of selected item ("Find in This Folder /
  Disk / Disk Group / Catalog).
+ Another new search option was added to quickly search if selected
  file(s) already exists somewhere else in catalog (similar to searching for
  duplicates, just targeted to selected file(s) only).
+ Searching can now be limited to the first "n" folder levels only. It can
  be useful, for example, if you only need files or folders in the root of
  your media.
+ A new "Rebuild Catalog File" command in file menu was introduced to help
  out with damaged catalog files. It will read an existing catalog file and
  build a new one from it, filtering out all invalid or unreadable data in
  the process. The rebuild command can also be used when catalog's storage
  properties are changed, such as compression level used, or encryption.
+ A new "Mail to..." command in program's File menu allows you to quickly
  send selected catalogs by e-mail. Program will not only allow you to
  select any number of catalogs - or other files - to send, it can also save
  changes if needed, and optionally pack them to a zip file before the
  default email program is called up, with a new, empty message opened and
  selected catalogs already attached.
+ Supported exporting descriptions to Index_00.txt format.
+ Program can now be minimized to system tray and sit there quietly until
  needed again. It also tries to free as much memory and system resources as
  possible.
+ The "File / Catalog Info" option will now display a new, combined
  statistics dialog about all loaded catalogs rather than just currently
  selected one. Single catalog properties are still available by selecting
  catalog note and choosing "Properties" option from its popup menu.
+ Added new option to optionally show grid lines in list views.
+ Translatable "Ctrl" key name (i.e. "Strg" is used in Germany).
+ User List now closes on ESC
+ New splash screen for WhereIsIt 3.00.
+ New web support links in the Help menu.
+ New registration system and key files for version 3.0.


OLDER 2.xx RELEASES
===================

Version 2.16a - 23. March 2000
------------------------------
* Minor maintenance release only. The package was updated with the
  latest set of description plugins, the program includes some minor
  performance optimizations and a few details that will allow easier
  upgrades to version 3 when available.

Version 2.16 - 23. January 2000
-------------------------------
+ New description module was added to the package, with a set of seven
  new plugins handling graphics files (BMP, GIF, JPG, PCX, TIF, PNG,
  PSD). Some of the plugins also include extended details for exporting
  image information, such as digital camera support in JPG and TIF
  plugins, and IPTC-NAA record support in TIF and PSD plugins.
+ The main description plugins module was also updated with a couple of
  new plugins (Word Perfect and Quattro Pro files).
+ The Index.txt description plugin now better support Index.txt and
  similar files with tabs in it.
+ Improved multi-language support and localized font handling.
* The "Ignore empty folders" was broken in the last version - fixed.
* Updated documentation due to some recent changes (new mailing address).
* Lost of minor internal optimizations, most of them resulting from
  findings while developing the new 3.0 version. Some of those got
  implemented in this release as well.

Version 2.15 - 2. November 1999
-------------------------------
+ The MP3 description plugin has now an option to allow play time
  calculation for variable bit rate (VBR) MP3 files. The default state
  is off. Use with caution, full processing of VBR files will have a very
  notable impact on scan performance.
* The new MS Office plugin introduced in previous version was occasionally
  leaving some open files behind. Fixed.
* Files compressed inside changed archive file usually did not keep their
  descriptions when disk image was updated in catalog. Fixed.
* Selecting the option to update folder from the main menu instead of the
  usual popup menu was causing an error message. Fixed.
* Occasionally disk numbers assigned to newly scanned disks would not be
  saved when saving the catalog. Fixed.
* Setting the printing orientation for reports did not always work for all
  users if it was different than the default printer setting. Fixed.
* There were a few reports about having problems with printing to network
  printers on Windows NT. While the problem could not be confirmed, this
  release includes some changes about handling printers that will hopefully
  resolve this issue.
* A few other minor updates and fixes.

Version 2.14 - 9. October 1999
------------------------------
+ When launching a file type without associated program WhereIsIt will
  now show the "Open with..." dialog, just like Explorer. This allows
  you to associate file types on the fly for future usage as well.
+ The Catalog Setup dialog is now made resizable and will remember its
  size and position between sessions.
* If most recently used catalogs list was disabled, an error message may
  have occurred in certain cases when closing catalogs. Fixed.
* If a catalog was saved as both password protected and encrypted, there
  could be problems opening it later. Fixed.
* Other minor fixes and updates, such as adding shortcuts to dialog items.

Version 2.13 - 25. September 1999
---------------------------------
* Minor maintenance release.
+ Files being moved on the same disk are now just renamed, resulting in
  faster operation and no additional disk space required.
+ Improved support for password-protected ZIP files, program will now
  ask for a password if one is needed to extract compressed file(s).
+ Added Ctrl-C shortcut to all item lists to copy the name of currently
  selected item (file, folder,...) to clipboard.
* Fixed two more serious problems with Copy and Move operations in file
  management support. Copying or moving folder to one of its sub-folders
  would result a recursive operation that would eventually crash the
  program. Also, files or folders that failed to be copied to target
  location during "Move To" operation may in some cases still be deleted
  at their source location. Fixed both problems.
* Searching for disks without location has also returned all files, even
  if the disk they were on had a location assigned. Fixed.
* The "Open in Explorer" command did not always work correctly when used
  on folders. Fixed.
* The date field in right top corner of generated reports has always used
  the default font setting. Fixed.
* Updating more than one disk in a script file was causing error messages
  in certain cases. Fixed.
* Opening and closing catalogs in script files used to affect the recently
  catalogs list in the program, usually resulting in removal of catalogs
  accessed through script files. From this release on, using script files
  no longer influences the recently used catalogs list.
* A few other small fixes and changes.

Version 2.12 - 3. September 1999
--------------------------------
* Maintenance release, just polishing it a bit.
* Word wrap settings in internal viewer and Description Assistant will
  now be saved between sessions.
* The categories and flags popup windows in Properties dialog have on
  rare occasions popped up on incorrect location. Fixed.
* Fixed a printer problem in Report Generator. Trying to print a report
  from Report Preview window and changing selected printer there could
  result in an error message in certain cases.
* If trying to use the Open in Explorer command on a file that does not
  exist on the media any more, some (newer) versions of Explorer may take
  it badly and crash. This is a bit of a bug in the Explorer, situations
  like that are not that unusual and should be handled better. WhereIsIt
  will now check if selected file does indeed exists before handing it
  over to Explorer.
* The "How to Order" Wizard was in certain cases skipping the page
  selecting how to receive the product (e-mail / regular mail). Fixed.
* Fixed some cosmetical issues and rare problems. Repainting of the
  default button in dialogs had some problems in very specific cases,
  many Win95 users had a black-only caption bar instead of gradient etc.

Version 2.11 - 11. August 1999
------------------------------
* Minor maintenance release.
+ Added a right-click menu with "What's That?" option to all controls
  in the program that have help accessible, and don't have a popup menu
  on their own. To access help about specific control, just right-click
  it and select the "What's That?" from its popup menu.
+ Made some changes to the Main Description Module. The CDDB plugin was
  adjusted recently to handle cases where descriptions for the last few
  songs were missing. New in the module is a TTF plugin, handling true
  type fonts and returning their name and type, copyright notice etc.
+ Addressing drives with UNC syntax is now also supported in the
  "UpdateDisk" command in script language.
* In windows other than main window (search window, user list, etc.)
  the filename of currently selected item was not always displayed
  correctly in status bar. Cosmetical problem only, fixed.
* Program will now better handle situations where printers are being
  added or removed on the system while program is running.
* Addressed a few rare problems in Report Generator, only occurring when
  Report Generator is used for the first time after a fresh install.
* Various other minor fixes, fixed some typos in the help file etc.

Version 2.10 - 25. July 1999
----------------------------
+ Added a bunch of new tips for the "Tip of the day" dialog.
+ Changing system colors in runtime is now better handled, changes will
  properly reflect in the program.
+ Coloring items in WhereIsIt will now be disabled when system is using
  a high contrast coloring scheme (accessibility feature).
* GZip support appeared to be broken in the last few releases. Fixed.
* Made some changes to the How to Order Wizard to handle the new DigiBuy
  online ordering service instead of old PsL. All language files were
  updated accordingly as well.
* Made some very minor and fixes adjustments in the program, that one
  problem I was still looking at was confirmed to be fixed in RC1 release
  already.

Version 2.10 RC1 - 14. July 1999
--------------------------------
+ The install/uninstall program has been slightly adjusted to fully comply
  with the official "Designed for Windows 98/NT Logo" requirements. Some
  additional details were also added to be used with upcoming Windows 2000.
+ Completely rewrote all drag&drop support, which is now based on COM
  technology instead of internal implementation. Apart as serving as a
  base for future extensions, the new system also supports auto-scrolling
  target window, and allows to use Ctrl and Shift buttons for Move/Copy
  operations. For example, you can now copy or move disks between catalogs
  by using drag&drop in the main window.
+ Added parameter support for external programs like external viewer, or
  external shell program.  You can now use the %1, %2, etc. to combine
  selected item's file name or file path into command line for external
  program.
+ Open in Explorer command will now also move focus in Explorer's window
  to the file selected to be opened in Explorer.
+ Added "Alt+DoubleClick" shortcut to display item's Properties, just like
  in Explorer.
* Fixed the Runtime Error 216 sometimes occurring on the exit.
* Fixed a minor appearance problem in Options dialog, only visible with
  small fonts (96 dpi) screen setting.
* Used a few different approaches in an effort to address a rare reported
  problem with the Options dialog and missing icons in Settings menu.

Version 2.10 beta 3 - 5. July 1999
----------------------------------
+ Added additional network support for drives and servers with a share-level
  access. When browsing the network tree, program will now always try to
  connect to the selected server or network drive - this allows user to
  logon and connect to network resource in order to gain access to it. This
  will mostly be used to access network drives or servers that are password
  protected and user is not yet authorized to access them in current session.
+ Optimized searching for UNC drives on the network. Every drive that was
  cataloged as UNC network drive will now store its UNC name in catalog
  as well; the next time the actual drive is needed this UNC path will be
  checked first, before trying to browse the entire network to find it.
  Since in most cases drive will likely still be available on the same UNC
  name, it will be located much faster. Program is now also able to ask
  user to connect to the requested network drive first, using appropriate
  password if necessary.
* Some other optimizations about handling the network were implemented, too.
* Fixed a few problems regarding searching by file types in Advanced Search.
* Fixed a few minor problems regarding program's settings when program is
  run for the first time after being newly installed.
* The CDDB plugin may have displayed track time seconds in one digit only
  if there were less than 10 of them. It will now always display seconds in
  two digits, forcing a zero first if necessary.
* The position of splitter bar in Description Assistant's window was not
  saved between session if window was maximized. Fixed.

Version 2.10 beta 2 - 21. June 1999
-----------------------------------
+ The Next and Previous buttons in Description Assistant have now assigned
  keyboard shortcuts for easier browsing through items list without having
  to move focus out from description window.
+ When moving selection one level up in the tree, either by double clicking
  the '..' entry or by using the Back One Level button, program will
  collapse currently selected branch in tree window. Data hidden by
  collapsing selected node is visible in the right window anyway, so this
  behavior should make browsing a bit easier.
+ Made a few optimizations regarding browsing the net, it will respond
  faster in some cases.
* Search window did not allow itself to be resized below its original width.
  Fixed.
* Selecting the drive button in Add/Update dialog with ALT + drive letter
  shortcut caused an error in some computers where the new network button
  was available as well. Fixed.
* A few users have reported problems with Explorer when program is started
  for the first time - beta 2 includes some additional changes to hopefully
  avoid that.
* Addressed some other problem reports that were more difficult to confirm.

Version 2.10 beta 1 - 13. June 1999
-----------------------------------
+ WhereIsIt now fully supports UNC addressing in network environment, no
  longer requesting for network drives to be connected to a local drive
  letter in order to be scanned - now you can scan a network drive by
  simply browsing the Network Neighborhood. Read more about the new UNC
  support in beta release notes, included with the program.
+ The Settings dialog has been completely rewritten in this version. While
  there are no visible changes to the end user, internally this part of
  the program has been redesigned for better performance and resource
  saving, resulting as well in noticeably faster program startup and
  shutdown.
+ The help support has been extended by adding in a searchable "How to..."
  section, giving tips on usage of most important and most frequently used
  parts of program. Recommended reading for all users to get the most out
  of the program.
+ The CDDB plugin was expanded to handle multiple and unreliable hits as
  well by asking the user to choose among possible returned results. Please
  note that this behavior can be disabled if program is not allowed to stop
  and wait for user feedback, for example during automated updates.
+ The Insert media dialog will now while waiting for you to insert the
  required media show not only media name and type, but disk location as
  well, if one is provided in disk's properties.
+ Improved multi language support, some critical sections in program's user
  interface where translated text often had trouble fitting can now better
  adjust themselves to translations.
* Sorting disks by date or categories did not always work correctly, fixed.
+ *Many* other internal improvements, changes, optimizations,... while still
  preserving full compatibility with existing language files.

Version 2.03 - 13. May 1999
---------------------------
+ Description Assistant now allows you to set categories, flags, and disk
  locations for current item as well, not only the description.
+ Fine tuned the CDDB plugin, only confirmed Audio CDs are now checked
  with CDDB server to minimize false hits. MP3 plugin can now better
  handle unknown or damaged MP3 files with ID3v2 tags.
+ Index.txt-style description plugin now has user definable list of text
  files that will be checked to be imported as folder indexes. Index.txt
  and similarly formatted files contain a list of "<file> <description>"
  entries to describe the contents of folder they are in.
+ The "Check for update wizard" now allows you to download the new version
  of WhereIsIt from any available mirror site.
+ The four list view mode buttons on the toolbar (large icons / small icons
  / icon list / details) are now combined in one single button with popup
  menu, similar as they are in Explorer. This allows to shrink the toolbars
  a little, especially the main one.
+ Message boxes will now play appropriate system sounds when they are
  displayed, just as in other applications. Some have preferred it quiet,
  but it's better to comply with system standards and rather turn sounds
  off in system Control Panel.
+ HTML documents created with program now include character set meta names
  based on currently selected language. Previous versions have always set
  this to iso-8859-1, the western alphabet, which was not best choice for
  some languages.
* Limiting search hits did not work in most cases. Fixed.
* If Search window was marked to stay on top of other windows, its popup
  dialogs would be displayed behind it as well. Fixed.
* A few other minor fixes or adjustments.

Version 2.02 - 2. May 1999
--------------------------
* The SampleModule.dll was slightly modified and recompiled in order to
  avoid false virus alert in the latest Norton AntiVirus update.
  Thank you, Symantec, very much.
+ New CDDB description plugin! It can import information about Audio CD
  discs and their tracks (title, artist, disk/track length, comments,...)
  from CDDB servers on the Internet.
+ Further improved updating target catalog after file operations like copy
  and move. All types of items are now handled correctly and will keep
  all their properties during such operations, including compressed archive
  files that will keep their contents information.
+ Optimized a bit program's performance and resource handling, resulting in
  a few % faster startup time and lower resource consumption.
* Further improved the MP3 description module to handle some more unusual
  ID3v2 tag implementations.
* The file management menu was not updated properly when language was
  changed, it was retained in previous language. Fixed.
* Addressed some details about storing window's state and position between
  sessions, some users had reported problems with those.
* Fixed some other issues reported so far, not very commonly encountered,
  or just of cosmetic relevance.

Version 2.01 - 20. April 1999
-----------------------------
+ Improved MP3 support, added ID3v2.3 tags support in description plugins.
+ Added additional navigation tools to large categories and flags lists in
  Properties dialog, to help you find a category or flag faster.
+ When copying or moving files or folders and option is checked to update
  target location in catalog, program will now also transfer existing
  descriptions, as well as categories and flags settings if both source and
  target disk are in the same catalog.
* Addressed a possible printer problem in Windows NT.
* Fixed some problems with categories handling when there are more than 255
  categories defined in a catalog.
* Addressed a rare problem with password protected catalogs.
* Cancel button in Properties dialog did not cancel all changes as it should,
  it was acting more like the OK button. Fixed.
* A few minor adjustments, mostly user interface related.

Version 2.00 - 31. March 1999
-----------------------------
+ WhereIsIt has a new home on the Internet! Visit "www.whereisit-soft.com".
+ Reports will now always include a full list of assigned categories instead
  of "(multiple)" mark, otherwise displayed on screen lists.
+ Enabled support for printing only specified range of pages in Report
  Generator.
* When updating selected folder only instead of whole disk, the new data for
  that folder was not always saved when saving the catalog unless there were
  some other changes in data of the same disk. Fixed.
* Fixed automatic catalog updates, sizes for nested folders were not updated
  properly in their parent folders.
* Made some adjustments to archive extracting function in order to detect and
  handle properly out of disk space situations.
* Addressed some auto-save related issues, preventing for auto-save to kick
  in while manual save is already in progress.
* Some other minor or rare problems have been addressed.

Version 2.00 RC1 - 21. March 1999
---------------------------------
+ Release-candidate version, only bug fixes from now on.
+ Catalog preview window in extended open dialog will now resize itself
  accordingly to current dialog size.
* Importing descriptions from list-based sources such as Descript.ion,
  Files.bbs, Index.txt,... files was broken in beta 5. Fixed.
* Transferring category and flags settings between catalogs when moving or
  copying disk from one catalog to another did not work correctly for
  categories and flags assigned to folders. Fixed.

Version 2.00 beta 5 - 14. March 1999
------------------------------------
+ Released an additional description module, for importing user-definable
  text files as descriptions. This feature was high in demand, but there
  are a lot of reservations about how much sense this can really have. The
  new plugin is not included in distribution package (it can be downloaded
  separately) and is not officially supported as part of WhereIsIt - use
  on your own responsibility.
+ Extended Open Dialog with catalog preview has been optimized to be more
  responsive when working with large catalogs. Preview function should no
  longer interfere or cause delays while selecting catalogs to load, even
  with very large catalogs.
+ Implemented some minor changes in Description API interface to enhance
  some plugin functions, especially with run-time setup support.
+ Adjusted description import filter for MP3 files to handle new variable
  bitrate (VBR) MP3 files. Please note that file play time will not be
  calculated for VBR files due to performance reasons.
* Fixed some problems with removing data from catalog, error messages could
  occur in certain combinations of items selected to be removed.
* Extracting files from SFX archives did not always work correctly, except
  for RAR SFX and ACE SFX archives. Fixed.
* Text in combo box in Compare Results dialog was not initialized correctly.
* Lots of other small changes, improvements, and bug fixes.

Version 2.00 beta 4 - 5. March 1999
-----------------------------------
+ Searching for duplicates is optimized and noticeably faster in many cases.
* Fixed a bug in Catalog Setup, where using "Copy from..." button to copy
  categories from another catalog didn't do its job correctly in some cases.
* Fixed a nasty bug in loading/saving search expressions, causing problems
  to some users. This version should be able to correctly load most of your
  saved expressions, but if you still have problems, write and save your
  expression again.
* Fixed a problem in Description Assistant. "Index out of bounds" message
  would appear when trying to edit description via Description Assistant
  for items located near the end of a long list (for example, a long list of
  files in the folder).
* Fixed a few similar problems in "Compare to Catalog" as well, sometimes
  occurring when calling up this function the second or later time.
* The "Compare to Catalog" function had some problems when scanning files on
  NTFS partitions in Windows NT, specifically with comparing files by date
  and time. Program has been adjusted accordingly.
* Included a workaround for some STB, Diamond and other S3-based video cards
  that were exhibiting problems with images.
* Adjusted a few details about handling multi-volume ACE and RAR archives.
* Adjusted description importing priorities on disk scan. It appears that in
  some cases new, just imported descriptions would replace the current ones
  in catalog, even if option was set to preserve existing descriptions.
* When running in Windows NT, "Move To..." and "Delete" functions deleted only
  files on source location, but did not remove folders. This problem did not
  exist on Windows 95/98.
* "Copy To..." and "Move To..." operations have sometimes failed to update
  target catalog, even if so instructed.
* Updated and fixed some issues about calling up the Search and Duplicates
  windows in different circumstances.
* Archive files were still showing extension in their file names even if
  this was set to disabled. Fixed.
* English language file was spell-checked and a few typos fixed.
* Some minor changes in help file and the rest of documentation, including
  the FAQ.TXT.
* As always, lots of other minor changes and adjustments to address other,
  not very common problems reported so far.

Version 2.00 beta 3 - 21. February 1999
---------------------------------------
+ Added new support for ACE archive format. Both browsing and extracting
  functions are supported, including in ACE SFX archives.
+ Support for browsing RAR archive files has been completely rewritten to
  avoid many problems with this archive type. Archives created with newer
  versions of RAR should be recognized correctly now, including all RAR SFX
  archives.
+ Top bar in main window will now show parent disk info while browsing files
  and folders. More details about the disk are available in associated tool-
  tip, and you can click it for quick selection in catalog.
+ Added a "Configure Plugin" button to plugin list in Add/Update Disk dialog.
+ When processing a file operation on a list of items from different disks,
  program will now first handle all items that are available for access, and
  later ask to insert appropriate disks to handle the rest. Previous versions
  have always handled disks in alphabetical order.
+ English help file is now completed and up to date for version 2.0.
+ Optimized main window's painting during resize events, reducing flickering.
* Fixed a problem in Properties dialog - if changing categories, disks or
  flags with '...' button, item data in Properties dialog would be reseted
  to state when dialog was shown.
* Fixed a few problems related to duplicates searching and "Index out of
  bounds" error messages in Search dialog.
* Fixed a problem with searching for categories or flags. Some items in
  subfolders that were loaded as a result of search hit were missing their
  data about categories, disk locations, or flags. This could have some side
  effects in other parts of program, too.
* Setting to search for files inside compressed archives was acting just
  reversed of what it should be.
* Some items in Search dialog were not available for translation.
* Fixed sorting files by disk numbers.
* Some other minor fixes.

Version 2.00 beta 2 - 13. February 1999
---------------------------------------
+ Multi-language support is now enabled, and translations can begin. Only
  English language file is currently prepared for version 2.0.
+ Added a new option to hide file extensions in file names if extension
  column is also visible in list view. Some may not care much about having
  extensions displayed twice in both Name and Ext columns.
+ The dialog asking to save modified catalog(s) will now show a check box to
  apply the same answer to all other modified catalogs as well.
+ Modified a bit how searching by descriptions is performed. It should return
  less "false" hits due to spaces inside target text while retaining its
  flexibility.
+ Modified the items sorting in report generator, which will now display
  disks in the same order as they are in the main window, and file and
  folders in the same order as they are on source list. Previous versions
  have always sorted all items alphabetically.
+ Exporting descriptions has been extended with an option to add just created
  or updated description files in catalog.
+ The algorithm to find first free disk number was changed to return first
  free number after the biggest one used so far in current catalog. This
  should help if counting disks in catalog does not start with number 1.
+ It is now possible to search for items without assigned category, flag,
  or disk location.
+ Outlook bar in Program Settings dialog is now able to adjust its width
  according to text used for items inside - this will ensure that item text
  will not be stripped, and make translations easier.
+ Sound file to play after long operations is now user definable.
+ Help file has been updated, but is not yet completed. Most of major dialogs
  are now covered with correct context sensitive help, but there is still some
  work left to be done.
* Fixed a problem with removing archive file contents. In most cases, this
  operation has caused an error message in beta 1.
* Fixed importing descriptions from archive files where option was set to
  only import descriptions, but not archive file contents. Description was
  attached to parent folder instead of archive file.
* Fixed some search expressions related problems.
* Fixed the problem with searching inside archive files - the new search
  engine did not handle this setting correctly, it was almost always regarded
  as being turned off.
* Fixed and improved some details in report generator. Duplex printing should
  now be OK, and it is possible to print range of pages (but only if printing
  from print preview).
* Fixed some minor details in exporting descriptions to HTML format.
* Fixed the option to disable showing disks in catalog when catalog is loaded,
  disks were always expanded.
* Many other small fixes, adjustments and improvements.

Version 2.00 beta 1 - 31. January 1999
--------------------------------------
+ Completely rewritten search user interface and large part of search engine.
  The new user interface design is divided in two modes - Quick Search, and
  Advanced Search. Quick Search is capable of quickly finding items based on
  their names and/or descriptions, including searching by file masks, text
  included in item's name or description, file types etc. Advanced Search
  mode offers a complete search expression editor, allowing you to write,
  load, and save your own search expressions using full set of logical
  operators, and full set of WhereIsIt's search conditions, such as searching
  by name, description, size, date, time, attributes categories, flags,
  disk locations etc.
+ New Description API programming interface allows WhereIsIt to be extended
  with third-party description plugins, importing descriptions from other,
  currently not supported description sources. All existing description
  filters were rewritten according to Description API specification, and
  extended with some new filters (importing HTML titles as descriptions, for
  example). The pre-release version of Description API in Windows Help
  format, as well as a sample description plugin are included with the
  program for all interested in writing their own description plugins.
+ Program now uses new and enhanced catalog file format, capable of storing
  new features implemented in this release, and providing space to implement
  some new ones in next releases. Your existing catalog files will get
  automatically converted to the new format first time they are saved - you
  will also notice that new catalog format produces noticeably smaller files.
+ Added catalog protection. Each catalog can now have assigned read-only and
  full access passwords, and catalog file itself can be stored encrypted for
  additional security.
+ Extended categories, flags, and added new disk locations. There can now be
  up to 4095 categories per catalog, and up to 255 user-defined flags or disk
  storage locations. Categories can be organized in a tree structure, allowing
  some categories to act as subcategories (up to 16 levels). Disks are now
  also allowed to have categories assigned.
+ Add/Update Disk dialog has been renewed, to comply with Description API
  settings, as well as to improve some features and interface appearance.
  New feature is a Folder Limitations button, where you can visually select
  virtual root folder, as well as check/uncheck each folder on selected disk
  if it is to be included in disk scan or not. There is also a new checkbox
  available, allowing for Add/Update dialog to be redisplayed after scanning
  completes - useful when adding multiple disks to catalog.
+ A new tab in program's settings handles items to be skipped during disk
  scan. Apart from hidden files and folders you can now also choose to skip
  zero-sized files or empty folders, Recycle Bin folder, and provide list of
  file masks for files to ignore (for example "*.tmp, *.bak).
+ Due to popular requests, program now allows removal of selected files or
  folders from catalog. In addition, you can now also remove the contents of
  compressed archive files, if no longer interested in files inside.
+ In addition to "Copy To" command, program now also supports "Move To" and
  "Delete" commands to allow complete file management. Additional features
  are optional deleting to Recycle Bin, or automatic updating of cataloged
  data if destination disk is found in loaded catalogs.
+ Items in all lists can now be syntax-colored, according to their type,
  category, flags, or disk locations. All colors, file types etc. are user-
  adjustable, stored either globally (file types) or inside each catalog file.
+ File lists and the main tree window now support optional explorers one-click
  interface, with item underlining and click-less item selection.
+ Internal ASCII viewer has been improved with new HEX mode for binary files,
  auto-detection of ASCII/binary files, added is toolbar and a button to call
  up Quick View (Plus), if installed.
+ There are two new wizard dialogs available. The "How to Order Wizard" will
  advise and help you choose the most suitable way how to send in registration
  fee, and will either connect you with online ordering site, or print the
  already filled registration form based on your decision. The other wizard
  can check on the Internet if there is a newer version of WhereIsIt available
  for download.
+ ANSI/OEM conversion of imported descriptions is now optional.
+ You can optionally set the program to play a default system sound (a "ping"
  of some kind, usually) after a long (>10 sec) operation completes. This can
  bring back your attention when a complex search or disk update operation
  completes.
+ Sorting algorithm used in program has been rewritten. While it still
  supports stable sorting, it is noticeably faster especially on large lists.
  It does require some additional working memory though - WhereIsIt will try
  to detect if memory is very low, and use the old algorithm instead in this
  case.
+ The dialog for selecting folders has been completely rewritten, and it now
  supports some enhanced features used in different places in program (it is
  now able to detect changes in folder tree and update it automatically,
  display checkbox with folders, display drive or folder as virtual root...)
+ Description exporting has been enhanced with HTML description format.
  Similar to Files.bbs and Index.txt files, a HTML file is stored on original
  media in each folder, containing file descriptions in HTML format.
+ The Program Settings dialog is now better organized, with new setting
  groups available on the left side. Since more tabs are now available,
  settings have been re-arranged in a way that allows more space on form for
  translations. There are too many new settings available to be listed here,
  only some of them will be mentioned.
+ Added is a new option in program settings, specifying if folders are
  allowed to have extensions. If you are using long file names with periods
  for your folders, disabling folder extensions might be a good idea.
+ Catalog auto loading feature can now be set to load all opened catalog from
  the previous session when WhereIsIt starts.
+ The "Locate in Catalog" function was added to action list for mouse double-
  click. You can select it in program's settings.
+ The toolbar in main window provides some new features, such as extended
  buttons with pull-down menus (for example, the "Open" button has attached
  a pull-down menu with recently opened catalog files for quick access).
+ The Insert Media dialog is now able to auto-detect when the required media
  has been inserted in drive, and continue with operation without waiting
  for user to press the OK button. Auto insert notification must be enabled
  in Windows for drive in question for this feature to work.
+ The Search dialog is not yet replaced with a new version, but there are a
  few enhancements already available. Some of edit boxes in are now equipped
  with a history list, storing old search queries to be re-used if required.
  Searching by description supports a new feature - searching for items that
  sound alike, using the soundex algorithm. The Help and Stay On Top buttons
  have been moved to window's caption.
+ A new Properties dialog is now available for cases when more than one item
  is selected. The new dialog will show common properties for a group of
  selected items, as well as allow you to change description, categories,
  flags, or disk locations for all selected items at once. The Properties
  dialog for single items has also been added some new features, like setting
  the same categories and flags to all available subitems.
+ The work on new Report Generator is not completed yet, however some new
  features are available. Most notable are new, more friendly dialog layout,
  new HTML and RTF report exporting functions, new internal reporting engine,
  changes in Report Settings dialog for easier access etc. Report Generator
  will now allow to word wrap single-line descriptions, if space on page is
  critical. This way, description column will take less space, but multi-line
  descriptions will not be word wrapped to preserve text formatting.
+ Language support has been improved with some new language settings, like
  right-to-left reading. Support for languages using DBCS is planned for the
  final release. The use of language files can also be disabled in version
  2.0, allowing the program to run faster if only using internal English
  language.
+ Version 2.0 is now much more DBCS-friendly, and Far-East users should be
  able to use the program with their own language with much better results.
+ The Compare Results window is no longer modal - user can now switch to
  other windows without loosing compare results data. Some heavy adjustments
  all around the program were needed to support this feature.
+ New script language has been added to WhereIsIt, mostly for automated
  catalog management (loading, updating, saving,...) Network administrators
  should now be able to schedule unattended catalog updates. The script
  language itself is only basic for now and will likely be extended in the
  feature.
+ The "Open Catalog" dialog was enhanced and is now capable of showing some
  catalog's properties without having to open the catalog in program. Some of
  available details are the catalog-tree preview, catalog description, a few
  details about stored disks, catalog's owner and protection state etc.
+ Improved mouse wheel support.
+ WhereIsIt now uses a new registration system - instead of typing four lines
  of user data, each registered user now gets a personal key file to register
  the program and unlock all capabilities. The new system allows me to
  implement some additional features, and is easier to use for end users.
+ MANY other improvements and changes were made in WhereIsIt 2.0 (I have to
  admit I lost track for some of them myself). Some more are still planned
  before the final 2.0 release will be completed. At a rough estimate, about
  80% of code was modified or rewritten since the 1.2x release.

Known Limitations And Missing Features
--------------------------------------
* Multi-language support is disabled in this release. Only English language
  is currently up to date with version 2.0, and it is not time yet to start
  updating other languages, too - program will still change a lot, including
  in user interface.
* Direct support for network drives using UNC addressing is not yet included
  in this release - you still have to assign a drive letter to network drive
  in order to access it with WhereIsIt. Program has been internally updated
  for UNC drives, though, this feature will be activated in later versions.
* Help file has barely been updated so far - you are likely to find some new
  items displaying no or even wrong help text. Help file is usually the last
  thing to update before release is called "final".
* Some improvements are waiting to be done in report generator as well,
  especially with printer settings and support functions.
* Some new exciting features still planned to be included in WhereIsIt will
  likely have to wait for the next major release, probably version 2.5.
  Among them are support for printing labels and CD inserts, the new "folder"
  system similar to one used in many e-mail programs which is intended to
  enhance and replace user list functionality, and some others. Program has
  been internally prepared for many such features, but I can't implement
  everything at one, development of version 2.0 is already taking too long.


OLDER 1.xx RELEASES
===================

Version 1.26 - 18. September 1998
---------------------------------
+ Probably the last release before the first 2.0 beta version. Version 1.26
  should be and remain the most stable release for quite some time, at least
  until 2.0 is fully completed and tested.
* Fixed a number of small or rare problems reported or found during the last
  month, including problems during disk scanning, searching being interrupted,
  sorting large disks by size etc.

Version 1.25 - 16. August 1998
------------------------------
+ Implemented some minor changes how menus are painted, and improved some
  details about launching files with associated programs.
+ Included support for importing file info about *.CPL files.
* Fixed some language-related problems when using a language other than
  English, especially in Search dialog.
* Fixed a problem occurring with some removable drives when program tries to
  assign a new serial number to media.

Version 1.24 - 19. July 1998
----------------------------
+ Added UNC filename support for saving and loading catalog files in network
  environments. Full UNC support is scheduled for version 2.0.
+ Improved some minor details about properly importing 4DOS description files.
+ Included some minor details for better support of Windows 98.
* When using "Copy To..." or "Extract To..." commands, directory tree to
  select the destination sometimes appeared empty, and manual refresh was
  required. Fixed.
* Fixed problem with Report Generator when running in Windows NT, after
  changing printer settings. This has been fixed before, but the buggy code
  has crept back in when I updated my development environment a few weeks ago.
* A number of fixes and safeguards have been implemented in disk scanning
  procedure, to prevent some rare problems occuring during the disk scan.
* Fixed a number of small problems or issues, either reported or discovered
  during development of new 2.0 version. Some portions of code from upcoming
  2.0 release are also included in this release, to add small improvements in
  both functionality and speed.

Version 1.23 - 4. June 1998
---------------------------
* Major service release.
+ Enabled option to allow case sensitive searching by file mask, both for
  normal searching and searching for duplicates.
* Fixed and improved algorithm for searching for duplicate items. Previous
  versions had problems returning correct results if both name and size were
  not checked as duplicates criteria.
* Fixed and improved importing existing descriptions on disk update. Program
  will now allow files that have changed, but remained on the same location
  to keep their current descriptions on update. This also includes better
  file recognition support, if more files with the same name but different
  descriptions exist in catalog.
* Alt-F4 shortcut will now always close currently active window or dialog,
  not necessarily the application.
* Improved importing information from WAV files. Some types of WAV files were
  not recognized properly in previous releases.
* Adjusted a few minor problems with browsing data in the main window. In
  some rare specific cases, sorting in just displayed window was not set
  correctly, or sort arrow was missing in column header.
* Fixed problem in report generator - exporting some very specific types of
  reports to ASCII file or to Excel could end with internal error message.
+ A few other minor enhancements were included, mostly user suggestions.

Version 1.22 - 28. May 1998
---------------------------
* Service release. One bug was found after all in new searching routines,
  related to searching files in deep nested folders by descriptions. Sometimes
  program failed to find some of those files.
* A few more changes were implemented to ensure support for new version 2.0,
  when it will be released. Version 2.0 will introduce new catalog file format
  to support some of new features, and new catalogs created by 2.0 version
  will not be readable by this release. Changes included here will recognize
  new catalog file format and act accordingly. Of course, your current
  catalogs will be supported by 2.0 version, and automatically converted to
  new format when saved for a first time.

Version 1.21 - 25. May 1998
---------------------------
+ Installation program has been improved and equipped with some special,
  custom made add-ons to provide additional functionality. Installation
  program is now able to detect location of previous installation and offer
  it as default, and it will now clear old program entries in "Add/Remove
  programs" list when re-installing or upgrading. Partial install is also
  supported, and a new sample catalog was added to present some of program's
  capabilities to new users.
+ Assigned Ctrl-Enter shortcut to act as a click on the OK button when
  editing a description (it now works in Description Assistant as well in
  item's properties dialog).
+ Improved changing serial numbers to handle 0000-0000 numbers on Windows 95,
  too. In previous versions, zeroed serial number could not be changed when
  running in Windows 95/98 (Windows NT users did not have this problem).
+ Improved media type detection. Now program will try to detect type of
  media inserted, not just type of drive. This could be useful in cases such
  as DD media in HD drive, or regular 3.5" floppy disk in LS-120 drive.
+ Added new Frequently Asked Questions (FAQ) file to WhereIsIt package.
* Fixed sorting in Search Results list and User List. Clicking on column
  sometimes did not sort items as it should.
* Fixed and improved importing database from Floppy Master.

Version 1.20 - 18. May 1998
---------------------------
+ Right-clicking on drive button in Add Disk/Update Disk dialog will now
  show system context menu for that drive (the same one as if right-clicking
  drive icon in Explorer). The same context menus are also available when
  selecting a folder for some operation.
+ Added catalog file size information to catalog properties.
+ Changed a bit how sorting by disk numbers is handled for files and folders.
* Auto-save interval in program settings was not preserved correctly. Fixed.
* Importing descriptions from Files.bbs and similar was adjusted a bit, some
  descriptions could be skipped in previous versions.
* A number of other small changes and adjustments.

Version 1.20 beta 1 - 7. May 1998
---------------------------------
+ Almost completely rewritten search procedure and internal catalog handling,
  resulting in much faster searching, and shorter shut-down times. Searching
  is now in average about 3-4 times faster, and in some special cases even up
  to 10 or 20 times. Actual improvements will largely depend on number of
  hits (fewer the better), and a bit on catalog data structure.
+ Added sort indicators to column headers. Headers are now by default a
  little wider than in previous versions, since some space is reserved for
  the arrow.
+ Added IntelliMouse support in Windows 95 (scrolling active window with mouse
  wheel).
+ Program will now remember last set "Copy to" folder.
* Modified a bit how media is detected, to address problem with using catalog
  file on both Windows 95 or 98, and Windows NT. Problem occurs because each
  system reports slightly different details about media - result is that media
  added to catalog in Windows 95/98 is not recognized on Windows NT, and vice
  versa. Program now tries to tolerate those differences, especially when
  working with CD-ROMs.
* Saved catalog files will now preserve their attributes, including the
  compression attribute on NTFS disks.
* Fixed a few problems related to saving Search dialog's settings.
* Fixed searching by file type, and searching for duplicates with file name
  filter turned on. Some new additions in previous versions broke this.
* Fixed some problems in report generator, like always printing from default
  paper source.
* When closing multiple catalogs with "Close All" command, there was some
  unnecessary flickering and redrawing. Closing is now faster and smoother.
* Disk size for virtual disks was always reported as 0. Virtual disk size is
  now presented as used space by all files on virtual disk.
* Fixed anomaly when scanning some specific CAB archives, and fixed extracting
  from archives with spaces in internal folders.

Version 1.11 - 5. April 1998
----------------------------
+ Some internal optimization was done in this release, resulting in notice-
  able speed improvements, like faster list updates when scrolling. A few
  other speed optimizations are also prepared, but not yet included in this
  release, since some further testing is necessary first.
+ "Show context menu" button on Win95 keyboards now works in WhereIsIt, too.
+ Item lists will now show selected items even after window looses focus.
+ Added recognition support for Fujitsu M2531A MO drives.
* When saving catalog failed for some reason (full disk, etc.), program
  could start incorrectly reporting catalog errors, or just crash in certain
  conditions. This has been fixed, and program is generally better protected
  against saving related problems.
* Fixed extracting files from RAR archives when files were stored in sub-
  folders inside RAR.
* When moving with PgUp/PgDn keys (in large steps) through tree view in main
  window, the right pane sometimes didn't update itself properly. Fixed.
* Adjusted detection routine for detecting removable drives. On Win95/98, some
  removable drives could be sometimes detected as hard drives.
* (De)selecting files via +, *, - buttons was very slow in 1.10 release.
* Fixed anomaly when drawing popup menus (menu item's text was sometimes
  displayed too low).
* Added a few other minor adjustments.

Version 1.10 final - 20. March 1998
-----------------------------------
+ Improved search capabilities when searching by name or description. Now
  you can specify more than one condition to search for, separated by commas.
  For example, to find all text and zip files, you can do this in single
  search by specifying '*.txt, *.zip' as a file mask. The same goes for
  text in descriptions. Program will search for items that match by at least
  one of specified condition.
+ Adjusted a bit how menu items are painted, text should be better aligned
  now for most systems.
+ When scanning disk with importing hidden files turned off, such files were
  also not checked for importing description. This has changed, descriptions
  will get imported from hidden files even if they are set to be skipped and
  are not appearing in the catalog.
* Program will now remember and next time set maximized window state.
  Previous versions only remembered window size, but not state.
* Fixed a bug with moving disks between catalogs (registered version only).
  Error messages could start poping up after or during disk is being moved.
* Fixed a problem with normal search / duplicates search setting.
* Fixed blank entries appearing in the most-recently-used catalog list.
* Fixed a problem occurring with multiple printers installed on Windows NT.

Version 1.10 beta 4 - 10. March 1998
------------------------------------
+ Installation program now supports German language, too.
+ Added a new button to put program in the background during disk scanning,
  minimizing application and allowing to use other programs at that time.
  Program will pop up again when disk scan is finished.
+ Search dialog will now remember not only window size, but also last used
  search settings and search type. This way, if your last search was by file
  name, the next time you press Ctrl+F search dialog will be already set to
  search by file name.
+ Added support for some file operations to Compare / New items list.
+ Added support for Java ARchives (*.JAR), quickly gaining popularity on
  Internet for Java packaging. They are handled as regular *.zip archives.
+ Added importing information for wave (*.WAV) and MPEG (*.MPx) audio files.
  ID3 tags are supported, too.
+ Changed "last opened catalogs" list size from 4 to 8 (this will be made
  user adjustable in the next major release), and modified a bit the logic
  how catalogs are added or displayed on this list.
+ Improved Windows 98 compatibility.
+ Added option to disable startup and shutdown logo (registered users only).
+ Add/Update disk dialog will now remember "Advanced >>" button state
  between sessions.
+ Added 'Add to User List' action to file double-click actions list.
+ Added recognition for "Deltis MOS320" and "Olympus MOS332" MO drives.
* When updating disk image, old disk description was sometimes not preserved.
  Fixed.
* Fixed searching by file mask for files, compressed inside archive files and
  with subfolder(s) appended to file name in the catalog.
* Setting to browse inside archive files had some problems with its default
  setting in Add/Update dialog. Fixed.
* Fixed error occurring when trying to use "Copy To" command on '..' folder.
* Fixed a bunch of spelling errors in English language file.

Version 1.10 beta 3 - 27. February 1998
---------------------------------------
+ Added optional disk numbers to catalog, due to popular requests. Each disk
  can now have its own number, used mostly for reference purposes. Appropriate
  columns will appear when listing disks, files and folders, and relevant
  dialogs were updated to support this new feature. Catalogs remain compatible
  with previous versions, regardless of this new addition.
+ Added 'Save All Catalogs' command to main menu.
+ Added a new command line parameter, '/English', for forcing the program to
  start in English language, disregarding current language setting. You can
  use this to bail back to default language if you have mistakenly set a
  language you can't see or understand.
+ Added ability to rename disks and catalogs from their Properties dialog.
+ Added support for importing 00index.txt (and similar) files.
+ Improved on handling of Files.bbs files. Some additional new formats are now
  supported, and program is more robust to other, perhaps yet unknown formats.
+ Improved File_id.diz importing from compressed files. Program can now
  import File_id.diz files even if they are not in "root" of compressed file,
  and includes some logic what to do if multiple File_id.diz files are found
  inside single compressed file.
+ Added 'Item Time' column to User List and Compare Results List. Please note
  that for compatibility reasons, users of previous versions will find new
  columns at the right end of listview window; you can use the 'Customize
  Columns' option to reorder columns.
+ Added some special support for Seagate's Direct Tape virtual drives, to
  overcome problems caused by Direct Tape's not-exactly-perfect removable
  drive simulation.
+ Improved removable drive detection, and added support for detecting new
  "iomega Zip 100 Plus" drives. E-mail me for details if you have a removable
  drive and would like to have it detected under real name instead of generic
  "removable drive" label (functional in Win95 only at the moment).
+ Added support for detecting and recognizing LS-120 drives.
+ Added context sensitive help to Properties dialog, User List, and Compare
  Results List window. I think that about covers it now.
+ Made some additional changes to user interface, to accommodate new multi-
  language support.
+ Updated column auto-resizing behavior. You should no longer experience
  columns changing sizes by themselves to default value when manually resizing
  some other column, and there should be less flickering.
* Finally fixed support for Novell NetWare network drives larger than 2GB.
* When program is searching for media to match catalogued disk, it will now
  correctly handle situation where more than one drive is found to have the
  same properties as needed media.
* Operations like View and Launch did not work correctly with files stored
  in internal subfolders inside RAR file. Fixed.
* Fixed exporting reports to ASCII files, sometimes exported report was empty.
* When changing active language, hidden columns and columns order settings
  were lost. Fixed.
* On language change, order of items in Disk Image Setting / "Import
  description from the following sources" list appeared to be reset to
  default order. Fixed.
* Removing temporary extracted files at program exit did not work correctly
  in 1.10 beta 1 and 2 if "Ask before delete" mode was selected. Fixed.
* Fixed "List index out of bounds" error in Compare Results list, occasionally
  showing when switching lists.
* Importing descriptions from Files.bbs and 00index.txt files could be slow
  in folders with a lot of subfolders, or archive files. This is much faster
  now.
* Improved on general program's stability, compromised by introducing multi-
  language support a while ago. Especially the Report Generator had a tendency
  to force an error when being used for a while, and this should be fixed now.

Version 1.10 beta 2 - 11. February 1998
---------------------------------------
+ Added support for customizing font used in dialog boxes all over the
  program. This setting is now a part of language definition file, and
  includes font name, international character set to use, and font size. With
  this settings you can assign special font setting to each language supported
  in program.  For example, to get Office 97 look & feel, select font 'Tahoma'
  instead of default 'MS Sans Serif'.
+ Language Editor has been updated to comply with new font settings, and
  will now show source text and your translation in appropriate fonts, as
  set in language files.
* Fixed problem with no language being selected (English should always be
  default, but...) This bug showed as missing text in dialogs, column headers
  etc. Once you have selected the appropriate language yourself, everything
  has returned to normal.
* Fixed importing File_id.diz files from compressed files, when "Browse only
  for descriptions" option was enabled.
* Added some safeties to the new Language Editor, to prevent loosing most of
  your translations in case some critical error would occur.
* Fixed a few other minor user-interface related bugs, and made some changes
  for better multi-language support.

Version 1.10 beta 1 - 6. February 1998
--------------------------------------
+ NEW! Complete multi-language support, with run-time language switching and
  built-in Language Editor for translating the program to your own language.
  English and Slovenian language files are included with this release, and
  there are many more under construction at this moment.
+ NEW! Support for exporting reports directly to Microsoft Excel spreadsheet
  program. Program uses DDE to communicate with Excel, and builds a new
  table with your report contents. From there you can save generated spread-
  sheet to .XLS or any other format supported by Excel.
+ Added support for extracting from self-extract (.exe) files.
+ When extracting archive files, type of compression is no longer assumed by
  file extension, but is recognized from the file itself.
+ Rewritten importing descriptions logic, preparing it for future upgrades.
+ Added optional version info importing from 32-bit Windows files (exe, dll,
  vxd, ocx...) during disk scan. Program is now able to import file
  description and version from manufacturer's signature.
+ Added simple description importing for Audio CD disks. Each track will be
  commented with track number and length, and if CD-ROM or track is already
  in Windows' CD Player's database, track or disk name will be imported from
  there.
+ Added 'Remove from User List' button and menu option to most windows, acting
  as a counterpart to old 'Add to User List' command. This new function will
  enable you some more detailed user list handling, like using search for
  finding items to remove from user list. All this is mostly preparation for
  the next major version which will allow you to save User List contents,
  giving a whole new dimension to your catalogs.
+ Changed some details about editing disk name in Add/Update dialog. Now you
  can enter disk name before clicking on the drive button (it won't get
  overwritten with default disk label any more if you typed it there).
+ Right clicking column headers now shows a menu, where you can either force
  columns to auto-adjust their width to currently visible data, or show a
  Columns Setup dialog as in previous versions.
+ After editing description or renaming an item is finished, columns will now
  auto-adjust their width to accommodate new data.
+ Added *,-,+ keys on numerical keyboard for list selection. '+' ('-') will
  select (deselect) items on list by file mask, while '*' will invert current
  selection. All three are acting the same way as in ever popular Norton
  Commander.
+ 'Export Descriptions' dialog will now keep settings inside current session.
+ 'Compare Files to Catalog' will now store last used settings to registry,
  keeping them even between sessions.
+ Replaced color selection combo in Report Settings with more powerful color
  button.
* Fixed some problems with importing and exporting Files.bbs descriptions,
  mostly where long file names were included.
* Improved file error handling in 'Copy To...' command.
* When trying to change serial number on write-protected disk in Windows
  NT, disk scan would be aborted with error message. Fixed to ignore the
  error, leave the serial number alone, and continue with scanning.

Version 1.02 - 21. January 1998
-------------------------------
* Fixed a problem with detecting drives (partitions) in size over 2GB.
* Made changes to avoid reported problems with some network drives.
* Fixed problem with band size when changing fonts in report generator.
* A few problems reported with 1.01 were addressed and fixed in this release.

Version 1.01 - 9. January 1998
------------------------------
* This version fixes a few more or less rare problems that were reported
  regarding the final release, and adds some very minor enhancements.
+ Installation script was updated to ask for confirmation before executing
  Microsoft's Comctl32.dll upgrade installation program.
+ Browse for folder dialog now has a Refresh button, to allow updating the
  folder tree in case something changed (new drives available, etc.)
+ Context sensitive help was added in Search dialog, too.
* Fixed problem in Description Assistant where program would sometimes
  report an error when accessing description files larger than 32kB.
* Fixed problem in searching for duplicates, the "Don't search for files
  inside archive files" option did not work as it should.
* Fixed searching by categories if more than one catalog with categories
  set was included in searching (returned results may have been incorrect).
* Fixed updating disks where categories set were sometimes not correctly
  preserved for some items without description.
* Fixed a "List index out of bounds" message that may show sometimes when
  disabling 'Show ".." folders' option in program's settings.
* The "Autohide After..." checkbox in User Interface settings did not save
  its state correctly between sessions (it was just reverted).
* Updated "View / Sort items..." menu to include some missing options.
* If more than one folder was selected, "Copy To..." only copied the first
  one and skipped all others. Fixed.

Version 1.0 FINAL - 31. December 1997
-------------------------------------
+ Updated installation script to include the latest COMCTL32.DLL files for
  both Win95 and NT, and made possible for install program to update these
  files by itself, if necessary.
+ Finally added custom reports to report generator. You can visually select
  items to include in a catalog tree display - what is visible in tree, this
  will be printed. There are also a few macro commands to make selection
  easier, and you can save prepared report layout to file.
+ Added a new option to exclude items compressed inside archive files from
  searching.
+ Added new shortcut Shift-F10 to bring up item's context popup menu.
* Finally located and fixed the problem where some descriptions in catalog
  were not preserved after updating disk data.
* Fixed a nasty problem with new categories display from the previous
  release. For some catalogs, categories displayed in columns were not the
  right ones.
* Fixed searching by Created and Last Accessed dates, which had sometimes
  incorrectly returned all compressed files.
* Fixed a few problems on Windows NT, especially for those users running new
  Internet Explorer 4.0 with active desktop installed.
* Fixed handling of Audio CDs on Windows NT. It seems that CD-ROM driver
  in Windows NT handles Audio CDs a bit strangely compared to Windows 95, and
  program is now adjusted to that behavior.
* Fixed numerous small bugs I managed to find in the last week, mostly
  user-interface related that might show under certain conditions. Hopefully,
  program is more or less clean now.
- Note to previous users of WhereIsIt: this final release will "upgrade" your
  existing catalogs, the first time they are loaded in the program. Each
  catalog will be marked as modified after loading, and rebuilt from scratch
  when saved. This is done to enable all of us a fresh start, filtering out
  all possible problems inside catalogs that could be left over from beta
  versions.

Version 1.0 RC4 - 20. December 1997
-----------------------------------

+ Added a new command: "Copy To..." With this one, you can copy one or more
  selected files and folders from the catalog to some other folder of your
  choice. Selected items don't have to have the same origin; you can select
  to copy items originating from different disks with one single command,
  and program will prompt you to insert appropriate disks during copying.
  Ideal if you have grouped items of interest in Search Results list or in
  the User List, and want to copy them somewhere else.
+ Added categories to be displayed as columns in most item lists.
+ Added option to disable auto-hiding descriptions shown as tool-tips. Until
  now, you could only set how long will it stay on screen, up to 15s.
+ Search window will now remember last expanded size, and will set it the
  same next time.
+ Report generator is faster and a bit smarter when generating reports.
  Sorting items by source is MUCH faster now, and is done only the first time
  when printing or previewing the report, not every time.
+ Provided are ways to cancel report generation, printing, or exporting it at
  any given moment, and added some additional progress indicators.
+ Made some small changes to how categories are handled, and improved a bit
  on associated dialogs.
+ Added ability to search for items without assigned category.
* Fixed a few problems regarding printer settings in report generator. There
  were problems with printing to non-default printer, to printer with default
  paper orientation set to landscape, and printers set in Report Setup and
  Printer Setup dialog sometimes did not match. Also added more available
  paper sizes for your reports.
* When printing reports, number of copies and collate printing now works
  correctly.
* Fixed a problem with DiskInfo button in Add Disk dialog.
* Fixed support for some disks (partitions) over 2.1 GB.

Version 1.0 RC3 - 8. December 1997
----------------------------------
+ Reports had some major improvements in this release. Items in report can
  now be grouped by their origin (catalog, disk, folder), and printed with
  appropriate headings. Icons can be optionally included in report, adding
  some graphics to the printout. Report sections can now have customizable
  background color, allowing you to make color bands for titles etc, and
  some new sections were included (headings for grouped items).
+ Added possibility to use some external shell program instead of Windows
  Explorer with "Open in Explorer" command.
+ Added "Open Description Assistant" to available file double-click actions.
+ In full-screen print preview mode, status line is no longer displayed, in
  order to maximize visible page area.
* Fixed repainting buttons in report preview toolbar after changing page.

Version 1.0 RC2 - 26. November 1997
-----------------------------------
* Fixed loading position for dialogs like Search and User List that did not
  work correctly for some users of RC1 version. The RC2 will fix this problem,
  as well as prevent any problems resulting from this misbehavior in RC1.
* Made some changes trying to prevent problems with saving files, as
  reported by one user. Saving should be more fail-safe now, and should at
  least report a problem if there is one.
* Improved saving procedure when operating in low disk space condition, like
  when saving catalog to floppy disk, or a very full hard drive. The new
  procedure is much more robust, and will sometimes manage to get job done
  where older versions couldn't.
* Fixed a problem with toolbar positioning when it is floating on program
  startup.
* Fixed some broken links in the help file.

Version 1.0 RC1 - 14. November 1997
-----------------------------------
+ Closing catalogs is now about twice faster as it was before. This also
  affects the total shutdown time, cutting it to half.
+ Improved a bit on start-up time, and reduced program's memory consumption.
+ Exporting reports to ASCII files is done properly now, and few new options
  are now available when exporting (normal, tab-delimited or comma-separated
  columns to choose from)
+ Added a new option to display settings, to disable smooth scrolling while
  expanding or collapsing tree nodes in main window. Smooth scrolling is
  automatically active in entire Windows system if using a newer Comctl32.dll
  library, included with Internet Explorer 4.0, for example.
+ Added zoom cursor to report preview; left click on report area will perform
  zoom in, and right click will zoom out.
+ Removed some flickering in report preview when changing pages.
+ Description Assistant window will now save its size and position.
* Prevented the '..' folder from appearing in reports.
* Searching for duplicates did not find all duplicate files in some special
  cases. Fixed.
* Fixed support for disks (partitions) larger than 2.1 GB.
* Fixed a problem that may occur when printing report. If print job was
  canceled from Windows while program was still busy printing, WhereIsIt?
  had some major problems handling this situation in 0.99 version.
* Fixed some problems with updating main window while moving or copying
  disks with Catalog Manager.
- Custom reports will probably have to wait until the 1.1 release, there is
  just too much to do about them if I want to do it right.

Version 0.99 - 6. November 1997
-------------------------------
+ Brand new report generator with print preview is finally included in
  this release! It is not completely finished, some functionality is yet
  to come (custom reports), but you can get the general idea. Visual
  appearance of a report can be customized, and complete print preview
  is in there, with background page generation, zoom, full screen mode
  and all. Exporting to ASCII files is just basic at this stage, though,
  and there may be some minor problems left to solve later. A lot of fresh
  coding was done in a very short time for the new report generator, and
  some bugs are probably fair to be expected in this release. Let me know!
  Check the "reportg.txt" file for some more development details.
+ Extended "Compare Files to Catalog" option to compare not only to one
  whole catalog, but to allow user to select which disks or catalogs to
  include in compare (just like in Limit Search option). Also, added a
  "Cancel" button to interrupt the process if it takes too long.
+ Added a new feature in search by filename: if program detects that data
  to search for is in a file mask format (using '*' and '?' characters),
  it will automatically switch to 'Search by File Mask' mode, regardless
  of previous setting (default is 'Part of Filename' setting).
+ Improved handling of international characters in filenames.
+ Improved detection of multi-session CD-ROMs where Windows may return
  incorrect total media size (only the last track is counted).
+ Added Ctrl-PgUp to act the same way as a backspace, or a Back button,
  just like it does in popular Norton Commander. Also added Ctrl-PgUp
  and Ctrl-PgDown shortcuts to switch tabs in Compare Results window.
* Fixed disk properties dialog for users with small font setting.
* Fixed a dialog for disk selection shown when at least two disks with the
  same parameters already exist in catalog when adding a new disk. For
  users with small font setting only, window with disks list was not
  resized properly, covering the buttons at the bottom completely...
* Fixed searching by filemask. In some special cases, searching failed to
  correctly locate items.
* Fixed some minor problems with extracting from RAR files when they are
  in the right pane of the main window.
* Fixed some minor problems with recognizing some rare TAR files, and
  adjusted .Z and .GZ files handling.
* Fixed some problems about importing descriptions from Files.bbs files.
* Fixed disk properties dialog for users with small font setting.
* Some other minor adjustements that came my way...

Version 0.90.9b - 26. October 1997
----------------------------------
+ Added .Z (Unix compress) archive recognition, and .LZH extraction support.
+ Added small fancy tabs in Compare Results window, for easy switching
  between lists as well as better preview of compare results.
+ Added progress bar indicator when program is loading catalog data needed
  to search for files in that catalog ("Compare Files to Catalog" option).
+ Added new option in Display Settings to enable/disable showing keyboard
  shortcuts inside button tooltips. If this is enabled (default), tips
  will have shortcut information appended, f.e. "Open Catalog (Ctrl-O)"
+ Extended support for NTFS volume labels that can be up to 32 characters
  long (compared to 11 characters in (V)FAT, FAT32, or CDFS)
+ Added F4 shortcut in Search window and User List to access properties,
  and added Ctrl-I shortcut for ASCII Viewer.
+ When using external ASCII viewer, program will now always pass filename
  to view enclosed between two double-quotes. This should allow some
  applications proper long filename handling when spaces and other "invalid"
  characters are used in filename. Also, a new option was added to force
  using short filenames only when running external viewer program.
* Extracting from RAR archives was broken in 0.90.9, now it's working again.
* Quick-search introduced in previous version was not setup correctly for
  the new Compare Results window when new items were displayed. Fixed.
* Fixed importing description priority order (archive comments always had
  priority over File_id.diz inside archive, whatever the settings was).
* When updating disk data with "Quick scan" option on, folder sizes may
  have been calculated incorrectly. Fixed.
* Importing descriptions like File_id.diz from inside compressed files
  sometimes did not work correctly if lower-case chars were used in the
  filename. Fixed.
* Number of folders was sometimes reported incorrectly as 65535 for empty
  disks. Fixed.
* If trying to open already opened catalog, exception error would show. Fixed.
* Picture for disabled View button in Search window was displayed incorrectly.

Version 0.90.9a - 22. October 1997
----------------------------------
+ Added a new option to check if files located somewhere on your drive are
  already stored somewhere in the catalog. As a result you will get three
  lists of files, telling you which files are new, which were found to be
  the same in the catalog and which were only matched by name, but not
  other properties, like size or date .Using this, you should be able to
  avoid storing the same files to many different places.
+ Added 'View File' command as a choice for double-click action.
+ Changed the 'Clear previous search results' in Search dialog to be checked
  by default.
+ Enabled quick search in all list windows: if you want to select a known
  item on the list (file, folder,...), just start typing its name -
  selection will be repositioned to the first item with name matching to
  what you have typed.
+ Introduced a small delay before updating the left window when moving
  selection through the treeview using your keyboard. This prevents
  unnecessary flicker (left list will be updated in 0.5 seconds after you
  stop moving). If using your mouse, however, left window will still be
  updated at once.
* Fixed ASCII viewer settings, rich-text format parsing was active for all
  files, not only *.rtf (some rare text files would appear truncated).

Version 0.90.9 - 19. October 1997
---------------------------------
+ Help file has been dramatically improved, and more dialogs now have
  context-sensitive help available, including the options and main window.
+ New option to compare data in catalog against current data on media is
  introduced in this version. You can now compare the contents of any disk
  or folder in the catalog to its origin, in order to find files that are
  new, deleted, changed, or the same as in time of cataloguing this data.
+ The main toolbar can now be customized! You can rearrange buttons and
  separators, and select which buttons will appear on toolbar and which not.
  This became necessary since new version has even more available buttons
  and toolbar may simply get too big to see for some users.
+ New internal ASCII viewer can show you the contents of any (text) file
  right out from WhereIsIt. It is no longer needed to have certain file
  types registered with Notepad and launch them in order to see their
  contents.
+ Added Unix GZIP and UnGZIP support (.gz file extension)
+ Searching is about 25% faster and safer than before, due to optimized
  search thread settings.
+ Added ability to change disk serial number in Windows NT, too.
+ Added some safe-guards when ejecting disk under NT. This should allow to
  safely remove media from drive, without interrupting the system.
+ When program is already running, and user double-clicks catalog file in
  Explorer, or runs another instance of program with catalog filename as
  a parameter(s) to load, the running instance will be notified and will
  try load the specified catalogs.
+ Improved settings dialog. Tabs now have small images on them and a few
  pages have been changed and added to adjust for new options.
+ Extended Quick-Setup Wizard with some new settings.
+ Sizes for files and folders now have thousands separators for easier
  reading. Also, you can now set in program's settings if you want sizes
  displayed as numbers (i.e. 665.795) or formatted printout (i.e. 650.2 kB)
+ After returning to previous folder, by selecting '..' folder or pressing
  the Back button, previously selected folder is now selected by default.
+ Updating disk image with quick-scan option turned on and lots of compressed
  files in the same folders will be much faster now.
+ Removed all flickering on toolbar buttons in Search and User List windows
  when moving selection through items.
+ When creating a new catalog, program will now ask you for the name of the
  catalog (in previous versions, name was auto-assigned as 'CatalogNN',
  which is now only the default value in the edit box when you are asked).
+ Added option to create backup (.BAK) files while saving catalogs.
+ Added a default path to catalog files in program settings.
+ Improved multi-instance detection, now it's more fail-safe and robust.
+ Installation files like Setup.exe and Install.exe will now have a special
  icon, different from other .exe files.
* Fixed a bug that may cause the catalog to become corrupted. This would
  only happen if updating disk image was canceled, you were using quick-scan
  option, catalog contained some archive files, and was later on modified
  and saved. Considering all this, most users should be on the safe side,
  but still, I am glad this bug is out.
* Fixed a problem where a disk scan was sometimes terminated with
  explanation that error has occurred during disk scan. This was traced back
  to archive files with dates older that 1.1.1980 (only possible to find on
  some CD-ROMs, disks with NTFS, but not on disks formatted with FAT).
  Thanks to Mr. Richard Hieber for detailed analysis on this problem.
* Fixed some problems when updating virtual disk image.
* Fixed keyboard interface in Found List and User List. Keys like Enter,
  Alt-Enter, Delete, Shift-Delete etc. will now work properly.
* If user would switch to User List or Search window in the same moment
  while program is busy closing catalog(s), program would crash. Fixed.
* Fixed counting files on disk update. Archive files like zip, arj,... were
  not correctly counted in some cases when browsing inside archive files
  option was enabled. This caused that total files on disk or in catalog
  were displayed too low.
* Fixed TAR support. Third-parity component used in WhereIsIt? for most
  compressed file support had a problem detecting valid TAR files.
* If trying to autoload catalog that does not exist any more, program would
  report another error after correctly notifying the user about inaccessible
  catalog file. Fixed.
* Many other minor improvements and fixes were added.

Version 0.90.8b - 21. September 1997
------------------------------------
+ Changed Ctrl-X shortcut in main menu for program exit into more standard
  Alt-F4. Ctrl-X can be used for 'cut' operations where supported. Also
  added F3 shortcut to bring up Search dialog, and F4 to bring up item's
  properties.
+ ESC key will now work in Export Descriptions dialog as Cancel button.
* Fixed problem with double-click on found list items. Item would stay
  selected from drag&drop operation.
* Selected items will now be preserved after sorting.
* Fixed error with exporting descriptions when program would report an
  error if subfolders checkbox was checked. Some last-minute changes
  before releasing the 0.90.8 broke this.
* Fixed some other minor bugs I found in the process.

Version 0.90.8a - 14. September 1997
------------------------------------
+ Added iomega JAZ drive recognition and icon (Win95 only).
* Fixed a problem regarding updating removable drives stored in existing
  catalogs that are now recognized as zip or jaz drives.
* Fixed a minor bug about preserving descriptions on disk update.
+ Some other minor improvements have been added.

Version 0.90.8 - 12. September 1997
-----------------------------------
+ Added option to export descriptions back to media, in either of three
  supported descriptions formats (File_id.diz, Descript.ion, Files.bbs).
+ Added drag & drop capability for adding to User List and moving disks
  between catalogs. Program is now also capable of accepting drag&drop
  catalog files from other programs (like Explorer), opening them in
  WhereIsIt as a result.
+ Added option to eject media after adding/updating it in catalog.
+ Added a new option to change disk serial number if the same is found
  on another disk in catalog. This will only work on Windows 95 at the
  moment, I still need some details for Windows NT on this.
+ Search and User List windows will now save their size and position, and
  they both have buttons to always stay on top of other windows if desired.
+ In Search dialog is a new checkbox to clear previous search results
  when starting a new search.
+ Extended archive file support with Unix TAR/UnTAR.
+ Archive file support can now be customized, by enabling or disabling
  each of supported archive types. This allows you to enable only those
  archives you are using, allowing some faster disk scanning.
+ Two new options are present in disk scan dialog: you can choose if you
  will allow quick archive file scan when it already exists in the catalog
  and has not changed, and you can choose to browse archive files only
  for descriptions, not their contents.
+ Disk scan algorithm has been optimized to reduce number of disk's head
  movements during an add/update disk operation. This should result in
  faster and smoother disk reading on slower devices.
+ Added iomega ZIP drive recognition (Win95 only). No more "default"
  removable-drive icon! For all other drives, I only need to have their
  signatures. If you have a removable drive, and would like to have it
  recognized by name and type, contact me by e-mail for simple instructions
  what I need to have from you. I am still looking for way to do the same
  in Windows NT.
+ Added some new options when launching EXE files from inside archive files.
  In many cases, exe files need to have all distribution files available
  to run properly, not only the .exe file. Program will now offer an option
  to extract entire archive to temporary folder first and run the exe file
  from there. This should be enough to enable running most installation
  programs right out of WhereIsIt?, even if they are compressed.
+ When first item is found while searching, focus is placed on that item,
  and list is scrolled so item is visible. This way, you can always see
  which items were added in current search, and which are left from before.
+ Folders from compressed files are no longer stored as separate items in
  catalog. Only compressed files will be analyzed.
+ Extracting from RAR solid archives is now faster and optimized.
+ Added total files/folders display to catalog's properties
+ Added F2 shortcut for renaming items (same as in Explorer)
+ Program's shut down time has been optimized, and it is now about twice
  as fast as before.
+ Screen updates were further optimized, resulting in faster browsing
* Fixed RAR and CAB support. Browsing those files should now finally work
  properly. Due to fixed bug in multi-volume CAB support, updating disks
  with such files will be much faster now.
* Fixed a few Catalog Manager problems, the worst of them sometimes missing
  files in root folder after moving disks between catalogs.
* Improved unARJ support. Previous version did not support files compressed
  with -m4 method.
* When trying to change category for item in the left tree pane, item was
  always marked as without category. Fixed.
* Fixed a very inconvenient bug where sometimes disk descriptions were not
  preserved after updating the disk.
* Program will now correctly filter out EOF characters from imported
  descriptions where present.
- Extracting from CAB files was (temporary?) removed. It was not working
  as it should.

Version 0.90.7a - 16. August 1997
---------------------------------
* Small bug-fix release. Importing from Floppy Master had some problems,
  and extracting files from compressed files during disk scan did not
  always work correctly. Some other minor fixes are there, too.
* A nasty last-minute bug crawled in the new Catalog Manager, causing GPF
  on move and copy operations.

Version 0.90.7 - 14. August 1997
--------------------------------
+ Sorting and browsing is now about three times faster than it was before,
  and there is much less flicker. Sorting by Disk name and Location (folder,
  where you can find an item) is more than 15 times faster, with speed
  comparable to sorting by other sorting options. Also, now you can always
  cancel sorting with ESC key if you think it's still going too slow.
+ Added Catalog Manager, with ability to copy and move disks between
  two opened catalogs. Now you can arrange your existing catalogs as
  you wish. You can also rename, delete or access each disk's properties
  on the same spot.
+ Added virtual-root capabilities. You can create "virtual disks" in the
  catalog, with their root folder based on some existing folder other
  than "\" (much like DOS subst command). This way, you can break down your
  disk folder structure to more "virtual disks", or select only part of
  disk to be cataloged.
+ Added Quick-Setup Wizard to guide you through the most important setup
  settings. This is the easiest way to have program up and running without
  fear that you forgot to setup something important. During the process,
  you may also get to know some features of WhereIsIt? you were not aware
  of before.
+ Sorting dialog has a new user interface. Too many options available at
  once seem to be to confusing for some users, so program will now show
  only what is really needed for your selection. The whole procedure of
  selecting search criteria can now be completed faster, since program
  will auto-select the appropriate pages and place focus to control you
  will most likely need.
+ Added un-RAR support. Now you can extract files from RAR archives, too.
+ Lengthy file extractions from compressed files can now be canceled.
+ When updating disk, program can now (optionally) search for existing
  descriptions not only on the disk you are updating, but on all disks
  in the catalog. This means that if there is a file with description on
  any disk in the catalog, and that file matches the file currently updating,
  the existing description will be adopted by the new file (the same goes
  for folders, too). When adding a new disk, you may also enable searching
  through all other disks in the catalog for existing descriptions.
+ Optimized disk update speed. WhereIsIt? will now read only items that
  have changed since the last update in the catalog, noticeably speeding
  up the process. This is actually nothing new to WhereIsIt?, but in
  previous versions it was only enabled for registered users.
+ Improved disk selection dialog used when adding a new disk to catalog
  and there are already two or more disks with the same parameters. Now
  you can see details about each disk in selection list, sort disks and
  access their properties.
+ Added volume label column when displaying disk data.
+ Added standard popup menu to all multi-line edit controls (in Description
  Assistant, item's properties). There you have a quick access to Cut/Copy/
  Paste/Delete/Select All operations.
+ Add/update disk dialog was equipped with context sensitive help, as an
  introduction to start working on the "real" help file (actually, this was
  a place to do some help related testing for me...)
* Program will now ask to save changes in catalog if Windows shutdown has
  been requested.
* Fixed some sorting problems when reverse sorting was on.
* Fixed a bug when some descriptions from deep-nested folders were not
  correctly preserved when updating the disk.
* Fixed a bug in searching by date. Some code used for testing made its
  way to the release version and searching by date didn't work as it should.
* Disabled horizontal scroll-bar from appearing in the properties form's
  description window. In many cases it took up almost half of usable space
  in the already too small window. Vertical scroll-bar will still appear if
  necessary.
* Importing descriptions from 4DOS/NDOS description file now correctly
  supports long file names with spaces.
* Fixed occasional (and quite rare) problem with floating point error when
  trying to save catalog with one disk, and disk had no subfolders.
* Fixed some other minor problems, and added some other improvements in
  program appearance (folders starting with '.' are no longer ignored,
  Esc key will act as Cancel button in most dialogs,  Alt-Enter is available
  in tree view, too, some minor adjustments on how program behaves in some
  specific situations).

Version 0.90.6 - 20. July 1997
------------------------------
+ Windows NT 4.0 (and newer) support is finally there. This version of
  WhereIsIt? was developed and tested on the NT and many problems regarding
  this platform have been resolved in this release.
+ NEW! Extracting files from many compressed files is now possible directly
  from WhereIsIt?. Program internally supports extraction from ZIP, ARJ,
  ARC, LHA, ZOO and some CAB compressed files, allowing you to extract one or
  more files to any folder, launch files with associated programs from within
  compressed files, importing files like file_id.zip from compressed files as
  descriptions and so on... Other formats will eventually be supported, too, at
  least by a possibility to use external programs for extracting.
+ Added support for self-extracting exe files. Those can be recognized as
  normal compressed archive files, showing their contents as folders. Most of
  previously supported formats are now also supported by their sfx version.
+ Added Column Manager; now you can select which columns you want showing
  and in what order when data is displayed in the details mode. Just right
  click on column header or select option from main menu.
+ Improved searching - now you can search for disks, too, not only files
  and folders.
+ Improved duplicate searching. "Search by Name or Type" tab in search
  settings is now available for duplicates searching, too. With this,
  you can search for all duplicate files that match the file mask or file
  type; for example, all duplicate ".doc" files. Searching for duplicate
  disks is now possible, too.
+ Improved description importing on disk scan. The routines have been almost
  completely rewritten, and now you can select priority for description files
  to import (if description for an item is available from more than one
  source, it will be imported from the source with highest priority).
+ Description Assistant can now take advantage of new extraction capabilities
  and load files with useful information even if they are compressed inside
  archive files like zip, arj,.. Also, there is a new checkbox present to
  enable/disable OEM-to-ANSI conversion filter on description files (making
  them more readable by filtering out unusual characters).
+ Added column with item's description in found items list and user list.
+ Added capability to setup catalog categories directly from item's property
  form (there is a new "Edit" button to access category management).
* Progress bar flickering when searching for duplicates has been eliminated.
* Selecting action for double-clicking an item now works in the find window,
  too (previously, it always brought up item's properties).
* Fixed bug in searching for duplicates. Searching for files/folders setting
  did not work. There was also a nasty GPF if you were trying to close
  catalog while results of duplicate search were still listed in the search
  window. The algorithm used for searching for duplicate items was a bit too
  optimized for speed and sometimes missed some identical items.
* Fixed bug in importing 'descript.ion' files on disk scan. Program would
  sometimes terminate and cancel disk scan if it found a file with that
  name and this file was invalid for importing file descriptions.
* Launching associated programs with compressed files (zip, arj...) presented
  as folders in the catalog now works correctly.
* Improved internal icon handling, faster and more compatible with Windows NT.
* The reported bug about program using very small fonts in dialogs should be
  fixed now, but I have no way to verify that. If you notice anything weird
  about fonts it is using, please let me know...
* Fixed a few other bugs. Selected item statistics in status bar reported
  wrong selected size if '..' folder was selected. When reversing sort order,
  '..' folder was incorrectly moved to the end of list. There were some
  problems with enabling/disabling options and buttons (menu option was
  enabled and button for the same operation was disabled, for example).
  About box was a bit modified and WWW link now actually works.

Version 0.90.5 - 27. June 1997
-----------------------------
+ WhereIsIt? was migrated to a new version of Delphi, and adjusted to the
  new environment. This resulted in some improvements, including more
  flickerless display, solved problem with large tool-tips etc.
+ Added new toolbars, hope you like them (they look just like MS Office 97)
  Also added saving position for user-list toolbar and fixed some minor
  problems about toolbars. Also, now you can have old-style buttons on the
  toolbars if you can't stand those new, mouse-active flat buttons.
+ Searching for duplicate files and/or folders is finally implemented.
  You can set yourself what two items must have in common to be handled as
  the same (name, size, date&time, attributes).
+ Added support for browsing inside CAB files while adding disks.
+ Added ability to launch files from WhereIsIt? with associated programs.
  This requires media to be present, similar to 'Open in Explorer' option.
+ Improved description importing. All imported descriptions are now checked
  for DOS graphics characters and converted to plan ASCII. This should
  result in more readable and eye-pleasing descriptions.
+ Improved disk updating. If more disks with the same properties (serial
  number, label, size,...) are found in the catalog, you are now allowed
  to choose which disk to update, or to add it as a new disk.
+ In search window, the found list can be maximized and search settings
  hidden to get more useful space out of search window. Also, searching
  has been updated to display found items at once, during the search.
+ Added another option in program's settings: you can choose what double-
  clicking on file means: nothing, show properties, open in explorer, or
  launch file.
+ Reversing sort order (like second click on already sorted column) is
  much faster now. Reversing sort order now works in user list and found
  list, too (just click again the column you wish to sort by).
* Fixed problem with toolbar buttons sizes, introduced in 0.90.4. Only the
  first five buttons were adjusted correctly to applied size.
* Fixed problem with disk media updating. if updating double-density disk
  in a high-density floppy drive, program would not recognize it as a
  compatible device.

Version 0.90.4 - 6. June 1997
-----------------------------
+ This one took a little longer, but it brings quite a lot, too.
+ Media detection was almost completely rewritten in this release, and
  adding/updating disks in the catalog has changed a lot, too. Too much
  stuff to cover everything here, check out for yourself. This should
  resolve all the serial numbers troubles from previous versions (media
  detection is now based on media type, serial number, volume label,
  and total space on media). However, note the separate menu option for
  updating disk, on disk's popup menu.
+ Added ability to auto-import FILE_ID.DIZ files as folder description when
  scanning disks.
+ Added a new font setting, for description tool-tips. This is nice thing to
  have if you are importing a lot of text formatted descriptions like those
  in FILE_ID.DIZ files. With proportional font it looks a bit messy, and
  you can set it larger or smaller if you wish. Font setting page in general
  is a bit more user-friendlier now.
+ Click on the column header in details view, with already sorted items by
  that column will now sort items in reverse order (the same as pressing
  the reverse sort button).
+ Added catalog auto saving, on user defined intervals.
+ The '..' folder now always has a description, saying what exactly '..' is.
+ Added a new option in the settings, allowing you to sort archive files
  (zip, arj,...) that act like folders either as folders or as files.
+ Added time of day to existing update disk date. Now you can see not only
  the day when disk was updated in catalog, but time also.
+ You can now select to ignore hidden files, hidden folders, or Recycle Bin
  while performing disk scan.
+ Help file is now closed when program exits.
* Fixed a few bugs. Adding '..' folders to user list is not possible
  any more, and '..' folders were causing troubles when they were selected
  for category and flags setup. Category and flags setup had a bug involving
  saving categories, which were not always remembered as set. In Description
  Assistant, disabling search in subfolders for description files did not
  work right. Report generator sometimes went wild, too, skipping columns
  and every once a while repeating data.

Version 0.90.3a - 29. May 1997
------------------------------
* Bugfix release - took some time and fixed some minor bugs found so far.
- Temporarily removed support for Windows NT. Some reports have indicated
  troubles running WhereIsIt? on the NT, so this will have to wait until
  I have a chance to take a closer look on it.
* Improved install script should now take care of proper installing of
  the COMCTL32.DLL, the file causing many problems in the last few days.
  Also, program was modified so it can detect older versions of this file
  without crashing out with error messages.
* Fixed bug on searching - after completed searching, most folders would
  show no contents at all until catalog was reloaded.
* Fixed a bug on disk scanning, when old descriptions would be lost in some
  occasions even if an option to preserve them was checked.
* Some other minor bugs reported have been fixed, and small improvements
  requested so far are now implemented.

Version 0.90.3 - 28. May 1997
-----------------------------
* This version is out so early because of a bug found in a user interface.
  When fixing fonts in dialogs in the 0.90.2, I broke it even more for users
  with small font display settings. Much of text in the dialogs was
  displayed only partially or clipped away. This didn't show if you were
  using large font settings (I am, that's why I haven't noticed anything)
+ To avoid having out a new version on bug-fix basis only, I also added
  support for extracting comments from compressed archive files. If archive
  file supports comments (ZIP, ARJ, RAR and ZOO do), WhereIsIt? can import
  them as standard file descriptions. To avoid confusion: archive comment
  is the thing you can write with "pkzip -z" command for ZIP files...

Version 0.90.2 - 26. May 1997
-----------------------------
* Fixed a nasty bug in the install procedure. File version checking did
  not work right, causing the comctl32.dll file being replaced even if
  there was a newer version already on the system. This could seriously
  impact Windows. Fortunately, the only known way to have a newer version
  of dll file installed is having Microsoft Explorer 4.0 in place before
  installing WhereisIt?. Thanks to Jan Libbenga (jali@worldaccess.nl) for
  reporting this.
* There was a report of a very small font being used in the program dialogs,
  making it almost unreadable. I couldn't confirm that bug, but I did some
  modifications regarding this and I hope it is OK now...
+ Added a help file, but quite a basic one for now, just to get you started.
  Writing proper help files may be very time consuming, and my time is kind
  of short at the moment. There will be a full-scale help file in the final
  release, I promise...
+ Added Floppy Master database import. All previous users of Floppy Master
  will now be able to use their old catalogs with WhereIsIt?. Still, it is
  highly recommended to rescan disks with WhereIsIt?, since the new database
  has a lot more information and support for disks and files than Floppy
  Master ever had.
+ Added multi-choice support in the left pane. Now you can select multiple
  items at once to perform an operation on, like adding them to the user
  list or setting categories and flags. Status bar has been improved to
  show a small statistics for all selected items.
+ Now you can set category or flags for more items at once, either from left
  pane list, found list after searching or from user list.
+ Added previous instance checking - if program is already running when user
  runs it, previous instance will become active instead of running another
  copy of program.
* The '..' folder is now always displayed on top, regardless of sorting.
* Fixed disk usage graph for empty disks (display was wrong).

Version 0.90.1 - 14. May 1997
-----------------------------
  First public release on the Internet

mid-April 1997
--------------
  Field testing started, WhereIsIt? is released to limited audience for
  evaluation and testing purposes.

January 97
----------
  WhereIsIt? development started
